--- connect proastro/mot_de_passe@ALIAS_TNS_DB
--- @create_tables.sql
---
create table Birth  (
   Id                      varchar2(255) constraint pk_birth primary key,
   Name                    VARCHAR2(255) not null,
   FirstName               VARCHAR2(255),
   Aka                     VARCHAR2(255),
   Sex                     VARCHAR2(10) not null,
   DateHourUT              timestamp not null ,
   DateHourLocal           timestamp,
   Sidereal_Time_Hours     NUMBER(5,3) not null check ( (Sidereal_Time_Hours >=0) and (Sidereal_Time_Hours < 24) ),
   JulianDay_UT            NUMBER(20,6) not null,
   JulianDay_ET            NUMBER(20,6) not null,
   Rodden                  VARCHAR2(10),
   CityName                VARCHAR2(35) not null,
   CountyName              VARCHAR2(31),
   StateName               VARCHAR2(60),
   CountryName             VARCHAR2(60) not null,
   CityLongitudeHoursAbs   NUMBER(5,3) not null check ( (CityLongitudeHoursAbs >=0) and (CityLongitudeHoursAbs < 12) ),
   IsWestLongitude         NUMBER(1)   not null check (IsWestLongitude in (0,1)),
   CityLatitudeDegreesAbs  NUMBER(5,3) not null check ( (CityLatitudeDegreesAbs >=0) and (CityLatitudeDegreesAbs < 90) ),
   IsSouthLatitude         NUMBER(1)   not null check ( IsSouthLatitude in (0,1) ),
   DateZero                timestamp not null 
  );

create table FixGeoLonLat (
   Id                         varchar2(255) constraint pk_FixGeoLonLat primary key,
                                            constraint fk_FixGeoLonLat_Birth foreign key (Id) references Birth(Id),
   SunLongitudeDegrees        NUMBER(10,7),
   MoonLongitudeDegrees       NUMBER(10,7),
   MercuryLongitudeDegrees    NUMBER(10,7),
   VenusLongitudeDegrees      NUMBER(10,7),
   MarsLongitudeDegrees       NUMBER(10,7),
   JupiterLongitudeDegrees    NUMBER(10,7),
   SaturnLongitudeDegrees     NUMBER(10,7),
   AscendantLongitudeDegrees  NUMBER(10,7),
   MidHeavenLongitudeDegrees  NUMBER(10,7),
   RahuLongitudeDegrees       NUMBER(10,7),
   KethuLongitudeDegrees      NUMBER(10,7),
   UranusLongitudeDegrees     NUMBER(10,7),
   NeptuneLongitudeDegrees    NUMBER(10,7),
   PlutoLongitudeDegrees      NUMBER(10,7),
   FortuneLongitudeDegrees    NUMBER(10,7),
   SunLatitudeDegrees         NUMBER(10,7),
   MoonLatitudeDegrees        NUMBER(10,7),
   MercuryLatitudeDegrees     NUMBER(10,7),
   VenusLatitudeDegrees       NUMBER(10,7),
   MarsLatitudeDegrees        NUMBER(10,7),
   JupiterLatitudeDegrees     NUMBER(10,7),
   SaturnLatitudeDegrees      NUMBER(10,7),
   AscendantLatitudeDegrees   NUMBER(10,7),
   MidHeavenLatitudeDegrees   NUMBER(10,7),
   RahuLatitudeDegrees        NUMBER(10,7),
   KethuLatitudeDegrees       NUMBER(10,7),
   UranusLatitudeDegrees      NUMBER(10,7),
   NeptuneLatitudeDegrees     NUMBER(10,7),
   PlutoLatitudeDegrees       NUMBER(10,7),
   FortunLatitudeDegrees      NUMBER(10,7)
);

create table MovGeoLonLat  (
   Id                           varchar2(255) constraint pk_MovGeoLonLat primary key ,
                                              constraint fk_MovGeoLonLat_Birth foreign key (Id) references Birth(Id), 
   SunLongitudeDegrees           NUMBER(10,7),
   MoonLongitudeDegrees          NUMBER(10,7),
   MercuryLongitudeDegrees       NUMBER(10,7),
   VenusLongitudeDegrees         NUMBER(10,7),
   MarsLongitudeDegrees          NUMBER(10,7),
   JupiterLongitudeDegrees       NUMBER(10,7),
   SaturnLongitudeDegrees        NUMBER(10,7),
   AscendantLongitudeDegrees     NUMBER(10,7),
   MidHeavenLongitudeDegrees     NUMBER(10,7),
   RahuLongitudeDegrees          NUMBER(10,7),
   KethuLongitudeDegrees         NUMBER(10,7),
   UranusLongitudeDegrees        NUMBER(10,7),
   NeptuneLongitudeDegrees       NUMBER(10,7),
   PlutoLongitudeDegrees         NUMBER(10,7),
   FortuneLongitudeDegrees       NUMBER(10,7),
   SunLatitudeDegrees            NUMBER(10,7),
   MoonLatitudeDegrees           NUMBER(10,7),
   MercuryLatitudeDegrees        NUMBER(10,7),
   VenusLatitudeDegrees          NUMBER(10,7),
   MarsLatitudeDegrees           NUMBER(10,7),
   JupiterLatitudeDegrees        NUMBER(10,7),
   SaturnLatitudeDegrees         NUMBER(10,7),
   AscendantLatitudeDegrees      NUMBER(10,7),
   MidHeavenLatitudeDegrees      NUMBER(10,7),
   RahuLatitudeDegrees           NUMBER(10,7),
   KethuLatitudeDegrees          NUMBER(10,7),
   UranusLatitudeDegrees         NUMBER(10,7),
   NeptuneLatitudeDegrees        NUMBER(10,7),
   PlutoLatitudeDegrees          NUMBER(10,7),
   FortunLatitudeDegrees         NUMBER(10,7)
);

create table FixHelioLonLat  (
   Id                         varchar2(255) constraint pk_FixHelioLonLat primary key ,
                                            constraint fk_FixHelioLonLat_Birth foreign key (Id) references Birth(Id),
   SunLongitudeDegrees        NUMBER(10,7),
   MoonLongitudeDegrees       NUMBER(10,7),
   MercuryLongitudeDegrees    NUMBER(10,7),
   VenusLongitudeDegrees      NUMBER(10,7),
   MarsLongitudeDegrees       NUMBER(10,7),
   JupiterLongitudeDegrees    NUMBER(10,7),
   SaturnLongitudeDegrees     NUMBER(10,7),
   AscendantLongitudeDegrees  NUMBER(10,7),
   MidHeavenLongitudeDegrees  NUMBER(10,7),
   RahuLongitudeDegrees       NUMBER(10,7),
   KethuLongitudeDegrees      NUMBER(10,7),
   UranusLongitudeDegrees     NUMBER(10,7),
   NeptuneLongitudeDegrees    NUMBER(10,7),
   PlutoLongitudeDegrees      NUMBER(10,7),
   FortuneLongitudeDegrees    NUMBER(10,7),
   SunLatitudeDegrees         NUMBER(10,7),
   MoonLatitudeDegrees        NUMBER(10,7),
   MercuryLatitudeDegrees     NUMBER(10,7),
   VenusLatitudeDegrees       NUMBER(10,7),
   MarsLatitudeDegrees        NUMBER(10,7),
   JupiterLatitudeDegrees     NUMBER(10,7),
   SaturnLatitudeDegrees      NUMBER(10,7),
   AscendantLatitudeDegrees   NUMBER(10,7),
   MidHeavenLatitudeDegrees   NUMBER(10,7),
   RahuLatitudeDegrees        NUMBER(10,7),
   KethuLatitudeDegrees       NUMBER(10,7),
   UranusLatitudeDegrees      NUMBER(10,7),
   NeptuneLatitudeDegrees     NUMBER(10,7),
   PlutoLatitudeDegrees       NUMBER(10,7),
   FortunLatitudeDegrees      NUMBER(10,7)
);

create table MovHelioLonLat  (
   Id                           varchar2(255) constraint pk_MovHelioLonLat primary key,
                                              constraint fk_MovHelioLonLat_Birth foreign key (Id) references Birth(Id),
   SunLongitudeDegrees          NUMBER(10,7),
   MoonLongitudeDegrees         NUMBER(10,7),
   MercuryLongitudeDegrees      NUMBER(10,7),
   VenusLongitudeDegrees        NUMBER(10,7),
   MarsLongitudeDegrees         NUMBER(10,7),
   JupiterLongitudeDegrees      NUMBER(10,7),
   SaturnLongitudeDegrees       NUMBER(10,7),
   AscendantLongitudeDegrees    NUMBER(10,7),
   MidHeavenLongitudeDegrees    NUMBER(10,7),
   RahuLongitudeDegrees         NUMBER(10,7),
   KethuLongitudeDegrees        NUMBER(10,7),
   UranusLongitudeDegrees       NUMBER(10,7),
   NeptuneLongitudeDegrees      NUMBER(10,7),
   PlutoLongitudeDegrees        NUMBER(10,7),
   FortuneLongitudeDegrees      NUMBER(10,7),
   SunLatitudeDegrees           NUMBER(10,7),
   MoonLatitudeDegrees          NUMBER(10,7),
   MercuryLatitudeDegrees       NUMBER(10,7),
   VenusLatitudeDegrees         NUMBER(10,7),
   MarsLatitudeDegrees          NUMBER(10,7),
   JupiterLatitudeDegrees       NUMBER(10,7),
   SaturnLatitudeDegrees        NUMBER(10,7),
   AscendantLatitudeDegrees     NUMBER(10,7),
   MidHeavenLatitudeDegrees     NUMBER(10,7),
   RahuLatitudeDegrees          NUMBER(10,7),
   KethuLatitudeDegrees         NUMBER(10,7),
   UranusLatitudeDegrees        NUMBER(10,7),
   NeptuneLatitudeDegrees       NUMBER(10,7),
   PlutoLatitudeDegrees         NUMBER(10,7),
   FortunLatitudeDegrees        NUMBER(10,7)
);

create table BindusSun (
   Id                 varchar2(255) constraint pk_BindusSun primary key,
                                    constraint fk_BindusSun_Birth foreign key (id) references Birth(id) ,
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusMoon(
   Id                             varchar2(255) constraint pk_BindusMoon primary key,
                                                constraint fk_BindusMoon_Birth foreign key (Id) references Birth(Id),
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusMercury  (
   Id                 varchar2(255) constraint pk_BindusMercury primary key,
                                    constraint fk_BindusMercury_Birth foreign key (Id) references Birth(Id),  
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusVenus (
   Id                 varchar2(255) constraint pk_BindusVenus primary key,
                                    constraint fk_BindusVenus_Birth foreign key (Id) references Birth(Id), 
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusMars (
   Id                 varchar2(255) constraint pk_BindusMars primary key,
                                    constraint fk_BindusMars_Birth foreign key (Id) references Birth(Id), 
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusJupiter (
   Id                 varchar2(255) constraint pk_BindusJupiter primary key,
                                    constraint fk_BindusJupiter_Birth foreign key (Id) references Birth(Id) ,
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table BindusSaturn (
   Id                 varchar2(255) constraint pk_BindusSaturn primary key,
                                    constraint fk_BindusSaturn_Birth foreign key (Id) references Birth(Id),
   Aries_BR           NUMBER(3,0),
   Taurus_BR          NUMBER(3,0),
   Gemini_BR          NUMBER(3,0),
   Cancer_BR          NUMBER(3,0),
   Leo_BR             NUMBER(3,0),
   Virgo_BR           NUMBER(3,0),
   Libra_BR           NUMBER(3,0),
   Scorpio_BR         NUMBER(3,0),
   Sagittarius_BR     NUMBER(3,0),
   Capricornus_BR     NUMBER(3,0),
   Aquarius_BR        NUMBER(3,0),
   Pisces_BR          NUMBER(3,0),
   Aries_AR           NUMBER(3,0),
   Taurus_AR          NUMBER(3,0),
   Gemini_AR          NUMBER(3,0),
   Cancer_AR          NUMBER(3,0),
   Leo_AR             NUMBER(3,0),
   Virgo_AR           NUMBER(3,0),
   Libra_AR           NUMBER(3,0),
   Scorpio_AR         NUMBER(3,0),
   Sagittarius_AR     NUMBER(3,0),
   Capricornus_AR     NUMBER(3,0),
   Aquarius_AR        NUMBER(3,0),
   Pisces_AR          NUMBER(3,0)
);

create table Drek  (
   Id                  varchar2(255) constraint pk_Drek primary key,
                                     constraint fk_Drek_Birth foreign key (Id) references Birth(Id),
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table Dwad  (
   Id                   varchar2(255) constraint pk_Dwad primary key,
                                      constraint fk_Dwad_Birth foreign key (Id) references Birth(Id),    
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table Hora  (
   Id                   varchar2(255) constraint pk_Hora primary key,
                                      constraint fk_Hora_Birth foreign key (Id) references Birth(Id),
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table HousesLon  (
   Id                   varchar2(255) constraint pk_HousesLon primary key,
                                      constraint fk_HousesLon foreign key (Id) references Birth(Id), 
   HouseType            VARCHAR2(20),
   H1_MOV_SHSD          NUMBER(10,7),
   H2_MOV_SHSD          NUMBER(10,7),
   H3_MOV_SHSD          NUMBER(10,7),
   H4_MOV_SHSD          NUMBER(10,7),
   H5_MOV_SHSD          NUMBER(10,7),
   H6_MOV_SHSD          NUMBER(10,7),
   H7_MOV_SHSD          NUMBER(10,7),
   H8_MOV_SHSD          NUMBER(10,7),
   H9_MOV_SHSD          NUMBER(10,7),
   H10_MOV_SHSD         NUMBER(10,7),
   H11_MOV_SHSD         NUMBER(10,7),
   H12_MOV_SHSD         NUMBER(10,7),
   H1_MOV_SHOD          NUMBER(10,7),
   H2_MOV_SHOD          NUMBER(10,7),
   H3_MOV_SHOD          NUMBER(10,7),
   H4_MOV_SHOD          NUMBER(10,7),
   H5_MOV_SHOD          NUMBER(10,7),
   H6_MOV_SHOD          NUMBER(10,7),
   H7_MOV_SHOD          NUMBER(10,7),
   H8_MOV_SHOD          NUMBER(10,7),
   H9_MOV_SHOD          NUMBER(10,7),
   H10_MOV_SHOD         NUMBER(10,7),
   H11_MOV_SHOD         NUMBER(10,7),
   H12_MOV_SHOD         NUMBER(10,7),
   H1_FIX_SHSD          NUMBER(10,7),
   H2_FIX_SHSD          NUMBER(10,7),
   H3_FIX_SHSD          NUMBER(10,7),
   H4_FIX_SHSD          NUMBER(10,7),
   H5_FIX_SHSD          NUMBER(10,7),
   H6_FIX_SHSD          NUMBER(10,7),
   H7_FIX_SHSD          NUMBER(10,7),
   H8_FIX_SHSD          NUMBER(10,7),
   H9_FIX_SHSD          NUMBER(10,7),
   H10_FIX_SHSD         NUMBER(10,7),
   H11_FIX_SHSD         NUMBER(10,7),
   H12_FIX_SHSD         NUMBER(10,7),
   H1_FIX_SHOD          NUMBER(10,7),
   H2_FIX_SHOD          NUMBER(10,7),
   H3_FIX_SHOD          NUMBER(10,7),
   H4_FIX_SHOD          NUMBER(10,7),
   H5_FIX_SHOD          NUMBER(10,7),
   H6_FIX_SHOD          NUMBER(10,7),
   H7_FIX_SHOD          NUMBER(10,7),
   H8_FIX_SHOD          NUMBER(10,7),
   H9_FIX_SHOD          NUMBER(10,7),
   H10_FIX_SHOD         NUMBER(10,7),
   H11_FIX_SHOD         NUMBER(10,7),
   H12_FIX_SHOD         NUMBER(10,7)
);

create table Lords  (
   Id                   varchar2(255) constraint pk_Lords primary key,
                                      constraint fk_Lords_Birth foreign key (Id) references Birth(Id),
   MoonDay              NUMBER(2,0) check (MoonDay >=1 and MoonDay <=30 ),
   SolarHour            NUMBER(2,0) check (SolarHour >=1 and SolarHour <=24 ),
   YearLord             VARCHAR2(20),
   MonthLord            VARCHAR2(20),
   DayLord              VARCHAR2(20),
   HourLord             VARCHAR2(20)
);

create table Navamsas  (
   Id                   varchar2(255) constraint pk_Navamsas primary key,
                                      constraint pk_Navamsas_Birth  foreign key (Id) references Birth(Id),  
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table Rasi  (
   Id                   varchar2(255) constraint pk_Rasi primary key,
                                      constraint pk_Rasi_Birth  foreign key (Id) references Birth(Id),  
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table Sapt  (
   Id                   varchar2(255) constraint pk_Sapt primary key,
                                      constraint pk_Sapt_Birth  foreign key (Id) references Birth(Id),
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table Strengths  (
   Id                   varchar2(255) constraint pk_Strengths primary key,
                                      constraint pk_Strengths_Birth  foreign key (Id) references Birth(Id),
   Sun                  NUMBER(5,2),
   Moon                 NUMBER(5,2),
   Mercury              NUMBER(5,2),
   Venus                NUMBER(5,2),
   Mars                 NUMBER(5,2),
   Jupiter              NUMBER(5,2),
   Saturn               NUMBER(5,2),
   H1                   NUMBER(5,2),
   H2                   NUMBER(5,2),
   H3                   NUMBER(5,2),
   H4                   NUMBER(5,2),
   H5                   NUMBER(5,2),
   H6                   NUMBER(5,2),
   H7                   NUMBER(5,2),
   H8                   NUMBER(5,2),
   H9                   NUMBER(5,2),
   H10                  NUMBER(5,2),
   H11                  NUMBER(5,2),
   H12                  NUMBER(5,2)
);

create table Thri  (
   Id                   varchar2(255) constraint pk_Thri primary key,
                                      constraint pk_Thri_Birth  foreign key (Id) references Birth(Id),
   Sun                  VARCHAR2(50),
   Moon                 VARCHAR2(50),
   Mercury              VARCHAR2(50),
   Venus                VARCHAR2(50),
   Mars                 VARCHAR2(50),
   Jupiter              VARCHAR2(50),
   Saturn               VARCHAR2(50),
   ASCENDANT            VARCHAR2(50),
   MH                   VARCHAR2(50),
   Rahu                 VARCHAR2(50),
   Kethu                VARCHAR2(50),
   Uranus               VARCHAR2(50),
   Neptune              VARCHAR2(50),
   Pluto                VARCHAR2(50),
   Fortun               VARCHAR2(50)
);

create table HousesOfPlanets  (
   Id                   varchar2(255) constraint pk_HousesOfPlanets primary key,
                                      constraint pk_HousesOfPlanets_Birth  foreign key (Id) references Birth(Id),
   Domification VARCHAR2(50),
   H_Sun_SHSD      NUMBER(2,0),
   H_Moon_SHSD     NUMBER(2,0),
   H_Mercury_SHSD  NUMBER(2,0),
   H_Venus_SHSD    NUMBER(2,0), 
   H_Mars_SHSD     NUMBER(2,0),
   H_Jupiter_SHSD  NUMBER(2,0),
   H_Saturn_SHSD   NUMBER(2,0),
   H_Rahu_SHSD     NUMBER(2,0),
   H_Kethu_SHSD    NUMBER(2,0),
   H_Uranus_SHSD   NUMBER(2,0),
   H_Neptune_SHSD  NUMBER(2,0),
   H_Pluto_SHSD    NUMBER(2,0),
   H_Fortun_SHSD   NUMBER(2,0),
   H_Gulika_SHSD   NUMBER(2,0),
   H_Mandi_SHSD    NUMBER(2,0),
   H_Arudha_SHSD   NUMBER(2,0),
   -- --
   H_Sun_SHOD      NUMBER(2,0),  
   H_Moon_SHOD     NUMBER(2,0),
   H_Mercury_SHOD  NUMBER(2,0),
   H_Venus_SHOD    NUMBER(2,0),
   H_Mars_SHOD     NUMBER(2,0),
   H_Jupiter_SHOD  NUMBER(2,0),
   H_Saturn_SHOD   NUMBER(2,0),
   H_Rahu_SHOD     NUMBER(2,0),
   H_Kethu_SHOD    NUMBER(2,0), 
   H_Uranus_SHOD   NUMBER(2,0),
   H_Neptune_SHOD  NUMBER(2,0), 
   H_Pluto_SHOD    NUMBER(2,0),
   H_Fortun_SHOD   NUMBER(2,0), 
   H_Gulika_SHOD   NUMBER(2,0),
   H_Mandi_SHOD    NUMBER(2,0),
   H_Arudha_SHOD   NUMBER(2,0)
);


create table Aspects  (
   Id                   varchar2(255) constraint pk_Aspects primary key,
                                      constraint pk_Aspects_Birth  foreign key (Id) references Birth(Id),
   Angle_Sun_Moon                            NUMBER(10,7),
   Angle_Sun_Mercury                         NUMBER(10,7),
   Angle_Sun_Venus                           NUMBER(10,7),
   Angle_Sun_Mars                            NUMBER(10,7),
   Angle_Sun_Jupiter                         NUMBER(10,7),
   Angle_Sun_Saturn                          NUMBER(10,7),
   Angle_Sun_AS                              NUMBER(10,7),
   Angle_Sun_MH                              NUMBER(10,7),
   Angle_Sun_Rahu                            NUMBER(10,7),
   Angle_Sun_Kethu                           NUMBER(10,7),
   Angle_Sun_Uranus                          NUMBER(10,7),
   Angle_Sun_Neptune                         NUMBER(10,7),
   Angle_Sun_Pluto                           NUMBER(10,7),
   Angle_Sun_Fortun                          NUMBER(10,7),
   Angle_Sun_Gulika                          NUMBER(10,7),
   Angle_Sun_Mandi                           NUMBER(10,7),
   Angle_Sun_Arudha                          NUMBER(10,7),
   -- --                                         
   Angle_Moon_Sun                            NUMBER(10,7),
   Angle_Moon_Mercury                        NUMBER(10,7),
   Angle_Moon_Venus                          NUMBER(10,7),
   Angle_Moon_Mars                           NUMBER(10,7),
   Angle_Moon_Jupiter                        NUMBER(10,7),
   Angle_Moon_Saturn                         NUMBER(10,7),
   Angle_Moon_AS                             NUMBER(10,7),
   Angle_Moon_MH                             NUMBER(10,7),
   Angle_Moon_Rahu                           NUMBER(10,7),
   Angle_Moon_Kethu                          NUMBER(10,7),
   Angle_Moon_Uranus                         NUMBER(10,7),
   Angle_Moon_Neptune                        NUMBER(10,7),
   Angle_Moon_Pluto                          NUMBER(10,7),
   Angle_Moon_Fortun                         NUMBER(10,7),
   Angle_Moon_Gulika                         NUMBER(10,7),
   Angle_Moon_Mandi                          NUMBER(10,7),
   Angle_Moon_Arudha                         NUMBER(10,7),
   -- --                                         
   Angle_Mercury_Sun                         NUMBER(10,7),
   Angle_Mercury_Moon                        NUMBER(10,7),
   Angle_Mercury_Venus                       NUMBER(10,7),
   Angle_Mercury_Mars                        NUMBER(10,7),
   Angle_Mercury_Jupiter                     NUMBER(10,7),
   Angle_Mercury_Saturn                      NUMBER(10,7),
   Angle_Mercury_AS                          NUMBER(10,7),
   Angle_Mercury_MH                          NUMBER(10,7),
   Angle_Mercury_Rahu                        NUMBER(10,7),
   Angle_Mercury_Kethu                       NUMBER(10,7),
   Angle_Mercury_Uranus                      NUMBER(10,7),
   Angle_Mercury_Neptune                     NUMBER(10,7),
   Angle_Mercury_Pluto                       NUMBER(10,7),
   Angle_Mercury_Fortun                      NUMBER(10,7),
   Angle_Mercury_Gulika                      NUMBER(10,7),
   Angle_Mercury_Mandi                       NUMBER(10,7),
   Angle_Mercury_Arudha                      NUMBER(10,7),
   -- --                                          
   Angle_Venus_Sun                           NUMBER(10,7),
   Angle_Venus_Moon                          NUMBER(10,7),
   Angle_Venus_Mercury                       NUMBER(10,7),
   Angle_Venus_Mars                          NUMBER(10,7),
   Angle_Venus_Jupiter                       NUMBER(10,7),
   Angle_Venus_Saturn                        NUMBER(10,7),
   Angle_Venus_AS                            NUMBER(10,7),
   Angle_Venus_MH                            NUMBER(10,7),
   Angle_Venus_Rahu                          NUMBER(10,7),
   Angle_Venus_Kethu                         NUMBER(10,7),
   Angle_Venus_Uranus                        NUMBER(10,7),
   Angle_Venus_Neptune                       NUMBER(10,7),
   Angle_Venus_Pluto                         NUMBER(10,7),
   Angle_Venus_Fortun                        NUMBER(10,7),
   Angle_Venus_Gulika                        NUMBER(10,7),
   Angle_Venus_Mandi                         NUMBER(10,7),
   Angle_Venus_Arudha                        NUMBER(10,7),
   -- --                                          
   Angle_Mars_Sun                            NUMBER(10,7),
   Angle_Mars_Moon                           NUMBER(10,7),
   Angle_Mars_Mercury                        NUMBER(10,7),
   Angle_Mars_Venus                          NUMBER(10,7),
   Angle_Mars_Jupiter                        NUMBER(10,7),
   Angle_Mars_Saturn                         NUMBER(10,7),
   Angle_Mars_AS                             NUMBER(10,7),
   Angle_Mars_MH                             NUMBER(10,7),
   Angle_Mars_Rahu                           NUMBER(10,7),
   Angle_Mars_Kethu                          NUMBER(10,7),
   Angle_Mars_Uranus                         NUMBER(10,7),
   Angle_Mars_Neptune                        NUMBER(10,7),
   Angle_Mars_Pluto                          NUMBER(10,7),
   Angle_Mars_Fortun                         NUMBER(10,7),
   Angle_Mars_Gulika                         NUMBER(10,7),
   Angle_Mars_Mandi                          NUMBER(10,7),
   Angle_Mars_Arudha                         NUMBER(10,7),
   -- --                                          
   Angle_Jupiter_Sun                         NUMBER(10,7),
   Angle_Jupiter_Moon                        NUMBER(10,7),
   Angle_Jupiter_Mercury                     NUMBER(10,7),
   Angle_Jupiter_Venus                       NUMBER(10,7),
   Angle_Jupiter_Mars                        NUMBER(10,7),
   Angle_Jupiter_Saturn                      NUMBER(10,7),
   Angle_Jupiter_AS                          NUMBER(10,7),
   Angle_Jupiter_MH                          NUMBER(10,7),
   Angle_Jupiter_Rahu                        NUMBER(10,7),
   Angle_Jupiter_Kethu                       NUMBER(10,7),
   Angle_Jupiter_Uranus                      NUMBER(10,7),
   Angle_Jupiter_Neptune                     NUMBER(10,7),
   Angle_Jupiter_Pluto                       NUMBER(10,7),
   Angle_Jupiter_Fortun                      NUMBER(10,7),
   Angle_Jupiter_Gulika                      NUMBER(10,7),
   Angle_Jupiter_Mandi                       NUMBER(10,7),
   Angle_Jupiter_Arudha                      NUMBER(10,7),
   -- --                                          
   Angle_Saturn_Sun                          NUMBER(10,7),
   Angle_Saturn_Moon                         NUMBER(10,7),
   Angle_Saturn_Mercury                      NUMBER(10,7),
   Angle_Saturn_Venus                        NUMBER(10,7),
   Angle_Saturn_Mars                         NUMBER(10,7),
   Angle_Saturn_Jupiter                      NUMBER(10,7),
   Angle_Saturn_AS                           NUMBER(10,7),
   Angle_Saturn_MH                           NUMBER(10,7),
   Angle_Saturn_Rahu                         NUMBER(10,7),
   Angle_Saturn_Kethu                        NUMBER(10,7),
   Angle_Saturn_Uranus                       NUMBER(10,7),
   Angle_Saturn_Neptune                      NUMBER(10,7),
   Angle_Saturn_Pluto                        NUMBER(10,7),
   Angle_Saturn_Fortun                       NUMBER(10,7),
   Angle_Saturn_Gulika                       NUMBER(10,7),
   Angle_Saturn_Mandi                        NUMBER(10,7),
   Angle_Saturn_Arudha                       NUMBER(10,7),
   -- --                                          
   Angle_AS_Sun                              NUMBER(10,7),
   Angle_AS_Moon                             NUMBER(10,7),
   Angle_AS_Mercury                          NUMBER(10,7),
   Angle_AS_Venus                            NUMBER(10,7),
   Angle_AS_Mars                             NUMBER(10,7),
   Angle_AS_Jupiter                          NUMBER(10,7),
   Angle_AS_Saturn                           NUMBER(10,7),
   Angle_AS_MH                               NUMBER(10,7),
   Angle_AS_Rahu                             NUMBER(10,7),
   Angle_AS_Kethu                            NUMBER(10,7),
   Angle_AS_Uranus                           NUMBER(10,7),
   Angle_AS_Neptune                          NUMBER(10,7),
   Angle_AS_Pluto                            NUMBER(10,7),
   Angle_AS_Fortun                           NUMBER(10,7),
   Angle_AS_Gulika                           NUMBER(10,7),
   Angle_AS_Mandi                            NUMBER(10,7),
   Angle_AS_Arudha                           NUMBER(10,7),
   -- --                                           
   Angle_MH_Sun                              NUMBER(10,7),
   Angle_MH_Moon                             NUMBER(10,7),
   Angle_MH_Mercury                          NUMBER(10,7),
   Angle_MH_Venus                            NUMBER(10,7),
   Angle_MH_Mars                             NUMBER(10,7),
   Angle_MH_Jupiter                          NUMBER(10,7),
   Angle_MH_Saturn                           NUMBER(10,7),
   Angle_MH_AS                               NUMBER(10,7),
   Angle_MH_Rahu                             NUMBER(10,7),
   Angle_MH_Kethu                            NUMBER(10,7),
   Angle_MH_Uranus                           NUMBER(10,7),
   Angle_MH_Neptune                          NUMBER(10,7),
   Angle_MH_Pluto                            NUMBER(10,7),
   Angle_MH_Fortun                           NUMBER(10,7),
   Angle_MH_Gulika                           NUMBER(10,7),
   Angle_MH_Mandi                            NUMBER(10,7),
   Angle_MH_Arudha                           NUMBER(10,7),
   -- --                                          
   Angle_Rahu_Sun                            NUMBER(10,7),
   Angle_Rahu_Moon                           NUMBER(10,7),
   Angle_Rahu_Mercury                        NUMBER(10,7),
   Angle_Rahu_Venus                          NUMBER(10,7),
   Angle_Rahu_Mars                           NUMBER(10,7),
   Angle_Rahu_Jupiter                        NUMBER(10,7),
   Angle_Rahu_Saturn                         NUMBER(10,7),
   Angle_Rahu_AS                             NUMBER(10,7),
   Angle_Rahu_MH                             NUMBER(10,7),
   Angle_Rahu_Kethu                          NUMBER(10,7),
   Angle_Rahu_Uranus                         NUMBER(10,7),
   Angle_Rahu_Neptune                        NUMBER(10,7),
   Angle_Rahu_Pluto                          NUMBER(10,7),
   Angle_Rahu_Fortun                         NUMBER(10,7),
   Angle_Rahu_Gulika                         NUMBER(10,7),
   Angle_Rahu_Mandi                          NUMBER(10,7),
   Angle_Rahu_Arudha                         NUMBER(10,7),
   -- --                                          
   Angle_Kethu_Sun                           NUMBER(10,7),
   Angle_Kethu_Moon                          NUMBER(10,7),
   Angle_Kethu_Mercury                       NUMBER(10,7),
   Angle_Kethu_Venus                         NUMBER(10,7),
   Angle_Kethu_Mars                          NUMBER(10,7),
   Angle_Kethu_Jupiter                       NUMBER(10,7),
   Angle_Kethu_Saturn                        NUMBER(10,7),
   Angle_Kethu_AS                            NUMBER(10,7),
   Angle_Kethu_MH                            NUMBER(10,7),
   Angle_Kethu_Rahu                          NUMBER(10,7),
   Angle_Kethu_Uranus                        NUMBER(10,7),
   Angle_Kethu_Neptune                       NUMBER(10,7),
   Angle_Kethu_Pluto                         NUMBER(10,7),
   Angle_Kethu_Fortun                        NUMBER(10,7),
   Angle_Kethu_Gulika                        NUMBER(10,7),
   Angle_Kethu_Mandi                         NUMBER(10,7),
   Angle_Kethu_Arudha                        NUMBER(10,7),
   -- --                                          
   Angle_Uranus_Sun                          NUMBER(10,7),
   Angle_Uranus_Moon                         NUMBER(10,7),
   Angle_Uranus_Mercury                      NUMBER(10,7),
   Angle_Uranus_Venus                        NUMBER(10,7),
   Angle_Uranus_Mars                         NUMBER(10,7),
   Angle_Uranus_Jupiter                      NUMBER(10,7),
   Angle_Uranus_Saturn                       NUMBER(10,7),
   Angle_Uranus_AS                           NUMBER(10,7),
   Angle_Uranus_MH                           NUMBER(10,7),
   Angle_Uranus_Rahu                         NUMBER(10,7),
   Angle_Uranus_Kethu                        NUMBER(10,7),
   Angle_Uranus_Neptune                      NUMBER(10,7),
   Angle_Uranus_Pluto                        NUMBER(10,7),
   Angle_Uranus_Fortun                       NUMBER(10,7),
   Angle_Uranus_Gulika                       NUMBER(10,7),
   Angle_Uranus_Mandi                        NUMBER(10,7),
   Angle_Uranus_Arudha                       NUMBER(10,7),
   -- --                                          
   Angle_Neptune_Sun                         NUMBER(10,7),
   Angle_Neptune_Moon                        NUMBER(10,7),
   Angle_Neptune_Mercury                     NUMBER(10,7),
   Angle_Neptune_Venus                       NUMBER(10,7),
   Angle_Neptune_Mars                        NUMBER(10,7),
   Angle_Neptune_Jupiter                     NUMBER(10,7),
   Angle_Neptune_Saturn                      NUMBER(10,7),
   Angle_Neptune_AS                          NUMBER(10,7),
   Angle_Neptune_MH                          NUMBER(10,7),
   Angle_Neptune_Rahu                        NUMBER(10,7),
   Angle_Neptune_Kethu                       NUMBER(10,7),
   Angle_Neptune_Uranus                      NUMBER(10,7),
   Angle_Neptune_Pluto                       NUMBER(10,7),
   Angle_Neptune_Fortun                      NUMBER(10,7),
   Angle_Neptune_Gulika                      NUMBER(10,7),
   Angle_Neptune_Mandi                       NUMBER(10,7),
   Angle_Neptune_Arudha                      NUMBER(10,7),
   -- --                                          
   Angle_Pluto_Sun                           NUMBER(10,7),
   Angle_Pluto_Moon                          NUMBER(10,7),
   Angle_Pluto_Mercury                       NUMBER(10,7),
   Angle_Pluto_Venus                         NUMBER(10,7),
   Angle_Pluto_Mars                          NUMBER(10,7),
   Angle_Pluto_Jupiter                       NUMBER(10,7),
   Angle_Pluto_Saturn                        NUMBER(10,7),
   Angle_Pluto_AS                            NUMBER(10,7),
   Angle_Pluto_MH                            NUMBER(10,7),
   Angle_Pluto_Rahu                          NUMBER(10,7),
   Angle_Pluto_Kethu                         NUMBER(10,7),
   Angle_Pluto_Uranus                        NUMBER(10,7),
   Angle_Pluto_Neptune                       NUMBER(10,7),
   Angle_Pluto_Fortun                        NUMBER(10,7),
   Angle_Pluto_Gulika                        NUMBER(10,7),
   Angle_Pluto_Mandi                         NUMBER(10,7),
   Angle_Pluto_Arudha                        NUMBER(10,7),
   -- --                                          
   Angle_Fortun_Sun                          NUMBER(10,7),
   Angle_Fortun_Moon                         NUMBER(10,7),
   Angle_Fortun_Mercury                      NUMBER(10,7),
   Angle_Fortun_Venus                        NUMBER(10,7),
   Angle_Fortun_Mars                         NUMBER(10,7),
   Angle_Fortun_Jupiter                      NUMBER(10,7),
   Angle_Fortun_Saturn                       NUMBER(10,7),
   Angle_Fortun_AS                           NUMBER(10,7),
   Angle_Fortun_MH                           NUMBER(10,7),
   Angle_Fortun_Rahu                         NUMBER(10,7),
   Angle_Fortun_Kethu                        NUMBER(10,7),
   Angle_Fortun_Uranus                       NUMBER(10,7),
   Angle_Fortun_Neptune                      NUMBER(10,7),
   Angle_Fortun_Gulika                       NUMBER(10,7),
   Angle_Fortun_Mandi                        NUMBER(10,7),
   Angle_Fortun_Arudha                       NUMBER(10,7),
   -- --                                          
   Angle_Gulika_Sun                          NUMBER(10,7),
   Angle_Gulika_Moon                         NUMBER(10,7),
   Angle_Gulika_Mercury                      NUMBER(10,7),
   Angle_Gulika_Venus                        NUMBER(10,7),
   Angle_Gulika_Mars                         NUMBER(10,7),
   Angle_Gulika_Jupiter                      NUMBER(10,7),
   Angle_Gulika_Saturn                       NUMBER(10,7),
   Angle_Gulika_AS                           NUMBER(10,7),
   Angle_Gulika_MH                           NUMBER(10,7),
   Angle_Gulika_Rahu                         NUMBER(10,7),
   Angle_Gulika_Kethu                        NUMBER(10,7),
   Angle_Gulika_Uranus                       NUMBER(10,7),
   Angle_Gulika_Neptune                      NUMBER(10,7),
   Angle_Gulika_Pluto                        NUMBER(10,7),
   Angle_Gulika_Fortun                       NUMBER(10,7),
   Angle_Gulika_Mandi                        NUMBER(10,7),
   Angle_Gulika_Arudha                       NUMBER(10,7),
   -- --                                          
   Angle_Mandi_Sun                           NUMBER(10,7),
   Angle_Mandi_Moon                          NUMBER(10,7),
   Angle_Mandi_Mercury                       NUMBER(10,7),
   Angle_Mandi_Venus                         NUMBER(10,7),
   Angle_Mandi_Mars                          NUMBER(10,7),
   Angle_Mandi_Jupiter                       NUMBER(10,7),
   Angle_Mandi_Saturn                        NUMBER(10,7),
   Angle_Mandi_AS                            NUMBER(10,7),
   Angle_Mandi_MH                            NUMBER(10,7),
   Angle_Mandi_Rahu                          NUMBER(10,7),
   Angle_Mandi_Kethu                         NUMBER(10,7),
   Angle_Mandi_Uranus                        NUMBER(10,7),
   Angle_Mandi_Neptune                       NUMBER(10,7),
   Angle_Mandi_Pluto                         NUMBER(10,7),
   Angle_Mandi_Fortun                        NUMBER(10,7),
   Angle_Mandi_Gulika                        NUMBER(10,7),
   Angle_Mandi_Arudha                        NUMBER(10,7),
   -- --                                          
   Angle_Arudha_Sun                          NUMBER(10,7),
   Angle_Arudha_Moon                         NUMBER(10,7),
   Angle_Arudha_Mercury                      NUMBER(10,7),
   Angle_Arudha_Venus                        NUMBER(10,7),
   Angle_Arudha_Mars                         NUMBER(10,7),
   Angle_Arudha_Jupiter                      NUMBER(10,7),
   Angle_Arudha_Saturn                       NUMBER(10,7),
   Angle_Arudha_AS                           NUMBER(10,7),
   Angle_Arudha_MH                           NUMBER(10,7),
   Angle_Arudha_Rahu                         NUMBER(10,7),
   Angle_Arudha_Kethu                        NUMBER(10,7),
   Angle_Arudha_Uranus                       NUMBER(10,7),
   Angle_Arudha_Neptune                      NUMBER(10,7),
   Angle_Arudha_Pluto                        NUMBER(10,7),
   Angle_Arudha_Fortun                       NUMBER(10,7),
   Angle_Arudha_Gulika                       NUMBER(10,7),
   Angle_Arudha_Mandi                        NUMBER(10,7)
);

commit;


