#----------------------------------------------------
# sample script to parse horoscope directory and find
# horoscope with Saturn being in House 4 and 
# in Aquarius
#----------------------------------------------------

set sun      0
set moon     1
set mercury  2
set venus    3
set mars     4
set jupiter  5
set saturn   6
set asc      7
set mh       8
set rahu     9
set ketu     10
set uranus   11
set neptune  12
set pluto    13
set fortune  14

set aries 0
set aquarius 10 

set nh9 9

PutTxt "Checking Saturn in House 9 in Aquarius"
PutTxt ""

# Get Astro Type

if { [GetAstroType]!=0} {
# Movable Astrology, house and sign same direction
 set options_signs   "-mov"
} else {
 # Fix Astrology, house and sign opposite direction
 set options_signs   "-fix"
}

# house direction
if { [isSHSD]!= 0} {
 # house and sign same direction
 set options_houses  "-shsd"
} else {
# house and sign opposite direction
 set options_houses  "-shod"
}

if { [isHouseCuspCenter]!= 0} {
 set options_houses_center  "-center"
} else {
 set options_houses_center  ""
}

 foreach fn [glob -directory [GetHoroscopeDirectory] *.xml] {
 
 set fn_norm [file normalize $fn]
 
 PutTxt "Opening $fn_norm"
 SetCurrentHoroscope -path $fn_norm
 PutTxt "Checking [FirstName] [Name] horoscope "
 
 if { [HouseOfPlanet $saturn -rasi $options_houses $options_houses_center] == $nh9 && [SignOfPlanet $saturn -rasi $options_signs] == $aquarius } {
  
  PutTxt "***Saturn is in house 9 in Aquarius for [Name] horoscope ***"
 
 } else {
 
  PutTxt "no matching"
 }
  
 RemoveHoroscope
 
 PutTxt ""
 
 }
 
