
SetPRDebug -off

# Rebuild index 
# this allow you to change interpretation files and check this script output without need of restarting Proastro
# usefull if you are testing changes in interpretation files
# RebuildInterpTxtIndex


# Open the horoscope 
if {![SetCurrentHoroscope]} {
PutTxt "Parts search canceled"
 return
}

# Name of the horoscope
PutTxt "Part pour la carte de [Name] [FirstName]"
PutTxt "[BirthDateHourUT] [BirthCity] [BirthCountry]"
PutTxt ""
#


if { [GetAstroType]!=0} {
 # Movable Astrology, house and sign same direction
 set options_signs   "-mov"
 set options_houses  "-shsd"
  
} else {
 # Fix Astrology, house and sign opposite direction
 set options_signs   "-fix"
 set options_houses  "-shod"
 
}


set sun      0
set moon     1
set mercury  2
set venus    3
set mars     4
set jupiter  5
set saturn   6
set asc      7
set mh       8
set rahu     9
set ketu     10
set uranus   11
set neptune  12
set pluto    13
set fortune  14


set sun_lon      [LongOfPlanet $sun $options_signs]
set moon_lon     [LongOfPlanet $moon $options_signs]
set mercury_lon  [LongOfPlanet $mercury $options_signs] 
set venus_lon    [LongOfPlanet $venus $options_signs]
set mars_lon     [LongOfPlanet $mars $options_signs]
set jupiter_lon  [LongOfPlanet $jupiter $options_signs]
set saturn_lon   [LongOfPlanet $saturn $options_signs]
set asc_lon      [LongOfPlanet $asc $options_signs]
set mh_lon       [LongOfPlanet $mh $options_signs]
set rahu_lon     [LongOfPlanet $rahu $options_signs]
set ketu_lon     [LongOfPlanet $ketu $options_signs]
set uranus_lon   [LongOfPlanet $uranus $options_signs]
set neptune_lon  [LongOfPlanet $neptune $options_signs]
set pluto_lon    [LongOfPlanet $pluto $options_signs]
set fortune_lon  [LongOfPlanet $fortune $options_signs]

set temp_lon $fortune_lon
PutTxt "Part Fortune = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $sun_lon - $moon_lon + $asc_lon ]]
PutTxt "Part Etudes  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $fortune_lon + $asc_lon ]]
PutTxt "Part Renommée  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $fortune_lon + $venus_lon ]]
PutTxt "Part Amitié  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $fortune_lon -$mars_lon + $asc_lon ]]
PutTxt "Part Grandeur  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $saturn_lon - $mars_lon + $asc_lon ]]
PutTxt "Part Désir  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $mars_lon - $asc_lon + [ LongOfPlanet [LordOfHouse 1 $options_houses $options_signs -rasi] $options_signs ]]] 
PutTxt "Part Habileté  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $saturn_lon + $asc_lon ]]
PutTxt "Part Frères  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $moon_lon + $sun_lon ]]
PutTxt "Part Respect = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $saturn_lon - $sun_lon + $asc_lon ]]
PutTxt "Part Père = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $saturn_lon - $sun_lon + $asc_lon ]]
PutTxt "Part Roi (?) = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $moon_lon - $venus_lon + $asc_lon ]]
PutTxt "Part Mère  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $moon_lon + $asc_lon ]]
PutTxt "Part Enfants  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $saturn_lon - $jupiter_lon + $asc_lon ]]
PutTxt "Part Vie  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $mars_lon - $mercury_lon + $asc_lon ]]
PutTxt "Part Action  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $asc_lon - $moon_lon + $asc_lon ]]
PutTxt "Part Maladie  = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $mars_lon + $asc_lon ]]
PutTxt "Part Lutte = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $jupiter_lon - $saturn_lon + $mercury_lon ]]
PutTxt "Part Sciences = [FormatSignLongitude $temp_lon] ($temp_lon)"
set sciences $temp_lon

set temp_lon [ToZ360 [ expr $mercury_lon - $moon_lon + $asc_lon ]]
PutTxt "Part Parents Proches = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ LongOfHouse 8 $options_houses $options_signs -rasi]
set temp_lon [ToZ360 [ expr $temp_lon - $moon_lon + $asc_lon ]]
PutTxt "Part Mort = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ LongOfHouse 9 $options_houses $options_signs -rasi]
set temp_lon [ expr $temp_lon - [ LongOfPlanet [LordOfHouse 9 $options_houses $options_signs -rasi] $options_signs ] ] 
set temp_lon [ToZ360 [ expr $temp_lon + $asc_lon ]]
PutTxt "Part Pays Etrangers = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ LongOfHouse 2 $options_houses $options_signs -rasi]
set temp_lon [ expr $temp_lon - [ LongOfPlanet [LordOfHouse 2 $options_houses $options_signs -rasi] $options_signs ] ] 
set temp_lon [ToZ360 [ expr $temp_lon + $asc_lon ]]
PutTxt "Part Finances = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $venus_lon - $sun_lon + $asc_lon ]]
PutTxt "Part Adultère = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $moon_lon - $sun_lon + $asc_lon ]]
PutTxt "Part Profession (?) = [FormatSignLongitude $temp_lon] ($temp_lon)"

set sun_sign         [ SignOfPlanet $sun $options_signs -rasi]
set lord_sun_sign    [ LordOfSign   $sun_sign  ]
set temp_lon         [ LongOfPlanet  $lord_sun_sign $options_signs]
set temp_lon [ToZ360 [ expr $saturn_lon - $sun_lon + $temp_lon ]]
PutTxt "Part Succès = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $venus_lon - $saturn_lon + $asc_lon ]]
PutTxt "Part Mariage = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ LongOfHouse 6 $options_houses $options_signs -rasi]
set temp_lon [ToZ360 [ expr  $saturn_lon - $moon_lon + $temp_lon ]]
PutTxt "Part Ennuis = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $sciences - $fortune_lon + $asc_lon ]]
PutTxt "Part Amour = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $mars_lon - $saturn_lon + $mercury_lon ]]
PutTxt "Part Maladies Chroniques = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr $mars_lon - $saturn_lon + $asc_lon ]]
PutTxt "Part Ennemis = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ToZ360 [ expr 105 - $saturn_lon + $asc_lon ]]
PutTxt "Part Voyages = [FormatSignLongitude $temp_lon] ($temp_lon)"

set temp_lon [ LongOfHouse 8 $options_houses $options_signs -rasi]
set temp_lon [ToZ360 [ expr  $temp_lon - $mars_lon + $asc_lon ]]
PutTxt "Part Mort Accidentelle = [FormatSignLongitude $temp_lon] ($temp_lon)"



