###############################################################################
# Author  : Patrick Régnier
# Created : 7/2002
# Update :  5/2016
# Script to check yogas in the horoscope
################################################################################

# Global variables

#  id of the interpretation text file with yogas results 
set n_file   2
 
set rasi_nav ""
set rasi_nav_txt ""
set found 0
set current 0

set options_signs   "-fix"
set options_houses  ""

set sun      0
set moon     1
set mercury  2
set venus    3
set mars     4
set jupiter  5
set saturn   6
set asc      7
set mh       8
set rahu     9
set ketu     10
set uranus   11
set neptune  12
set pluto    13
set fortune  14
set gulika   15
set mandi    16
set arudha   17

set aries        0 
set taurus       1 
set gemini       2 
set cancer       3 
set leo          4 
set virgo        5 
set libra        6 
set scorpio      7 
set sagittarius  8 
set capricornus  9 
set aquarius    10 
set pisces      11 

set anapha_rasi     0
set anapha_navamsa  0
set sunapha_rasi    0
set sunapha_navamsa 0

# 1: rasi only yogas, 2 rasi and navamsas yogas
set max_level 2 

# global proc

proc house_beetween {nh nmin nmax} {
 
 if { ($nmin <= $nmax) } {
   if { ($nh >= $nmin) && ($nh <= $nmax) } {return 1} else { return 0}
 } else {
 
  set ret1 [house_beetween $nh $nmin 12]
  set ret2 [house_beetween $nh 1  $nmax]
 
  if { ($ret1 == 1) || ($ret2 == 1) } {return 1 } else {return 0}
 
 }
}

proc to011 { x } {
  
  set loc_x $x
  
  while {$loc_x >= 12} {
   incr loc_x -12 
  }
   
  while {$loc_x < 0} {
   incr loc_x  12 
  } 
 
  return $loc_x
 
 }

proc to0360 { x } {
  
  set loc_x $x
  
  while {$loc_x >= 360.0} {
   set loc_x [expr $loc_x -360.0] 
  }
   
  while {$loc_x < 0.0} {
   set loc_x [expr $loc_x + 360.0] 
  } 
 
  return $loc_x
 
 }

proc to112 { x } {
   
  set loc_x [expr $x -1]  
  set loc_x [to011 $loc_x]
  incr loc_x
  return $loc_x
 
 }

proc iskendra {sign1 sign2} {
  
 set diff [ expr $sign1 - $sign2 ]
 
 set diff [to011 $diff]
  
 if { ($diff % 3 == 0) } {
  return 1
 
 }
 
 return 0
 
}

proc ExaltedPlanet  { sign } {

 global aries taurus gemini cancer leo virgo libra scorpio sagittarius capricornus aquarius pisces
 global sun moon mercury venus mars jupiter saturn ketu

 if {$sign == $aries}       { return $sun}
 if {$sign == $taurus}      { return $moon}
 if {$sign == $gemini}      { return -1}
 if {$sign == $cancer}      { return $jupiter}
 if {$sign == $leo   }      { return -1}
 if {$sign == $virgo}       { return $mercury}
 if {$sign == $libra}       { return $saturn}
 if {$sign == $scorpio}     { return $ketu}
 if {$sign == $sagittarius} { return -1}
 if {$sign == $capricornus} { return $mars}
 if {$sign == $aquarius}    { return -1}
 if {$sign == $pisces}      { return $venus}
 
}


proc ishousekendra { nh } {
 
 if { $nh==1 || $nh==4 || $nh==7 || $nh==10} { return 1} 

 return 0

}

proc ishousethrikona { nh } {
 
 if { $nh==5 || $nh==9 } { return 1} 

 return 0

}

proc conjunction {np1 np2 rasi_nav} {

  global options_signs
  
  if { $np1 == $np2 } {return 0}
   
  set s1 [SignOfPlanet $np1 $rasi_nav $options_signs]
  set s2 [SignOfPlanet $np2 $rasi_nav $options_signs]
 
  if { $s1==$s2 } { return 1}

  return 0

}

proc conjunctionoraspected {np_aspected np_aspecting rasi_nav} {

 if { ([conjunction $np_aspected $np_aspecting $rasi_nav]) } {return 1}
 
 set aspected1 [HAspectedBy $np_aspected $np_aspecting $rasi_nav]

 if { $aspected1 } { return 1}
 
 return 0

}


proc conjunctionoraspectedbyfriend {np rasi_nav} {

 set found_conjunction 0
 set found_aspect 0
 
 foreach {p} {0 1 2 3 4 5 6} {
 	
 	if {$p != $np } {
 		
 		  if { [conjunction $np $p $rasi_nav] } { 
 		  	 
 		  	 set fs [GetFriendShip $np $p $rasi_nav] 
 		  	 if {$fs > 0} {set found_conjunction 1 }
 		  	
 		  	}
 		  
 		  if { [HAspectedBy $np $p $rasi_nav] } {

 		  	 set fs [GetFriendShip $np $p $rasi_nav] 
 		  	 if {$fs > 0} {set found_aspect 1 }

 		   	}
 		}
 	
 	}
 
 if { $found_conjunction == 1 || $found_aspect == 1 } {return 1} else {return 0}
 
}



proc iswaterysign { s1 } {
 
 # Cancer, Libra, Scorpio, Capricorn, Aquarius, Pisces  
 if { ($s1 == 3) || ($s1 == 6) || ($s1 == 7) || ($s1 == 9) || ($s1 == 10) || ($s1 == 11) } {
  return 1
 }

 return 0

}

proc trine {np1 np2 rasi_nav} {

  global options_signs
  
  if { $np1 == $np2 } {return 0}
   
  set s1 [SignOfPlanet $np1 $rasi_nav $options_signs]
  set s2 [SignOfPlanet $np2 $rasi_nav $options_signs]
 
  set diff [expr $s2 - $s1]
  set diff [to011 $diff]

  
  if { ($diff == 4) || ($diff == 8) } {
   return 1
  }
    
  return 0

}


proc quadrant {np1 np2 rasi_nav} {

  global options_signs
  
  if { $np1 == $np2 } {return 0}
   
  set s1 [SignOfPlanet $np1 $rasi_nav $options_signs]
  set s2 [SignOfPlanet $np2 $rasi_nav $options_signs]
 
  set diff [expr $s2 - $s1]
  set diff [to011 $diff]

  
  if { ($diff == 3) || ($diff == 6) || ($diff == 9)} {
   return 1
  }
    
  return 0

}

proc ismovablesign { ns } {

 if { ($ns % 3 == 0) } {
  return 1
 } else {
  return 0
 } 
}

proc isfixedsign { ns } {

 if { ($ns % 3 == 1) } {
  return 1
 } else {
  return 0
 }
}

proc iscommonsign { ns } {

 if { ($ns % 3 == 2) } {
  return 1
 } else {
  return 0
 } 

}

proc combined {np1 np2 rasi_nav} {
   
  if { $np1 == $np2 } {return 0}
  
  set aspected1 [HAspectedBy $np1 $np2 $rasi_nav]
  set aspected2 [HAspectedBy $np2 $np1 $rasi_nav]  
  
  if { ($aspected1 == 1) || ($aspected2 == 1) } {return 1} 

  if {[conjunction $np1 $np2 $rasi_nav]==1 } {return 1} 

  return 0

}

proc interchangesign {np1 np2 rasi_nav} {
 
 global options_signs
 
 set l_np1 [LordOfPlanet $np1 $rasi_nav $options_signs]
 set l_np2 [LordOfPlanet $np2 $rasi_nav $options_signs]
 
 if { ($l_np1 == $np2) && ($l_np2 == $np1) } {
  return 1
 } else {
  return 0
 }

}


proc IsExaltationSign {np ns} {

 global aries taurus gemini cancer leo virgo libra scorpio sagittarius capricornus aquarius pisces            
 global sun moon mercury venus mars jupiter saturn asc mh rahu ketu uranus neptune pluto fortune 

 if {($ns==$aries)        && ($np==$sun)}     {return 1}
 if {($ns==$taurus)       && ($np==$moon)}    {return 1}
 if {($ns==$virgo)        && ($np==$mercury)} {return 1}
 if {($ns==$pisces)       && ($np==$venus)}   {return 1}
 if {($ns==$capricornus)  && ($np==$mars)}    {return 1}
 if {($ns==$cancer)       && ($np==$jupiter)} {return 1}
 if {($ns==$libra)        && ($np==$saturn)}  {return 1}
 if {($ns==$taurus)       && ($np==$rahu)}    {return 1}
 if {($ns==$scorpio)      && ($np==$ketu)}    {return 1}
 
 return 0
 
}

proc IsOwnSign {np ns} {
 
 set ls [LordOfSign $ns]
 
 # Own sign first lord
 if { $ls==$np } {
   return 1
 } else {
  # Own sign second lord
  set ls [LordOfSign $ns -second]
  if { $ls==$np } { return 1} else { 
    # Own sign third lord
    set ls [LordOfSign $ns -third]
    if { $ls==$np } {return 1 } else {return 0}
  }
 }
}

proc IsOwnSignOrExaltation {np ns} {
 
 if { [IsOwnSign $np $ns] } {return 1}
 if { [IsExaltationSign $np $ns] } {return 1}
 return 0 
}


proc IsExalted {np rasi_nav} {

 global options_signs
 
 set ns [SignOfPlanet $np $rasi_nav $options_signs]
 set result [IsExaltationSign $np $ns]
 return $result

}

proc isCombustion { np } {
	
	global sun
	
	set l [LongOfPlanet $np -fix]
	set l_sun [LongOfPlanet $sun -fix]
	
	set diff [expr $l -$l_sun]
	set diff [to0360 $diff]
	
	if { $diff > 358 || $diff < 2 } {
		 return 1
		} else { 
		 return 0
		}
		
	
}


proc IsMoolathrikona { np } {
  
 set l [LongOfPlanet $np -fix]
   
  switch $np {
  
  0    {
   if { ($l >= 120) && ($l <= 140) } {return 1}
   }

  1   {
   if { ($l >= 34) && ($l <= 60) } {return 1}
  }

  2    {
   if { ($l >= 166) && ($l <= 170) } {return 1}
  }

  3    {
   if { ($l >= 180) && ($l <= 190) } {return 1}
  }

  4    {
   if { ($l >= 0) && ($l <= 18) } {return 1}
  }

  5   {
   if { ($l >= 240) && ($l <= 253) } {return 1}
  }

  6    {
   if { ($l >= 300) && ($l <= 320) } {return 1}
  }

  default { return 0}
 
 }

 return 0
 
}

proc IsDebilitated {np rasi_nav} {

 global options_signs
 
 set ns [SignOfPlanet $np $rasi_nav $options_signs]
 set ns [expr $ns + 6]
 set ns [to011 $ns]
 
 set result [IsExaltationSign $np $ns]
 return $result

}

proc IsInFriendlySign {np rasi_nav} {

 global options_signs
 
 set lord [LordOfPlanet $np $rasi_nav $options_signs]
 
 set fs [GetFriendShip $np $lord $rasi_nav] 
 
 if { ($fs > 0) && ($fs <= 3)} {
  return 1
 } else {
  return 0
 }
  
}

proc IsInUnFriendlySign {np rasi_nav} {

 global options_signs
 
 set lord [LordOfPlanet $np $rasi_nav $options_signs]
 
 set fs [GetFriendShip $np $lord $rasi_nav] 
 
 if { ($fs < 0) && ($fs >= -3)} {
  return 1
 } else {
  return 0
 }
  
}

proc IsInShashtiamsaBene { np } {
 
 global  options_signs
 
 set s   [ FixSubOfPlanet 12 $np ]
 set l   [ LordOfSign $s ]
 set q   [ GetQualityOfPlanet $l -rasi]
 
 if { ($q > 0)} { return 1}
 
 return 0 

}

proc IsInShashtiamsaMale { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 12 $np ]
 set l   [ LordOfSign $s ]
 set q   [ GetQualityOfPlanet $l -rasi]
 
 if { ($q < 0)} { return 1}
 
 return 0 
 
}


proc IsInNavamsaBene { np } {
 
 global  options_signs
 
 set s   [ FixSubOfPlanet 4 $np ]
 set l   [ LordOfSign $s ]
 set q   [ GetQualityOfPlanet $l -rasi]
 
 if { ($q > 0)} { return 1}
 
 return 0 

}

proc IsInNavamsaMale { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 4 $np ]
 set l   [ LordOfSign $s ]
 set q   [ GetQualityOfPlanet $l -rasi]
 
 if { ($q < 0)} { return 1}
 
 return 0 
 
}

proc IsInShashtiamsaAmical { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 12 $np ]
 set l   [ LordOfSign $s ]
 set fs  [ GetFriendShip $np $l -rasi ] 
 
 if { ($fs > 0) && ($fs <= 3)} {return 1} else {return 0}
  
}

proc IsInShashtiamsaInimical { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 12 $np ]
 set l   [ LordOfSign $s ]
 set fs  [ GetFriendShip $np $l -rasi ] 
 
 if { ($fs < 0) && ($fs >= -3 )} {return 1} else {return 0}
  
}


proc IsInNavamsaAmical { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 4 $np ]
 set l   [ LordOfSign $s ]
 set fs  [ GetFriendShip $np $l -rasi ] 
 
 if { ($fs > 0) && ($fs <= 3)} {return 1} else {return 0}
  
}

proc IsInNavamsaInimical { np } {

 global  options_signs
 
 set s   [ FixSubOfPlanet 4 $np ]
 set l   [ LordOfSign $s ]
 set fs  [ GetFriendShip $np $l -rasi ] 
 
 if { ($fs < 0) && ($fs >= -3 )} {return 1} else {return 0}
  
}


proc IsHome {np rasi_nav} {
 
 global options_signs
 
 set ns [SignOfPlanet $np $rasi_nav $options_signs]
 set result [IsOwnSign $np $ns]
 return $result

}

proc IsStrongPlanet {np} {
 
 set s [StrengthOfPlanet $np]
 if { ($s > 100) } { return 1}
 return 0

}


proc IsWeakPlanet {np} {
 
 set s [StrengthOfPlanet $np]
 if { ($s < 60) } { return 1}
 return 0

}


proc IsAspectedByBenefic { np rasi_nav} {

 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  if { ($p != $np) } {
   set q  [GetQualityOfPlanet $p $rasi_nav]
   set aspected1 [HAspectedBy $np $p $rasi_nav]
   if { ($q > 0) &&  ($aspected1 == 1) } {
    return 1
   }
  }
 }

 return 0
 
}

proc IsAspectedByMalefic { np rasi_nav} {

 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  if { ($p != $np) } {
   set q  [GetQualityOfPlanet $p $rasi_nav]
   set aspected1 [HAspectedBy $np $p $rasi_nav]
   if { ($q < 0) &&  ($aspected1 == 1) } {
    return 1
   }
  }
 }

 return 0
 
}

proc IsConjunctionWithBenefic { np rasi_nav} {

  foreach  {p} {0 1 2 3 4 5 6 9 10 } {
   if { ($p != $np) } {
    set q  [GetQualityOfPlanet $p $rasi_nav]
    set conjunction1 [conjunction $np $p $rasi_nav]
    if { ($q > 0) &&  ($conjunction1 == 1) } {
     return 1
    }
   }
 }
 
 return 0

}

proc IsConjunctionWithMalefic { np rasi_nav} {

  foreach  {p} {0 1 2 3 4 5 6 9 10 } {  
    if { ($p != $np) } {
    set q  [GetQualityOfPlanet $p $rasi_nav]
    set conjunction1 [conjunction $np $p $rasi_nav]
    if { ($q < 0) &&  ($conjunction1 == 1) } {
    return 1
   }
  }
 } 

 return 0

}

proc HasKalabala {np} {
 
 set k [GetKalaBala $np]
 
 if { ($k > 60) } {
  return 1
 } else {
  return 0
 }
 
}

proc IsParijatamsa {np} {
 
 set c [ OwnVargaCount $np ]
   
 if { $c >= 2 } {
  return 1
 } else { 
  return 0
 }

}

proc IsUttamamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 3 } {
  return 1
 } else { 
  return 0
 }


}

proc IsGopuramsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 4 } {
  return 1
 } else { 
  return 0
 }
}

proc IsSimhasanamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 5 } {
  return 1
 } else { 
  return 0
 }

}

proc IsParvatamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 6 } {
  return 1
 } else { 
  return 0
 }

}

proc IsDevalokamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 7 } {
  return 1
 } else { 
  return 0
 }

}

proc IsKunkumamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 8 } {
  return 1
 } else { 
  return 0
 }

}

proc IsIravathamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 9 } {
  return 1
 } else { 
  return 0
 }

}

proc IsVaishnavamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 10 } {
  return 1
 } else { 
  return 0
 }

}

proc IsSaivamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 11 } {
  return 1
 } else { 
  return 0
 }

}

proc IsBhaswadamsa {np} {

set c [ OwnVargaCount $np ]
   
 if { $c >= 12 } {
  return 1
 } else { 
  return 0
 }

}

proc IsVaiseshikamsa {np} {
  
 set c [ OwnVargaCount $np ]
   
 if { $c >= 13 } {
  return 1
 } else { 
  return 0
 }
  
}

proc OwnVargaCount {np} {

 set ret 0
 
 foreach {sub} {0 1 2 3 4 5 6 7 8 9 10 11 12 } {
  set ns [ FixSubOfPlanet $sub $np ] 
   if { [LordOfSign $ns] == $np } {
    incr ret 
   }
  }
  
 return $ret 

}

proc HinduLordOfHouse { h rasi_nav } {

 global asc
 
 set S1 [SignOfPlanet $asc $rasi_nav -fix]
 set SH [expr $h + $S1 -1 ]

 set SH [to011 $SH]	

 set L [LordOfSign $SH ]
 
 return $L
}


proc HinduHouseOfPlanet { p rasi_nav } {

 global asc
 
 set S1 [SignOfPlanet $asc $rasi_nav -fix]
 set SP [SignOfPlanet $p   $rasi_nav -fix]	  	
 
 set diff [expr $SP - $S1 ]
 
 set diff [to011 $diff]	

 incr diff	
 	
 return $diff	
}

proc HouseOccupied {nh rasi_nav house_dir} {

 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  set temp_house [ HinduHouseOfPlanet $p $rasi_nav ] 
  
  if { ($temp_house == $nh) } {
   return 1
  }
 
 }

 return 0

}

proc HouseOccupiedByMalefic {nh rasi_nav house_dir} {

  foreach  {p} {0 1 2 3 4 5 6 9 10 } {
   set temp_house [HinduHouseOfPlanet $p $rasi_nav ] 
   set temp_q     [GetQualityOfPlanet $p $rasi_nav]
  
   if { ($temp_house == $nh) && ($temp_q < 0) } {
   return 1
   }
  }

 return 0

}

proc HouseOccupiedByBenefic {nh rasi_nav house_dir} {

 
  foreach  {p} {0 1 2 3 4 5 6 9 10} {
   set temp_house [HinduHouseOfPlanet $p $rasi_nav ] 
   set temp_q     [GetQualityOfPlanet $p $rasi_nav]
  
   if { ($temp_house == $nh) && ($temp_q > 0) } {
   return 1
   }
 
 }

 return 0

}

proc HouseOccupiedByExalted {nh rasi_nav house_dir} {
 
  foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  set temp_house [HinduHouseOfPlanet $p $rasi_nav ] 
  set exalted    [IsExalted $p $rasi_nav]
  
  if { ($temp_house == $nh) && ($exalted == 1) } {
   return 1
  }
 
 }

 return 0

}

proc HouseOccupiedByOwn {nh rasi_nav house_dir} {
 
 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  set temp_house [HinduHouseOfPlanet $p $rasi_nav ] 
  set home    [IsHome $p $rasi_nav]
  
  if { ($temp_house == $nh) && ($home == 1) } {
   return 1
  }
 
 }

 return 0

}




proc KendraHouseOccupiedByBenefic {rasi_nav house_dir} {

 set  o1 [ HouseOccupiedByBenefic 1   $rasi_nav $house_dir ]
 set  o4 [ HouseOccupiedByBenefic 4   $rasi_nav $house_dir ]
 set  o7 [ HouseOccupiedByBenefic 7   $rasi_nav $house_dir ]
 set o10 [ HouseOccupiedByBenefic 10  $rasi_nav $house_dir ]
 
 if {  ($o1 == 1) || ($o4 == 1) || ($o7 == 1) || ($o10 == 1) } {
  return 1
 }

 return 0

}

proc ThrikonaHouseOccupiedByBenefic {rasi_nav house_dir} {

 set  o5 [ HouseOccupiedByBenefic 5   $rasi_nav $house_dir ]
 set  o9 [ HouseOccupiedByBenefic 9   $rasi_nav $house_dir ]
 
 if {  ($o5 == 1) || ($o9 == 1) } {
  return 1
 }

 return 0

} 

proc KendraHouseOccupiedByMalefic {rasi_nav house_dir} {

 set  o1 [ HouseOccupiedByMalefic 1   $rasi_nav $house_dir ]
 set  o4 [ HouseOccupiedByMalefic 4   $rasi_nav $house_dir ]
 set  o7 [ HouseOccupiedByMalefic 7   $rasi_nav $house_dir ]
 set o10 [ HouseOccupiedByMalefic 10  $rasi_nav $house_dir ]
 
 if {  ($o1 == 1) || ($o4 == 1) || ($o7 == 1) || ($o10 == 1) } {
  
  # PutTxt "KendraHouseOccupiedByMalefic o1=$o1 o4=$o4 o7=$o7 o10=$o10"
  return 1
  
 }

 return 0

}

proc ThrikonaHouseOccupiedByMalefic {rasi_nav house_dir} {

 set  o5 [ HouseOccupiedByMalefic 5   $rasi_nav $house_dir ]
 set  o9 [ HouseOccupiedByMalefic 9   $rasi_nav $house_dir ]
 
 if {  ($o5 == 1) || ($o9 == 1) } {
  # PutTxt "ThrikonaHouseOccupiedByMalefic o5=$o5 o9=$o9"
  return 1
 }

 return 0

} 

proc SignAspectedByPlanet {ns np rasi_nav} {
 
 global options_signs
 global mars
 global jupiter
 global saturn
 
 set nsp [SignOfPlanet $np $rasi_nav $options_signs]
 
 
 switch $np {
  4    {
 
  set ns_aspecting [SignOfPlanet $mars $rasi_nav $options_signs]
 
  set nsp_plus [to011 [expr $ns_aspecting + 3]]
  if { $nsp_plus == $ns } {return 1}

  set nsp_plus [to011 [expr $ns_aspecting + 6]]
  if { $nsp_plus == $ns } {return 1}
  
  set nsp_plus [to011 [expr $ns_aspecting + 7]]
  if { $nsp_plus == $ns } {return 1}

  return 0
  
  }
  5 {
  
  set ns_aspecting [SignOfPlanet $jupiter $rasi_nav $options_signs]
  
  set nsp_plus [to011 [expr $ns_aspecting + 4]]
  if { $nsp_plus == $ns } {return 1}

  set nsp_plus [to011 [expr $ns_aspecting + 6]]
  if { $nsp_plus == $ns } {return 1}
  
  set nsp_plus [to011 [expr $ns_aspecting + 8]]
  if { $nsp_plus == $ns } {return 1}

  return 0
  
  
  }
  
  6 {
  
  set ns_aspecting [SignOfPlanet $saturn $rasi_nav $options_signs]
  
  set nsp_plus [to011 [expr $ns_aspecting + 2]]
  if { $nsp_plus == $ns } {return 1}

  set nsp_plus [to011 [expr $ns_aspecting + 6]]
  if { $nsp_plus == $ns } {return 1}
  
  set nsp_plus [to011 [expr $ns_aspecting + 9]]
  if { $nsp_plus == $ns } {return 1}

  return 0

  
  
  }
  
  default  {

  set ns_aspecting [SignOfPlanet $np $rasi_nav $options_signs]

  set nsp_plus [to011 [expr $ns_aspecting + 6]]
  if { $nsp_plus == $ns } {return 1}

  return 0
    
  }
}


}

proc HouseAspectedByPlanet {nh np rasi_nav house_dir} {
 
 global options_signs
 set  sign_of_house [SignOfHouse $nh $house_dir $options_signs $rasi_nav]
 set ret [SignAspectedByPlanet $sign_of_house $np $rasi_nav]
 return $ret
}


proc HouseAspectedByBenefic {nh rasi_nav house_dir} {

 for {set p 0} { $p < [GetPlanetCount] } {incr p} { 
  if { [ HouseAspectedByPlanet $nh $p $rasi_nav $house_dir ] } {
   if { [GetQualityOfPlanet $p $rasi_nav]  > 0 } {
    return 1 
   }
  } 
 }
 
 return 0

}

proc HouseAspectedByMalefic {nh rasi_nav house_dir} {

 for {set p 0} { $p < [GetPlanetCount] } {incr p} { 
  if { [ HouseAspectedByPlanet $nh $p $rasi_nav $house_dir ] } {
   if { [GetQualityOfPlanet $p $rasi_nav]  < 0 } {
    return 1 
   }
  } 
 }
 
 return 0

}



proc IsMaraka {np rasi_nav} {

 set h [ HinduHouseOfPlanet $np $rasi_nav ]

 if { ($h == 2) || ($h == 7) } {
  return 1
 }

 return 0
}

proc IsConjunctionWithMaraka {np rasi_nav} {
 
 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  if { [ conjunction $p $np $rasi_nav ] } {
   if { [IsMaraka $p $rasi_nav] } {
    return 1
   }
  }
 }

 return 0

}

proc IsAspectedbyMaraka {np rasi_nav} {
 
 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  if { [ HAspectedBy $np $p $rasi_nav ] } {
   if { [IsMaraka $p $rasi_nav] } {
    return 1
   }
  }
 }

 return 0

}

proc IsNaturalMalefic {np} {
 
 global sun moon mercury venus mars jupiter saturn asc mh rahu ketu uranus neptune pluto fortune gulika mandi arudha
  
 # Sun
 if { $np == $sun }    { return 1 }
 # Mars
 if { $np == $mars }   { return 1 }
 # Saturn
 if { $np == $saturn } { return 1 }
 # mercury
 if { $np == $mercury} {
  set q [ GetQualityOfPlanet $mercury -rasi]  
  if { $q < 0 } { return 1}
 } 
 # moon
 if { $np == $moon} {
  set q [ GetQualityOfPlanet $moon -rasi]  
  if { $q < 0 } { return 1}
 } 

 if { $np == $gulika }   { return 1 }
 if { $np == $mandi  }   { return 1 }
 if { $np == $rahu  }    { return 1 }
 if { $np == $ketu  }    { return 1 }
 

 return 0

}

proc NearestAfterPlanet { np } {
 
 set fix_lon_planet [ LongOfPlanet $np -fix ]
 set min_diff 360
 set min_i    -1
 
 global asc mh fortune
 
 for {set i 0} { $i < [GetPlanetCount] } { incr i} {
  
  if { ($i != $asc) && ($i != $mh) && ($i != $fortune) } {
  
     if { ($i != $np) } {
      
      set l_i      [ LongOfPlanet $i -fix ]
      set diff     [ expr $l_i - $fix_lon_planet ] 
      set diff     [ ToZ360 $diff ]
      
      if { ($diff < $min_diff) } {
       set min_diff $diff 
       set min_i $i
      }
     }
  }
  
 } 
 
 return $min_i
 
}


proc NearestBeforePlanet { np } {
 
 set fix_lon_planet [ LongOfPlanet $np -fix ]
 set min_diff 360
 set min_i    -1
 
 global asc mh fortune
   
 for {set i 0} { $i < [GetPlanetCount] } { incr i} {
  
  if { ($i != $asc) && ($i != $mh) && ($i != $fortune) } {
      
      if { ($i != $np) } { 
       
       set l_i      [ LongOfPlanet $i -fix ]
       set diff     [ expr $fix_lon_planet - $l_i ] 
       set diff     [ ToZ360 $diff ]
       
       if { ($diff < $min_diff) } {
        set min_diff $diff 
        set min_i $i
       }
      }
  
  }
 
 } 
 
  return $min_i
 
}

proc HemmedInBetweenMalefics { np } {

 set p_before [ NearestBeforePlanet $np ]
 set p_after [ NearestAfterPlanet  $np ]
  
 if { ([GetQualityOfPlanet $p_before -rasi] < 0) && ([GetQualityOfPlanet $p_after -rasi] < 0)  } {
  return 1
 }

 return 0

}


proc IsNaturalBenefic {np} {
 
 global sun moon mercury venus mars jupiter saturn asc mh rahu ketu uranus neptune pluto fortune gulika mandi arudha
  
 # Jupiter
 if { $np == $jupiter }    { return 1 }
 # Venus
 if { $np == $venus }     { return 1 }
 # mercury
 if { $np == $mercury} {
  set q [ GetQualityOfPlanet $mercury -rasi]  
  if { $q > 0 } { return 1}
 } 
 # moon
 if { $np == $moon} {
  set q [ GetQualityOfPlanet $moon -rasi]  
  if { $q > 0 } { return 1}
 } 

 # fortune
 if { $np == $fortune}   { return 1 }
 
 #arudha
 if { $np == $arudha }   { return 1 }
 
 
 
 return 0

}

proc GetFriendShip {np_aspected np_aspecting rasi_nav } {
  
  set fs [HFriendShip   $np_aspected $np_aspecting $rasi_nav] 
  if { ( $fs >= -3 ) && ( $fs <= 3 ) } {
   return $fs
  } else {
   return 0
  }

}


proc set_rasi_navamsa_options {n var_rasi_nav var_rasi_nav_txt var_options_houses} {
 
 upvar $var_rasi_nav        ref_var_rasi_nav 
 upvar $var_rasi_nav_txt    ref_var_rasi_nav_txt
 upvar $var_options_houses  ref_var_options_houses
 
 if {$n == 0} {
  set ref_var_rasi_nav "-rasi"
  set ref_var_rasi_nav_txt "rasi"
  set ref_var_options_houses "-shsd -center"
  } else {
  set ref_var_rasi_nav "-nav"
  set ref_var_rasi_nav_txt "Navamsa"
  set ref_var_options_houses "-shsd"
 }
}

proc rasi_navamsa_loop { body } {
  
  global rasi_nav 
  global rasi_nav_txt 
  global current
  global max_level
  global options_houses
  
  for {set z 0} { $z < $max_level } {incr z} {
   set current $z
   set_rasi_navamsa_options $z rasi_nav rasi_nav_txt options_houses
   uplevel $body
        
        
  }
}


proc SetQualityOfPanets {} {
 
 # 0 = neutral, 1 = Good, -1 = Bad
 # QualityOfPlanet is a global array
 
 global QualityOfPlanetrasi
 global QualityOfPlanetNavamsa
  
 for {set i 0} { $i < [GetPlanetCount] } {incr i} {
   
  set QualityOfPlanetrasi($i)    [HQualityOfPlanet $i 7]   
  set QualityOfPlanetNavamsa($i)  [HQualityOfPlanet $i 15]   
 }

 # force quality of fortune to benefic
 set QualityOfPlanetrasi(14) 1
 set QualityOfPlanetNavamsa(14) 1

 # quality of gulika malefic
 set QualityOfPlanetrasi(15) -1
 set QualityOfPlanetNavamsa(15) -1

 # quality of mandi malefic
 set QualityOfPlanetrasi(16) -1
 set QualityOfPlanetNavamsa(16) -1
 
 # qualtity of arudha benefic
 set QualityOfPlanetrasi(17) 1
 set QualityOfPlanetNavamsa(17) 1
 
}

proc GetQualityOfPlanet { i rasi_or_navamsa } {
 
 global QualityOfPlanetrasi
 global QualityOfPlanetNavamsa
 
 if { ([string toupper $rasi_or_navamsa] == "RASI") || ([string toupper $rasi_or_navamsa] == "-RASI") } {
  return $QualityOfPlanetrasi($i)      
 } else {
  return $QualityOfPlanetNavamsa($i)            
 }      
        
}

# Set debug on or off
# Warning: Must be the first instruction!
# if Debug is on, index file for inter.txt will be overwritten
# each time this script is being executed, which will slow down performance

SetPRDebug -off

# Rebuild index 
# this allow you to change interpretation files and check this script output without need of restarting Proastro
# usefull if you are testing changes in interpretation files
# RebuildInterpTxtIndex


# set domification before SetCurrentHoroscope!
PutTxt "--------------------------------------"
PutTxt "Astrology is $options_signs"

# Open the horoscope for yogas
if {![SetCurrentHoroscope -title "Open horoscope"]} {
 PutTxt "Yogas search canceled"
 return
}

# Name of the horoscope
PutTxt "Yogas for [Name] [FirstName]"
PutTxt "[BirthDateHourUT] [BirthCity] [BirthCountry]"
PutTxt ""
#

# declare a global array for quality of planets
for {set i 0} {$i < 15} {incr i} {
 set QualityOfPlanetrasi($i) 0
 set QualityOfPlanetNavamsa($i) 0
}

# Find Quality of planets
SetQualityOfPanets


#for {set i 0} {$i < 15} {incr i} {
# PutTxt "Quality [NameOfPlanet $i] rasi $QualityOfPlanetrasi($i)"
# PutTxt "Quality [NameOfPlanet $i] navamsa $QualityOfPlanetNavamsa($i)"
#}


PutTxt "-------------- Warning --------------"
set ntext 1
PutAstroTxt $ntext $n_file


PutTxt "------------- Quality of Planet 2=very Bene 1=Bene 0=Neutral -1=Male -2=very Male ---------"

for {set i 0} {$i < 14} {incr i} {

  PutTxt "[NameOfPlanet $i] is [GetQualityOfPlanet $i -rasi] in rasi and [GetQualityOfPlanet $i -nav] in nav"

}

PutTxt "------------- House of Planet ---------"

 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $rahu $ketu"

 foreach {i} $lp {

 PutTxt "Planet [NameOfPlanet $i] is in House [HinduHouseOfPlanet $i -rasi ] in rasi and in House [HinduHouseOfPlanet $i -nav ] in navamsa"

}
 
PutTxt "------------ Lord of House -------------"

for {set h 1} {$h <=12 } {incr h} {

 PutTxt "Lord of house $h in rasi is [NameOfPlanet [HinduLordOfHouse $h  -rasi ] ]"  

}

PutTxt "------------ Lord of House nav -------------"

for {set h 1} {$h <=12 } {incr h} {
 PutTxt "Lord of house $h in nav is [NameOfPlanet [HinduLordOfHouse $h -nav ] ]"  
}


PutTxt "--------------1. Gajakesari Yoga --------------"
set ntext 2
set found 0

rasi_navamsa_loop { 
 
 set jupiter_sign [SignOfPlanet $jupiter $options_signs $rasi_nav]
 set moon_sign    [SignOfPlanet $moon    $options_signs $rasi_nav]

 if { [iskendra $jupiter_sign $moon_sign] }  {
  PutTxt "Found $rasi_nav_txt Jupiter in [NameOfSign $jupiter_sign]  Moon in [NameOfSign $moon_sign] "
  set found 1
 } 

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------2. Sunapha Yoga --------------"
set ntext 3
set found 0

rasi_navamsa_loop { 
 
 set  moon_sign    [SignOfPlanet $moon $options_signs $rasi_nav]
 incr moon_sign
 
 global sunapha_rasi
 global sunapha_navamsa
 
 set moon_sign [to011 $moon_sign]

 set lp "$mercury $venus $mars $jupiter $saturn"

 foreach {i} $lp {
  
 set n_sign [SignOfPlanet $i $options_signs $rasi_nav]
 
  if {$n_sign == $moon_sign} {
   PutTxt "$rasi_nav_txt: planet in house 2 from Moon: [NameOfPlanet $i]"
   set found 1
   if {$current==0} {set sunapha_rasi 1} else {set sunapha_navamsa 1}
  }
  
 }

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------3. Anapha Yoga --------------"
set ntext 4
set found 0

rasi_navamsa_loop { 

 set  moon_sign    [SignOfPlanet $moon $options_signs $rasi_nav]
 incr moon_sign -1
 
 global anapha_rasi   
 global anapha_navamsa 

 set moon_sign [to011 $moon_sign]
 set lp "$mercury $venus $mars $jupiter $saturn"

 foreach {i} $lp {
  
  set n_sign [SignOfPlanet $i $options_signs $rasi_nav]
 
  if {$n_sign == $moon_sign} {
   PutTxt "$rasi_nav_txt: planet in house 12 from Moon: [NameOfPlanet $i]"
   set found 1
   if {$current==0} {set anapha_rasi 1} else {set anapha_navamsa 1}
  }

}

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------4. Dhurdhura Yoga --------------"
set ntext 5
set found 0

if { $anapha_rasi  && $sunapha_rasi} {
  PutTxt "Found in rasi"
  PutAstroTxt $ntext $n_file
  set found 1
 }

if { $anapha_navamsa  && $sunapha_navamsa } {
  PutTxt "Found in Navamsa"
  PutAstroTxt $ntext $n_file
  set found 1
 }

if {$found == 0} {
 PutTxt "Not found"
}


PutTxt "--------------5. Kemadruma Yoga --------------"
set ntext 6
set found 0


if { !$anapha_rasi  && !$sunapha_rasi && !$anapha_navamsa  && !$sunapha_navamsa } {

  PutTxt "Found"
  PutAstroTxt $ntext $n_file

} else {  PutTxt "Not found" }


PutTxt "--------------6. Chandra Mangala Yoga --------------"
set ntext 7
set found 0

rasi_navamsa_loop { 

 set mars_sign    [SignOfPlanet $mars $options_signs $rasi_nav]
 set moon_sign    [SignOfPlanet $moon $options_signs $rasi_nav]

 if { $mars_sign == $moon_sign }  {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------7. Adhi Yoga --------------"
set ntext 8
set found 0

rasi_navamsa_loop { 
 
 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"
 
 foreach {i} $lp {

  set mh [ to011 [ expr [SignOfPlanet $i $rasi_nav $options_signs] - [SignOfPlanet $moon $rasi_nav $options_signs] ] ]
 
  for {set j 5} {$j < 7} {incr j} {
   set q [ GetQualityOfPlanet $i $rasi_nav_txt ]
   if { ($q > 0) && ($mh == $j) } {
     PutTxt "Benefic [NameOfPlanet $i] found in [expr $j+1]th from Moon $rasi_nav_txt" 
    set found 1
   }
 
  }

 }

}

if ($found) {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------8. Chatussagara Yoga --------------"
set ntext 9
set found 0


rasi_navamsa_loop { 

 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $uranus $neptune $pluto $rahu $ketu"
 set f_1   0
 set f_4   0
 set f_7   0
 set f_10  0
 
 foreach {i} $lp {
 
  if { [HinduHouseOfPlanet $i $rasi_nav ] == 1 } {
   #PutTxt "House 1 is occupied by [NameOfPlanet $i] in $rasi_nav_txt"
   set f_1  1
  }

  if { [HinduHouseOfPlanet $i $rasi_nav ] == 4 } {
   #PutTxt "House 4 is occupied by [NameOfPlanet $i] in $rasi_nav_txt" 
   set f_4  1
  }

  if { [HinduHouseOfPlanet $i $rasi_nav ] == 7 } {
   #PutTxt "House 7 is occupied by [NameOfPlanet $i] in $rasi_nav_txt"
   set f_7  1
  }

  if { [HinduHouseOfPlanet $i $rasi_nav ] == 10 } {
   #PutTxt "House 10 is occupied by [NameOfPlanet $i] in $rasi_nav_txt"
   set f_10 1
  }

 }

 if { $f_1 == 1 && $f_4 == 1 && $f_7 == 1 && $f_10 == 1 } {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

  PutTxt ""
}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------9. Vasumathi  Yoga --------------"
set ntext 10
set found 0

rasi_navamsa_loop { 

 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

 foreach {i} $lp {
  
  set mh  [ to011 [ expr [SignOfPlanet $i $rasi_nav $options_signs] - [SignOfPlanet $moon $rasi_nav $options_signs] ] ]
  incr mh
  set rh [ HinduHouseOfPlanet $i $rasi_nav ]
   
  # PutTxt "[NameOfPlanet $i] found in $mh from Moon $rasi_nav_txt" 
  # PutTxt "[NameOfPlanet $i] found in $rh from As   $rasi_nav_txt"   
   
  foreach {j} { 3 6 10 11} {
   
   if { [GetQualityOfPlanet $i $rasi_nav_txt] > 0 && $mh == $j } {
    PutTxt "Benefic [NameOfPlanet $i] found in [expr $j]th from Moon $rasi_nav_txt" 
    set found 1
   }
  
   if { [GetQualityOfPlanet $i $rasi_nav_txt] > 0 && $rh == $j } {
    PutTxt "Benefic [NameOfPlanet $i] found in [expr $j]th from As $rasi_nav_txt" 
    set found 1
   }
 
  }

 }

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------10. Rajalakshana Yoga --------------"
set ntext 11
set found 0
set found_rasi 0
set found_nav   0  

rasi_navamsa_loop { 

 set lp "$moon $mercury $venus $jupiter"
 
 foreach {i} $lp {

  set mh [ HinduHouseOfPlanet $i $rasi_nav ]
  # PutTxt "[NameOfPlanet $i] is in $mh from $rasi_nav_txt" 
  if { $mh == 1 || $mh == 4 || $mh == 7 || $mh == 10 } {
   if {$current == 0} {incr found_rasi}
   if {$current == 1} {incr found_nav}
  }
 
 }

}

if { ($found_rasi==4) || ($found_nav==4) }  {
 if {$found_rasi == 4} {PutTxt "Found in rasi"}
 if {$found_nav   == 4} {PutTxt "Found in Navamsa"}
 PutAstroTxt $ntext $n_file 
} else {PutTxt "Not found"}


PutTxt "--------------11. Vanchana Chora Bheethi Yoga --------------"
set ntext 12
set found 0

rasi_navamsa_loop { 

 set H1 1
 set H4 4
 set H7 7
 set H10 10
 set H5 5
 set H9 9
 
 set L1  [ HinduLordOfHouse   $H1  $rasi_nav ]   
 set L4  [ HinduLordOfHouse   $H4  $rasi_nav ]   
 set L7  [ HinduLordOfHouse   $H7  $rasi_nav ]   
 set L10 [ HinduLordOfHouse   $H10 $rasi_nav ]   
 set L5  [ HinduLordOfHouse   $H5  $rasi_nav ]   
 set L9  [ HinduLordOfHouse   $H9  $rasi_nav ]   

 set h_gulika [HinduHouseOfPlanet $gulika $rasi_nav ]
 
 # combination 1
 if { [ HouseOccupiedByMalefic $H1 $rasi_nav -shsd ] && [ ishousethrikona $h_gulika ] } {
  PutTxt "Found combination 1 $rasi_nav_txt"  
  set found 1
 }

 # combination 2 
  if {  [combined $gulika  $L1 $rasi_nav] && [combined $gulika  $L4 $rasi_nav] && [combined $gulika  $L7 $rasi_nav] && [combined $gulika  $L10 $rasi_nav] && [combined $gulika  $L5 $rasi_nav] && [combined $gulika  $L9 $rasi_nav] } {
   PutTxt "Found combination 2 $rasi_nav_txt"  
   set found 1
  }

 # combination 3
 if {  [combined $L1 $rahu $rasi_nav] || [combined $L1 $saturn $rasi_nav] || [combined $L1 $ketu $rasi_nav]  } {
   PutTxt "Found combination 3 $rasi_nav_txt"  
   set found 1
 }
 

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------12. Sakata Yoga --------------"
set ntext 13
set found 0

rasi_navamsa_loop { 

 set mh [ to011 [ expr [SignOfPlanet $moon $rasi_nav {*}$options_signs] - [SignOfPlanet $jupiter $rasi_nav {*}$options_signs] ] ]
 incr mh
 if { $mh == 12 || $mh == 6 || $mh == 8} {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------13. Amala Yoga --------------"
set ntext 14
set found 0

rasi_navamsa_loop { 

 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"
 
 foreach {i} $lp {
  
  set rh [ HinduHouseOfPlanet $i $rasi_nav ]
  set mh [ to011 [ expr [SignOfPlanet $i $rasi_nav $options_signs] - [SignOfPlanet $moon $rasi_nav $options_signs] ] ]
  incr mh
    
  #PutTxt "[NameOfPlanet $i] found in house $rh $rasi_nav_txt" 
  #PutTxt "[NameOfPlanet $i] found in house $mh from moon $rasi_nav_txt"   
  
  if { $mh==10 && [ GetQualityOfPlanet $i $rasi_nav_txt] > 0 } {
   PutTxt "Benefic [NameOfPlanet $i] in house $mh found from Moon $rasi_nav_txt" 
   set found 1
  }
  
  if { $rh==10 && [ GetQualityOfPlanet $i $rasi_nav_txt ] > 0 } {
   PutTxt "Benefic [NameOfPlanet $i] found in house $rh from As $rasi_nav_txt" 
   set found 1
  }
  
 }

}

if {$found != 0} {PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------14. Parvata Yoga --------------"
set ntext 15
set found 0

 
rasi_navamsa_loop { 
        
 set found_benefic 0
 set found_malefic 0

 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $rahu $ketu"

 foreach {i} $lp {
 
  set rh [ HinduHouseOfPlanet $i $rasi_nav ]
 
  if { ($rh==1 || $rh==4 || $rh==7 || $rh==10)  && [ GetQualityOfPlanet $i $rasi_nav_txt ] > 0 } {
    PutTxt "Benefic [NameOfPlanet $i] found in house $rh $rasi_nav_txt" 
    set found_benefic 1
  }
  
  if { ($rh==6 || $rh==8 )  && [ GetQualityOfPlanet $i $rasi_nav_txt ] < 0 } {
   PutTxt "Malefic [NameOfPlanet $i] found in house $rh $rasi_nav_txt" 
   set found_malefic 1
  }
 
 }

 if {$found_benefic != 0 && $found_malefic == 0} {set found 1}

}

if { $found != 0 } { PutAstroTxt $ntext $n_file } else {PutTxt "Not found"}

PutTxt "--------------15. Kahala Yoga --------------"
set ntext 16
set found 0

rasi_navamsa_loop { 

  
 set lh4 [ HinduLordOfHouse 4 $rasi_nav ]
 set lh9 [ HinduLordOfHouse 9 $rasi_nav ] 

 set slh4 [ SignOfPlanet $lh4 $rasi_nav $options_signs]
 set slh9 [ SignOfPlanet $lh9 $rasi_nav $options_signs]

 set diff [to011 [ expr $slh4 - $slh9 ] ]
 
 if { $diff == 0 || $diff == 3 ||  $diff == 6 || $diff == 9 } {
  if { $lh4 != $lh9} {
  PutTxt "[NameOfPlanet $lh4] and [NameOfPlanet $lh9] are kendra from each other in $rasi_nav_txt"
  set found 1
  }
 }
 
}
   
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------16. Vesi Yoga --------------"
set ntext 17
set found 0

set vesi_rasi   0
set vesi_navamsa 0


rasi_navamsa_loop { 

 set  sun_sign    [SignOfPlanet $sun $options_signs $rasi_nav]
 incr sun_sign 

 set sun_sign [to011 $sun_sign]

 set lp "$mercury $venus $mars $jupiter $saturn"

 foreach {i} $lp {
  
  set n_sign [SignOfPlanet $i $options_signs $rasi_nav]
 
  if {$n_sign == $sun_sign} {
   PutTxt "$rasi_nav_txt: planet in house 2 from Sun: [NameOfPlanet $i]"
   set found 1
   if {$current == 0} {set vesi_rasi 1} else {set vesi_navamsa 1}
  }

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}
         
PutTxt "--------------17. Vasi  Yoga --------------"
set ntext 18
set found 0

set vasi_rasi   0
set vasi_navamsa 0

rasi_navamsa_loop { 

 set  sun_sign    [SignOfPlanet $sun $options_signs $rasi_nav]
 incr sun_sign -1

 set sun_sign [to011 $sun_sign]

 set lp "$mercury $venus $mars $jupiter $saturn"

 foreach {i} $lp {
  
  set n_sign [SignOfPlanet $i $options_signs $rasi_nav]
 
  if {$n_sign == $sun_sign} {
   PutTxt "$rasi_nav_txt: planet in house 12 from Sun: [NameOfPlanet $i]"
   set found 1
   if {$current == 0} {set vasi_rasi 1} else {set vasi_navamsa 1}
  }

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}
     

PutTxt "--------------18. Obhayachari Yoga --------------"
set ntext 19

if { $vesi_rasi==1 && $vasi_rasi==1 } {
 PutTxt "Found rasi"
  PutAstroTxt $ntext $n_file
} else {PutTxt "Not found rasi"}

if { $vesi_navamsa==1 && $vasi_navamsa==1 } {
 PutTxt "Found Navamsa"
  PutAstroTxt $ntext $n_file
} {PutTxt "Not found Navamsa"}


PutTxt "--------------19. Hamsa Yoga --------------"
set ntext 20
set found 0

rasi_navamsa_loop { 

  
 set hj [HinduHouseOfPlanet $jupiter $rasi_nav ]
 set sj [SignOfPlanet  $jupiter $rasi_nav $options_signs]

 if { ($hj==1 || $hj==4 || $hj==7 || $hj==10 ) && ($sj==$cancer || $sj==$sagittarius || $sj==$pisces) } {
  PutTxt "[NameOfPlanet $jupiter] found in house $hj in sign [NameOfSign $sj] $rasi_nav_txt"
  set found 1

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}

PutTxt "--------------20. Malavya Yoga --------------"
set ntext 21
set found 0

rasi_navamsa_loop { 
  
 set hv [HinduHouseOfPlanet $venus $rasi_nav]
 set sv [SignOfPlanet  $venus $rasi_nav $options_signs]

 if { ($hv==1 || $hv==4 || $hv==7 || $hv==10 ) && ($sv==$taurus || $sv==$libra || $sv==$pisces) } {
  PutTxt "[NameOfPlanet $venus] found in house $hv in sign [NameOfSign $sv] $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------21. Sasa Yoga --------------"
set ntext 22
set found 0


rasi_navamsa_loop { 

 
 set hs [HinduHouseOfPlanet $saturn $rasi_nav]
 set ss [SignOfPlanet  $saturn $rasi_nav $options_signs]

 if { ($hs==1 || $hs==4 || $hs==7 || $hs==10 ) && ($ss==$capricornus || $ss==$aquarius || $ss==$libra) } {
  PutTxt "[NameOfPlanet $saturn] found in house $hs in sign [NameOfSign $ss] $rasi_nav_txt"
  set found 1
 } 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------22. Ruchaka Yoga --------------"
set ntext 23
set found 0

rasi_navamsa_loop { 


 set hm [HinduHouseOfPlanet $mars $rasi_nav]
 set sm [SignOfPlanet  $mars $rasi_nav $options_signs]

 if { ($hm==1 || $hm==4 || $hm==7 || $hm==10 ) && ($sm==$aries || $sm==$scorpio || $sm==$capricornus) } {
  PutTxt "[NameOfPlanet $mars] found in house $hm in sign [NameOfSign $sm] $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------23. Bhadra Yoga --------------"
set ntext 24
set found 0

rasi_navamsa_loop { 

 set hm [HinduHouseOfPlanet $mercury $rasi_nav]
 set sm [SignOfPlanet  $mercury $rasi_nav $options_signs]

 if { ($hm==1 || $hm==4 || $hm==7 || $hm==10 ) && ($sm==$gemini || $sm==$virgo) } {
  PutTxt "[NameOfPlanet $mercury] found in house $hm in sign [NameOfSign $sm] $rasi_nav_txt"
  set found 1
 } 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------24. Budha-Aditya Yoga --------------"
set ntext 25

#rasi

set diff [expr  [LongOfPlanet $mercury $options_signs]  - [LongOfPlanet $sun $options_signs] ]

set diff [ ToZ360 $diff ]

if {$diff < 10 || $diff > 350 } {
 PutTxt "Found rasi"
 PutAstroTxt $ntext $n_file
} else {
 PutTxt "Not Found"
}

PutTxt "--------------25. Mahabhagya Yoga --------------"
set ntext 26
set found 0

# day or night
 set sun_altitude [AzimuthElevationOfPlanet $sun -elevation]
  
 rasi_navamsa_loop { 
 
  set ss [SignOfPlanet $sun  $rasi_nav $options_signs]
  set sm [SignOfPlanet $moon $rasi_nav $options_signs]
  set sa [SignOfPlanet $asc  $rasi_nav $options_signs]
  set hsex [Sex]
   
  if { ($ss % 2 == 0) && ($sm % 2 == 0) && ($sa % 2 == 0) && ($sun_altitude >= 0) && ($hsex=="M") } {
    set found 1 
  } 
 
  if { ($ss % 2 == 1) && ($sm % 2 == 1) && ($sa % 2 == 1) && ($sun_altitude <= 0) && ($hsex=="F") } {
   set found 1
  } 

 }
 
 if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}


PutTxt "--------------26. Pushkala Yoga --------------"

# Moon should be associated with the lord of Lagna
# The lord of the sign occupied by the moon , 
# should by in a kendra or in a house of an intimate friend aspecting Lagna and 
# at the same time, lagna
# should be occupied by a powerful planet.

set ntext 27
set found 0

rasi_navamsa_loop {   

  
 set sign_of_moon           [SignOfPlanet  $moon                 $rasi_nav $options_signs        ]
 set lord_of_lagna          [LordOfPlanet  $asc                  $rasi_nav $options_signs        ]
 set sign_of_lord_of_lagna  [SignOfPlanet  $lord_of_lagna        $rasi_nav $options_signs        ]
 set lord_of_moon           [LordOfPlanet  $moon                 $rasi_nav $options_signs        ]
 set house_of_lord_of_moon  [HinduHouseOfPlanet $lord_of_moon    $rasi_nav   ]
 set sign_of_lord_of_moon   [SignOfPlanet  $lord_of_moon         $rasi_nav $options_signs        ]
 set lord_of_lord_of_moon   [LordOfSign    $sign_of_lord_of_moon                                 ]
 set fs                     [GetFriendShip $lord_of_moon         $lord_of_lord_of_moon $rasi_nav ]
 set aspect_lagna           [HAspectedBy   $asc $lord_of_moon    $rasi_nav                       ]
 set lagna_occupied 0 
 set powerful 0
 
 set lp "$sun $moon $mercury $venus $mars $jupiter $saturn "
      
 foreach {i} $lp {
  set var [HinduHouseOfPlanet $i $rasi_nav ]
  if { $var == 1  } {                                                            
   set lagna_occupied 1                                         
    if { [StrengthOfPlanet $i] > 100 } {
    set powerful 1
       # PutTxt "StrengthOfPlanet [NameOfPlanet $i]=[StrengthOfPlanet $i]"
    }         
   }
 }
 
# PutTxt "
#  sign_of_moon                      [NameOfSign $sign_of_moon]          
#  lord_of_lagna                     [NameOfPlanet $lord_of_lagna]          
#  sign_of_lord_of_lagna             [NameOfSign $sign_of_lord_of_lagna]  
#  lord_of_moon                      [NameOfPlanet $lord_of_moon]           
#  house_of_lord_of_moon             $house_of_lord_of_moon  
#  sign_of_lord_of_moon              [NameOfSign $sign_of_lord_of_moon]   
#  lord_of_lord_of_moon              [NameOfPlanet $lord_of_lord_of_moon]   
#  fs                                relationship beetween [NameOfPlanet $lord_of_moon] [NameOfPlanet $lord_of_lord_of_moon] =  $fs                     
#  aspect_lagna  from  [NameOfPlanet  $lord_of_moon]   $aspect_lagna           
#  lagna_occupied                    $lagna_occupied         
#  powerful                          $powerful"
# 
 
if { ($sign_of_moon == $sign_of_lord_of_lagna)  && ((($house_of_lord_of_moon == 1 ) ||($house_of_lord_of_moon == 4 ) || ($house_of_lord_of_moon == 7 ) ||($house_of_lord_of_moon == 10)) || ( ($fs >= 1) && ($aspect_lagna ==1) )) && ( ($lagna_occupied==1) && ($powerful==1)  ) } {    set found 1 }}
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------27. Lakshimi Yoga --------------"

set ntext 28
set found 0

rasi_navamsa_loop {   

  
 # lord of lagna poweful
 set lord_of_lagna          [LordOfPlanet  $asc  $rasi_nav $options_signs]
 if { [StrengthOfPlanet $lord_of_lagna] > 100 } { set powerful 1} else { set powerful 0}
 set lord_9                 [HinduLordOfHouse  9  $rasi_nav ]
 set sign_of_lord_9         [SignOfPlanet $lord_9 $rasi_nav $options_signs]
 set house_of_lord_9        [HinduHouseOfPlanet $lord_9 $rasi_nav ]
 
 #PutTxt "lord_of_lagna=$lord_of_lagna"
 #PutTxt "lord_9=$lord_9" 
 #PutTxt "sign_of_lord_9=$sign_of_lord_9"
  
 if { [IsOwnSignOrExaltation  $lord_9  $sign_of_lord_9]==1 } {
   if {$powerful} {
    if { [ ishousethrikona $house_of_lord_9] } {
     PutTxt "Lord of 9 is [NameOfPlanet $lord_9] in is own sign or exaltation in $rasi_nav_txt in house $house_of_lord_9 and lord of lagna [NameOfPlanet $lord_of_lagna] is powerful"
     set found 1
    }
   }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------28. Gauri Yoga --------------"

set ntext 29
set found 0

set s10 [SignOfHouse 10 {*}$options_houses $options_signs -rasi]
set l10 [LordOfSign $s10]

set snav_l10  [FixSubOfPlanet $l10 4]
set lnav_l10  [LordOfSign $snav_l10]


set hlnav_l10 [HinduHouseOfPlanet $lnav_l10 -rasi ]
set slnav_l10 [SignOfPlanet  $lnav_l10 -rasi $options_signs]

set isexaltation [ IsExaltationSign $hlnav_l10  $slnav_l10]

set ll [LordOfPlanet $asc -rasi $options_signs]

if { ([combined $lnav_l10 $ll -rasi]==1) && ($hlnav_l10==10) && ($isexaltation==1) } {
 PutTxt "Lord of 10th is [NameOfPlanet $l10]" 
 PutTxt "Lord of Navamsa Occupied by lord of 10th is [NameOfPlanet $lnav_l10]"
 PutTxt "House of Lord of Navamsa Occupied by lord of 10th is $hlnav_l10"
 PutTxt "Sign  of Lord of Navamsa Occupied by lord of 10th is [NameOfSign $slnav_l10]"
 PutTxt "Exaltation=$isexaltation" 
 PutTxt "Lord of lagna is [NameOfPlanet $ll]"
 PutTxt "isexaltation=$isexaltation combined = [combined $lnav_l10 $ll -rasi]"  
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------29. Bharathi Yoga --------------"

set ntext 30
set found 0

foreach {house} {2 5 11} {

 set lh  [HinduLordOfHouse $house -rasi ]
 set ln  [LordOfSign [SignOfPlanet $lh -nav $options_signs]]
 set lh9 [HinduLordOfHouse 9      -rasi ]
 set isexalted [ IsExalted $ln  -rasi] 
 set iscombined [combined $ln $lh9 -rasi]
 
 
 if  { $iscombined && $isexalted } {
  PutTxt "Lord of Navamsa ([NameOfPlanet $ln]) of lord of house $house ([NameOfPlanet $lh]) is exalted and combined with lord or house 9 ([NameOfPlanet $lh9])"
  set found 1
 }

} 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------30. Chapa Yoga --------------"

set ntext 31
set found 0

rasi_navamsa_loop {   

 
 set lh1  [HinduLordOfHouse 1 $rasi_nav ]
 set lh4  [HinduLordOfHouse 4 $rasi_nav ]
 set lh10 [HinduLordOfHouse 10 $rasi_nav ]
 set sl4  [SignOfPlanet $lh4  $rasi_nav $options_signs]
 set sl10 [SignOfPlanet $lh10 $rasi_nav $options_signs]
 
 set lsl4  [LordOfSign $sl4  ]
 set lsl10 [LordOfSign $sl10 ]
 
 set exalted [ IsExalted $lh1 $rasi_nav ]
 
 # lord of 4 and lord of sign have interchanged houses
 if { ($lsl4 == $lh10) &&  ($lsl10 == $lh4) && ($exalted==1)} {
  PutTxt "$rasi_nav_txt: Lord of As [NameOfPlanet $lh1] is exalted and Lord of 4 [NameOfPlanet $lh4] and Lord of 10 [NameOfPlanet $lh10] as interchanged signs" 
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------31. Sreenatha Yoga --------------"

set ntext 32
set found 0

rasi_navamsa_loop {   
 
 set T 9
 set M 10
 
 
 set lhDS  [HinduLordOfHouse 7 $rasi_nav]
 set hlhDS [HinduHouseOfPlanet $lhDS $rasi_nav ]
 set exalted [IsExalted $lhDS $rasi_nav ]
 set lhMC  [HinduLordOfHouse  $M $rasi_nav ]
 set lhT   [HinduLordOfHouse  $T $rasi_nav ]
 set slhMC [SignOfPlanet $lhMC  $rasi_nav $options_signs]
 set slhT  [SignOfPlanet $lhT  $rasi_nav $options_signs]
  
 if {($exalted==1) && ($hlhDS==$M) && ($slhMC==$slhT) } {
  PutTxt "$rasi_nav_txt: Lord of 7 is exalted in 10th house and lord of 10 is with lord of 9"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


#-------------- 32.-43. Malika Yoga --------------

# SetLongOfPlanet is a debug function that will force the longitude of planet
# to the given value. 
# SetLongOfPlanet $sun     [expr [LongOfHouse 1 -shsd] + 1.0 ]
# SetLongOfPlanet $moon    [expr [LongOfHouse 2 -shsd] + 1.0 ]
# SetLongOfPlanet $mercury [expr [LongOfHouse 3 -shsd] + 1.0 ]
# SetLongOfPlanet $venus   [expr [LongOfHouse 4 -shsd] + 1.0 ]
# SetLongOfPlanet $mars    [expr [LongOfHouse 5 -shsd] + 1.0 ]
# SetLongOfPlanet $jupiter [expr [LongOfHouse 6 -shsd] + 1.0 ]
# SetLongOfPlanet $saturn  [expr [LongOfHouse 7 -shsd] + 1.0 ]

set malika_yoga_list "Lagna Dhana Vikrama Sukha Putra Satru Kalatra Randhra Bagya Karma Labha Vraya"
set malika_yoga_from_house "1 2 3 4 5 6 7 8 9 10 11 12" 
set nyogas [ llength $malika_yoga_list ]

for {set i 0 } {$i < $nyogas} {incr i} {
 
  PutTxt "-------------- [lindex $malika_yoga_list $i ] Malika Yoga --------------"
  
  set ntext [expr 33 + $i ]
  set found 0

rasi_navamsa_loop {   

   set house_list [ list [HinduHouseOfPlanet $sun $rasi_nav ] [HinduHouseOfPlanet $moon $rasi_nav ] [HinduHouseOfPlanet $mercury $rasi_nav ] [HinduHouseOfPlanet $venus $rasi_nav ] [HinduHouseOfPlanet $mars $rasi_nav ] [HinduHouseOfPlanet $jupiter $rasi_nav ] [HinduHouseOfPlanet $saturn $rasi_nav  ] ]
   set sorted_house_list [ lsort -integer $house_list ]
  
   set first [lindex $malika_yoga_from_house $i] 
      
   # PutTxt "Sun Long  = [LongOfPlanet $sun]"
   # PutTxt "Moon Long = [LongOfPlanet $moon]"
   # PutTxt " [lindex $sorted_house_list 0]  [to112 $first ]"
   # PutTxt " [lindex $sorted_house_list 1]  [to112 [expr $first+1] ]"
   # PutTxt " [lindex $sorted_house_list 2]  [to112 [expr $first+2] ]"
   # PutTxt " [lindex $sorted_house_list 3]  [to112 [expr $first+3] ]"
   # PutTxt " [lindex $sorted_house_list 4]  [to112 [expr $first+4] ]"
   # PutTxt " [lindex $sorted_house_list 5]  [to112 [expr $first+5] ]"
   # PutTxt " [lindex $sorted_house_list 6]  [to112 [expr $first+6] ]"
      
   
   if {  ( [lindex $sorted_house_list 0] == [to112  $first   ] ) &&   ( [lindex $sorted_house_list 1] == [to112 [expr $first+1] ] ) &&      ( [lindex $sorted_house_list 2] == [to112 [expr $first+2] ] ) &&          ( [lindex $sorted_house_list 3] == [to112 [expr $first+3] ] ) &&          ( [lindex $sorted_house_list 4] == [to112 [expr $first+4] ] ) &&          ( [lindex $sorted_house_list 5] == [to112 [expr $first+5] ] ) &&          ( [lindex $sorted_house_list 6] == [to112 [expr $first+6] ] )}  {
  
    set found 1
   }      

 }
 if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}         
}


PutTxt "--------------44. Sankha Yoga --------------"

set ntext 45
set found 0

rasi_navamsa_loop {   
 
 set h_a 5
 set h_b 6
  
 set  lh_a [HinduLordOfHouse $h_a $rasi_nav ]
 set  lh_b [HinduLordOfHouse $h_b $rasi_nav ]
 set  s_lh_a [ SignOfPlanet $lh_a $rasi_nav $options_signs]
 set  s_lh_b [ SignOfPlanet $lh_b $rasi_nav $options_signs]
 set  lagna_powerful 0
 
 set lh1 [HinduLordOfHouse 1 $rasi_nav ]
 
 if { [StrengthOfPlanet $lh1] > 100 } {
    set lagna_powerful 1
    }         
  
 if { ([iskendra $s_lh_a $s_lh_b]==1) && ($lagna_powerful==1) && ($lh_a != $lh_b) } {
  set found 1
  PutTxt "$rasi_nav_txt: Lord of house $h_a ([NameOfPlanet $lh_a]) and Lord of house $h_b ([NameOfPlanet $lh_b]) are in mutual kendra and lord of lagna ([NameOfPlanet $lh1]) is powerful"
 } 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------45. Bheri Yoga --------------"

set ntext 46
set found 0

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

rasi_navamsa_loop {   
  
 set  lh_1      [HinduLordOfHouse 1 $rasi_nav ]
 set  s_jupiter [SignOfPlanet  $jupiter  $rasi_nav $options_signs]
 set  s_venus   [SignOfPlanet  $venus    $rasi_nav $options_signs]
 
 # 9th lord must be powerful and get combinated with an other planet
 
 set powerful_9th 0
 set lh9 [HinduLordOfHouse 9 $rasi_nav ]
 
 if { [StrengthOfPlanet $lh9] > 100 } {
 
   foreach {i} $lp {
  
     if { 1 == [combined $i $lh9 $rasi_nav] } {
       set powerful_9th 1
       break;
     }  
 
   }         
 }
  
 if { ($lh_1==$venus) && (1==[iskendra $s_jupiter $s_venus]) && ($powerful_9th==1) } { 
   set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------46. Mridanga Yoga --------------"

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"
set ntext 47
set found 0

set lh1 [HinduLordOfHouse 1 -rasi ]
 
if { [StrengthOfPlanet $lh1] > 100 } {
   set lagna_powerful 1
}      


foreach {i} $lp {

 if { 1 == [ IsExalted $i -rasi ] } {
   
   set nav_sign     [ SignOfPlanet $i -nav $options_signs]
   set l_nav_sign   [ LordOfSign $nav_sign ]  
   set h_l_nav_sign [ HinduHouseOfPlanet $l_nav_sign -rasi ]
  
    
   if { ( ( 1 == [ishousekendra  $h_l_nav_sign]) || (1 == [ishousethrikona  $h_l_nav_sign]) ) && ( $lagna_powerful ==1 ) } {
   
    set fs   [GetFriendShip   $l_nav_sign [LordOfPlanet $l_nav_sign $options_signs -rasi] -rasi ]    
    
    
    if { ($fs > 1) || (1==[IsExalted $l_nav_sign -rasi ]) || (1==[IsHome $l_nav_sign -rasi ])   } {
    
     PutTxt "Rasi: [NameOfPlanet $i] is exalted and lord of navamsa for this planet is [NameOfPlanet $l_nav_sign] in kendra or thrikona in own or exalted or friend sign"
     set found 1

    }
   }
 } 
} 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------47. Parijatha Yoga --------------"

set found     0
set ntext     48

set      l1     [HinduLordOfHouse          1 -rasi ]
set     hl1     [HinduHouseOfPlanet      $l1 -rasi ]
set    lhl1     [HinduLordOfHouse       $hl1 -rasi ]
set   slhl1     [SignOfPlanet     $lhl1            -rasi  $options_signs]
set  lslhl1     [LordOfSign      $slhl1                   ]
set hlslhl1     [HinduHouseOfPlanet  $lslhl1 -rasi ] 

#PutTxt "l1      = [NameOfPlanet $l1]"
#PutTxt "hl1     = $hl1"
#PutTxt "lhl1    = [NameOfPlanet $lhl1]"
#PutTxt "slhl1   = [NameOfSign   $slhl1]"
#PutTxt "lslhl1  = [NameOfPlanet $lslhl1]"
#PutTxt "hlslhl1 = $hlslhl1"


if { (1 == [IsExalted $lslhl1 -rasi]) || (1 == [IsHome $lslhl1 -rasi]) || (1==[ishousekendra $lslhl1]) || 1 ==[ishousethrikona $lslhl1] } {
  
 PutTxt "Rasi: [NameOfPlanet $lslhl1] is home or exalted or in kendra or trikhona"
 set found 1
 
}

set   sl1   [SignOfPlanet   $l1 -rasi $options_signs]
set  lsl1   [LordOfSign    $sl1 ]
set   n     [SignOfPlanet  $lsl1 -nav $options_signs]
set  ln     [LordOfSign    $n ]
set  hln    [HinduHouseOfPlanet $ln -rasi ]

#PutTxt "ln = [NameOfPlanet $ln] in house $hln" 


if { (1 == [IsExalted $ln -rasi]) || (1 == [IsHome $ln -rasi]) || (1==[ishousekendra $hln]) || 1 ==[ishousethrikona $hln] } {
  
 PutTxt "$rasi_nav_txt: [NameOfPlanet $ln] is home or exalted or in kendra or trikhona"
 set found 1
 
}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------48. Gaja Yoga --------------"

set found     0
set ntext     49


rasi_navamsa_loop {   
 

 set  l7  [HinduLordOfHouse   7   $rasi_nav ]
 set l11  [HinduLordOfHouse  11   $rasi_nav ]
 set hl7  [HinduHouseOfPlanet $l7   $rasi_nav ]

 if { ($hl7==11) && (1 == [conjunction $l7 $moon $rasi_nav]) && (1==[HAspectedBy $l7 $l11 $rasi_nav]) } {
  set found 1
  PutTxt "$rasi_nav_txt: Lord of 7th [NameOfPlanet $l7] in 11th with moon aspected by lord of 11th [NameOfPlanet $l11]"
  
 } 


}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------49. Kalanighi Yoga --------------"

set found     0
set ntext     50


rasi_navamsa_loop {   

 set house_jupiter       [HinduHouseOfPlanet  $jupiter  $rasi_nav ]
 
 if {  ( ( (1==[HAspectedBy $jupiter $mercury $rasi_nav]) &&  (1==[HAspectedBy $jupiter $venus $rasi_nav])   ) ||  (  (1 == [ conjunction $jupiter $mercury $rasi_nav ] ) &&   (1 == [ conjunction $jupiter $venus   $rasi_nav ] ) )  ) &&  (     ($house_jupiter == 2) || ($house_jupiter == 5)) } {
  set found 1
  PutTxt "Found $rasi_nav_txt" 
 }
 

}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------50. Amsavatara Yoga --------------"

set found     0
set ntext     51


rasi_navamsa_loop {   

 
 set house_venus   [HinduHouseOfPlanet $venus   $rasi_nav  ]
 set house_jupiter [HinduHouseOfPlanet $jupiter $rasi_nav  ]
 set house_saturn  [HinduHouseOfPlanet $saturn  $rasi_nav  ]
 set lagna_sign    [SignOfHouse 1 $rasi_nav -shsd  $options_signs]

 
 if { ( [ishousekendra $house_venus]==1 ) && ( [ishousekendra $house_jupiter]==1 ) && ( [ishousekendra $house_saturn]==1 ) && ( 1==[ismovablesign $lagna_sign] ) } {
  set found 1 
  PutTxt "Found $rasi_nav_txt" 
 }
 

}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------51. Harihara Brahma Yoga --------------"

set found     0
set ntext     52

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

rasi_navamsa_loop {   
 
 set L2        [HinduLordOfHouse 2 $rasi_nav ] 
 set sL2       [SignOfPlanet $L2 $rasi_nav $options_signs]
 
 set s8fromL2  [expr $sL2 + 7]
 set s8fromL2  [to011 $s8fromL2]

 set s12fromL2 [expr $sL2 + 11]
 set s12fromL2 [to011 $s12fromL2]
 
 set f_8  0
 set f_12 0

 set L7        [HinduLordOfHouse 7 $rasi_nav ] 
 set sL7       [SignOfPlanet $L7 $rasi_nav $options_signs]
 
 set s4fromL7  [expr $sL7 + 3]
 set s4fromL7  [to011 $s4fromL7]

 set s9fromL7  [expr  $sL7 + 8]
 set s9fromL7  [to011 $s9fromL7]

 set s8fromL7  [expr  $sL7 + 7]
 set s8fromL7  [to011 $s8fromL7]
  
 set L1        [HinduLordOfHouse 1 $rasi_nav ] 
 set sL1       [SignOfPlanet $L1 $rasi_nav $options_signs]
 
 set s4fromL1  [expr $sL1 + 3]
 set s4fromL1  [to011 $s4fromL1]

 set s10fromL1  [expr  $sL1 + 9]
 set s10fromL1  [to011 $s10fromL1]

 set s11fromL1  [expr  $sL1 + 10]
 set s11fromL1  [to011 $s11fromL1]
  
 # first combination

 foreach {i} $lp {
 
  set q_i [ GetQualityOfPlanet $i $rasi_nav_txt ]
  set s_i [ SignOfPlanet $i $rasi_nav $options_signs]
 
  if { ($q_i > 0) && ($s_i == $s8fromL2) } {
   set f_8 1
   PutTxt "$rasi_nav_txt: Benefic [NameOfPlanet $i] found in 8th from lord of 2"
  }
  
  if { ($q_i > 0) && ($s_i == $s12fromL2) } {
   set f_12 1
   PutTxt "$rasi_nav_txt: Benefic [NameOfPlanet $i] found in 12th from lord of 2"
  }
 
 
 }

 if { ($f_8==1) && ($f_12==1) } {
  set found 1
  PutTxt "$rasi_nav_txt: found"
 }

 # second combination
 
 if { ( [SignOfPlanet $jupiter $rasi_nav $options_signs] == $s4fromL7 ) && ( [SignOfPlanet $moon    $rasi_nav $options_signs] == $s9fromL7 ) &&  ( [SignOfPlanet $mercury $rasi_nav $options_signs] == $s8fromL7 ) } {

  
  PutTxt "$rasi_nav_txt: Jupiter is in 4, Moon is in 9 and Mercury is in 8 from lord of 7 " 
  set found 1
  PutTxt "$rasi_nav_txt: found"

 }

 # third combination
 
 if { ( [SignOfPlanet $sun     $rasi_nav $options_signs] == $s4fromL1 ) &&  ( [SignOfPlanet $venus   $rasi_nav $options_signs] == $s10fromL1 ) &&  ( [SignOfPlanet $mars    $rasi_nav $options_signs] == $s11fromL1 ) } {
  
  PutTxt "$rasi_nav_txt: Sun is in 4, Venus is in 10 and Mars is in 11 from lord of 1 " 
  set found 1
  PutTxt "$rasi_nav_txt: found"

 }
 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------52. Kusuma Yoga --------------"

set found     0
set ntext     53


rasi_navamsa_loop {   

 set s8fromMoon    [expr [SignOfPlanet $moon $rasi_nav $options_signs] + 7]
 set s8fromMoon    [to011 $s8fromMoon]  

 set jupiter_house [HinduHouseOfPlanet $jupiter $rasi_nav  ] 
 set moon_house    [HinduHouseOfPlanet $moon    $rasi_nav  ] 
 
 if { ($jupiter_house == 1) && ($moon_house == 7) && ( [SignOfPlanet $sun $rasi_nav $options_signs] == $s8fromMoon ) } {
  
  set found 1
  PutTxt "$rasi_nav_txt: found" 

 }

}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------53. Matsya Yoga --------------"

set found     0
set ntext     54

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

rasi_navamsa_loop {   

 set found_1_b 0
 set found_4_b 0
 set found_5_b 0
 set found_8_b 0
 set found_9_b 0
  
 set found_1_m 0
 set found_4_m 0
 set found_5_m 0
 set found_8_m 0
 set found_9_m 0


 foreach {i} $lp {

   set q_i [ GetQualityOfPlanet $i $rasi_nav_txt ] 
   set h_i [ HinduHouseOfPlanet      $i $rasi_nav ]   
 
   if { ($q_i < 0) && ($h_i == 1)  } { set found_1_m  1 }
   if { ($q_i > 0) && ($h_i == 1)  } { set found_1_b  1 }
 
   if { ($q_i < 0) && ($h_i == 4)  } { set found_4_m  1 }
   if { ($q_i > 0) && ($h_i == 4)  } { set found_4_b  1 }
 
   if { ($q_i < 0) && ($h_i == 5)  } { set found_5_m  1 }
   if { ($q_i > 0) && ($h_i == 5)  } { set found_5_b  1 }
 
   if { ($q_i < 0) && ($h_i == 8)  } { set found_8_m  1 }
   if { ($q_i > 0) && ($h_i == 8)  } { set found_8_b  1 }
 
   if { ($q_i < 0) && ($h_i == 9)  } { set found_9_m  1 }
   if { ($q_i > 0) && ($h_i == 9)  } { set found_9_b  1 }
  
 }

 if { ($found_1_m==1) && ($found_1_b==0) &&  ($found_4_m==1) && ($found_4_b==0) &&  ($found_5_m==1) && ($found_5_b==1) &&    ($found_8_m==1) && ($found_8_b==0) &&       ($found_9_m==1) && ($found_9_b==0)  } {
  set found 1
  PutTxt "$rasi_nav_txt: found"
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------54. Kurma Yoga --------------"

set found   0
set ntext  55

set found_5 0
set found_6 0
set found_7 0

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

# first combination 

foreach {i} $lp {

  set q_i    [ GetQualityOfPlanet $i   "rasi" ] 
  set h_i    [ HinduHouseOfPlanet  $i   -rasi ]   
  set n_i    [ SignOfPlanet       $i   -nav  $options_signs ]
  set l_n_i  [ LordOfSign         $n_i        ]
  
  if { ($q_i > 0) && ($h_i == 5)  } {
    if { ( [IsExalted $i -nav]==1 ) || ( [IsHome $i -nav]==1 ) || ( [GetFriendShip   $i $l_n_i -nav] > 0)  } {
     set found_5   1
    }
  }

  if { ($q_i > 0) && ($h_i == 6)  } {
    if { ( [IsExalted $i -nav]==1 ) || ( [IsHome $i -nav]==1 ) || ( [GetFriendShip   $i $l_n_i -nav] > 0)   } {
     set found_6   1
    }
  }

  if { ($q_i > 0) && ($h_i == 7)  } {
    if { ( [IsExalted $i -nav]==1 ) || ( [IsHome $i -nav]==1 ) || ( [GetFriendShip   $i $l_n_i -nav] > 0)   } {
     set found_7   1
    }
  }


}


if { ($found_5==1) && ($found_6==1) && ($found_7==1)   } {
  set found 1
  PutTxt "benefics in 5th,6th,7th in rasi in own, exaltation or friendly navamsas"
}


# second combination

set found_1  0
set found_3  0
set found_11 0


foreach {i} $lp {

  set q_i    [ GetQualityOfPlanet $i   "rasi" ] 
  set h_i    [ HinduHouseOfPlanet  $i   -rasi ]   
  set s_i    [ SignOfPlanet       $i   -rasi  $options_signs]
  set l_s_i  [ LordOfSign         $s_i        ]
  
  if { ($q_i > 0) && ($h_i == 1)  } {
    if { ( [IsExalted $i -rasi]==1 ) || ( [IsHome $i -rasi]==1 ) || ([GetFriendShip   $i $l_s_i -rasi] > 0)   } {
     set found_1   1
    }
  }


  if { ($q_i > 0) && ($h_i == 3)  } {
    if { ( [IsExalted $i -rasi]==1 ) || ( [IsHome $i -rasi]==1 ) || ( [GetFriendShip   $i $l_s_i -rasi] > 0)  } {
     set found_3   1
    }
  }

  if { ($q_i > 0) && ($h_i == 11)  } {
    if { ( [IsExalted $i -rasi]==1 ) || ( [IsHome $i -rasi]==1 ) || ( [GetFriendShip   $i $l_s_i -rasi] > 0)  } {
     set found_11   1
    }
  }

}

if { ($found_1==1) && ($found_3==1) && ($found_11==1)   } {
  set found 1
  PutTxt "benefics in 1th,3th,11th in rasi in own, exaltation or friendly rasi"
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------55. Devendra Yoga --------------"

set found      0
set ntext     56

rasi_navamsa_loop {   

 
 set s1   [SignOfHouse  1 $rasi_nav -shsd $options_signs]
 set L1   [HinduLordOfHouse  1 $rasi_nav ]  
 set L2   [HinduLordOfHouse  2 $rasi_nav ]   
 set L10  [HinduLordOfHouse 10 $rasi_nav ]  
 set L11  [HinduLordOfHouse 11 $rasi_nav ]  
 
 set h_L2  [HinduHouseOfPlanet $L2  $rasi_nav ] 
 set h_L10 [HinduHouseOfPlanet $L10 $rasi_nav ] 

 if { ( [ isfixedsign  $s1 ] == 1 ) &&  ( [interchangesign $L1 $L11 $rasi_nav] == 1) &&    ( $h_L2  == 10 ) &&  ( $h_L10 ==  2 ) } {
  
  set found 1
  PutTxt "$rasi_nav_txt: found"
 
 }

} 
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 
 
 
PutTxt "--------------56. Makuta Yoga --------------"

set found      0
set ntext     57

rasi_navamsa_loop {   

  
 set L9        [ HinduLordOfHouse 9 $rasi_nav ]
 set sL9       [ SignOfPlanet $L9 $rasi_nav $options_signs]
 
 set s9fromL9  [ expr $sL9 + 8 ]
 set s9fromL9  [ to011 $s9fromL9 ]
 
 set s9fromJupiter [ SignOfPlanet $jupiter $rasi_nav $options_signs]
 set s9fromJupiter [ expr $s9fromJupiter + 8 ]
 set s9fromJupiter [ to011 $s9fromJupiter ] 
 set found_9  0
 
 foreach {i} $lp {

  set q_i    [ GetQualityOfPlanet $i   $rasi_nav_txt ] 
  set s_i    [ SignOfPlanet       $i   $rasi_nav     $options_signs]   
  
  if { ($q_i > 0) && ($s_i == $s9fromJupiter)  } {
      set found_9   1
     }
  }
 
  if { ([ SignOfPlanet $jupiter $rasi_nav $options_signs] == $s9fromL9) && ($found_9==1) && ([ HinduHouseOfPlanet $saturn $rasi_nav ] == 10 ) } {
   set found 1
  }

} 
  
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 
 
 
 
PutTxt "--------------57. Chandika Yoga --------------"

set found      0
set ntext     58
set H6 6
set H9 9

set L6 [HinduLordOfHouse $H6 -rasi ]
set L9 [HinduLordOfHouse $H9 -rasi ]
set l_nav_L6 [LordOfPlanet $L6 -rasi $options_signs]
set l_nav_L9 [LordOfPlanet $L9 -rasi $options_signs]
set s1 [SignOfPlanet $asc -rasi $options_signs]
 
# PutTxt "l_nav_L6 = [NameOfPlanet $l_nav_L6] l_nav_L9 = [NameOfPlanet $l_nav_L9]"

if { ( [ combined $sun $l_nav_L6  -rasi ] == 1 ) &&  ( [ combined $sun $l_nav_L9  -rasi ] == 1 ) } {
 if { [isfixedsign $s1]==1 } {
  if { 1==[HAspectedBy $asc $L6 -rasi] } {
   PutTxt "Rasi:found"
   set found 1
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------58. Jaya Yoga --------------"

set found      0
set ntext     59

rasi_navamsa_loop {   

 set H10 10
 set H6   6
 
 set L6  [HinduLordOfHouse $H6  $rasi_nav ]
 set L10 [HinduLordOfHouse $H10 $rasi_nav ]
 
 if { (1==[IsDebilitated $L6 $rasi_nav]) && (1==[IsExalted $L10 $rasi_nav]) } {
  set found 1
  PutTxt "$rasi_nav_txt: found"
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------59. Vidyut Yoga --------------"

set found      0
set ntext     60

rasi_navamsa_loop {   

 set H11 11
 
 set  L11   [HinduLordOfHouse   $H11    $rasi_nav ]
 set sL11   [SignOfPlanet  $L11    $rasi_nav $options_signs]
 set sL1    [SignOfPlanet  $asc    $rasi_nav $options_signs]
 set sVenus [SignOfPlanet  $venus  $rasi_nav $options_signs]
 set hL11   [HinduHouseOfPlanet $L11    $rasi_nav ]
 set hVenus [HinduHouseOfPlanet $venus  $rasi_nav ]
 
 if { (1 == [iskendra $sL11 $sL1]) && ($sL11 == $sVenus) && (1==[IsExalted $L11 $rasi_nav]) } {
  PutTxt "$rasi_nav_txt: found"
  set found 1
 } 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------60. Gandharva Yoga --------------"

set found      0
set ntext     61

rasi_navamsa_loop {   

 set H10 10
 set H9  9

 set L10       [HinduLordOfHouse   $H10       $rasi_nav ] 
 set hL10      [HinduHouseOfPlanet $L10       $rasi_nav ]
 set L1        [HinduLordOfHouse   1          $rasi_nav ] 
 set sL1       [SignOfPlanet  $L1        $rasi_nav $options_signs]
 set sJupiter  [SignOfPlanet  $jupiter   $rasi_nav $options_signs]
 set hMoon     [HinduHouseOfPlanet $moon      $rasi_nav ] 
 
 if {( ($hL10 == 3) || ($hL10 == 7) || ($hL10 == 11) ) && ( $sL1 == $sJupiter ) &&  ( [StrengthOfPlanet $sun] > 100  ) && ( 1 == [IsExalted $sun $rasi_nav] ) &&      ($hMoon == $H9) } {
   PutTxt "$rasi_nav_txt: found"
   set found 1 
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------61. Siva Yoga --------------"

set found      0
set ntext     62

rasi_navamsa_loop {   
 
 set H5  5
 set H9  9
 set H10 10

 set L5  [HinduLordOfHouse    $H5  $rasi_nav ]
 set hL5 [HinduHouseOfPlanet  $L5  $rasi_nav ]

 set L9  [HinduLordOfHouse    $H9  $rasi_nav ]
 set hL9 [HinduHouseOfPlanet  $L9  $rasi_nav ]

 set L10  [HinduLordOfHouse    $H10  $rasi_nav ]
 set hL10 [HinduHouseOfPlanet  $L10  $rasi_nav ]

 if {  ($hL5  == $H9)  &&
       ($hL9  == $H10) &&
       ($hL10 == $H5) } {
  PutTxt "$rasi_nav_txt: found" 
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------62. Vishnu Yoga --------------"

set found      0
set ntext     63

set  H9   5
set  H10  4
set  H2   2

set L9      [HinduLordOfHouse  $H9   -rasi ]
set sL9     [SignOfPlanet $L9   -rasi  $options_signs]
set n_L9    [SignOfPlanet $L9   -nav $options_signs]
set L_n_L9  [LordOfSign   $n_L9 ]
set sL_n_L9 [SignOfPlanet $L_n_L9  -rasi $options_signs]
set hL_n_L9 [HinduHouseOfPlanet $L_n_L9 -rasi ]

set  L10    [HinduLordOfHouse   $H10  -rasi ]
set sL10    [SignOfPlanet  $L10  -rasi $options_signs]
set hL10    [HinduHouseOfPlanet $L10 -rasi]

#PutTxt "hL10    = $hL10"
#PutTxt "hL_n_L9 = $hL_n_L9"

if { ($sL_n_L9 == $sL10) && ($hL10==$H2) && ($hL_n_L9==$H2) &&  ($sL_n_L9 == $sL9) } {
 PutTxt "Rasi: found"
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------63. Brahma Yoga --------------"

set found      0
set ntext     64

rasi_navamsa_loop {   

 set H1  1
 set H9  9
 set H10 10
 set H11 11

 set sJupiter [SignOfPlanet $jupiter $rasi_nav $options_signs]
 set L9       [HinduLordOfHouse  $H9      $rasi_nav ]
 set sL9      [SignOfPlanet $L9      $rasi_nav $options_signs]   

 set sVenus   [SignOfPlanet $venus $rasi_nav $options_signs]
 set L11      [HinduLordOfHouse  $H11   $rasi_nav ]
 set sL11     [SignOfPlanet $L11    $rasi_nav $options_signs]   

 set sMercury [SignOfPlanet $mercury $rasi_nav $options_signs]
 set L1       [HinduLordOfHouse  $H1      $rasi_nav ]
 set sL1      [SignOfPlanet $L1      $rasi_nav $options_signs]   
 set L10      [HinduLordOfHouse  $H10     $rasi_nav ]
 set sL10     [SignOfPlanet $L10     $rasi_nav $options_signs]   


 if { ( 1==[iskendra $sJupiter $sL9] ) && ( 1==[iskendra $sVenus $sL11] ) && ((1==[iskendra $sMercury $sL1] )||( 1==[iskendra $sMercury $sL10] ) ) } {
  PutTxt "$rasi_nav_txt: found"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------64. Indra Yoga --------------"

set found      0
set ntext     65

rasi_navamsa_loop {   

 set H5  5
 set H11 11

 set L5     [HinduLordOfHouse   $H5   $rasi_nav ]
 set L11    [HinduLordOfHouse   $H11  $rasi_nav ]
 set hMoon  [HinduHouseOfPlanet $moon $rasi_nav ]

 if { (1==[interchangesign $L5 $L11 $rasi_nav]) && ($hMoon == $H5) } {
  PutTxt "$rasi_nav_txt: found"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------65. Ravi Yoga --------------"

set found      0
set ntext     66

rasi_navamsa_loop {   

 set H3  3
 set H10 10

 set hSun   [HinduHouseOfPlanet $sun  $rasi_nav ]
 set  L10   [HinduLordOfHouse   $H10  $rasi_nav ]
 set sL10   [SignOfPlanet  $L10  $rasi_nav $options_signs]   
 set hL10   [HinduHouseOfPlanet $L10  $rasi_nav ]

 if { ($hSun == $H10) && ($hL10 == $H3) && (1 == [ conjunction $L10 $saturn $rasi_nav] )} {
  PutTxt "rasi_nav_txt: found"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------66. Garuda Yoga --------------"

set found      0
set ntext     67

set moon_day     [MoonDay]
set sMoon_nav    [SignOfPlanet  $moon  -nav $options_signs]   
set lsMoon_nav   [LordOfSign $sMoon_nav]
set exalted      [IsExalted  $lsMoon_nav -rasi]
set sun_altitude [AzimuthElevationOfPlanet $sun -elevation] 


if { ($exalted==1) && ($sun_altitude > 0) && ($moon_day <= 15) } {
 PutTxt "Rasi: found"
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------67. Go Yoga --------------"

set found      0
set ntext     68
set H1         1
set H2         2
set long_jupiter [LongOfPlanet  $jupiter $options_signs]
set L1           [HinduLordOfHouse   $H1  -rasi ]
set L2           [HinduLordOfHouse   $H2  -rasi ]
set sL2          [SignOfPlanet  $L2  -rasi $options_signs] 
set sJupiter     [SignOfPlanet  $jupiter  -rasi $options_signs]   

if { [StrengthOfPlanet $jupiter] > 100 } {
 if { ($long_jupiter >= 240) && ($long_jupiter <= 253)  } {
  if { $sL2 == $sJupiter } {
   if { 1 == [IsExalted  $L1 -rasi] } {
    PutTxt "Rasi: found"
    set found 1
   }
  }
 }
} 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------68. Gola Yoga --------------"

set found       0
set ntext      69
set H9         10
set H1          1
set moon_day   [MoonDay]
set hMoon      [HinduHouseOfPlanet $moon     -rasi ]
set hMercury   [HinduHouseOfPlanet $mercury  -nav ]

if { ( $moon_day == 15) || ( $moon_day == 16) } {
 if { ($hMoon == $H9) } {
  if { (1 == [conjunction $jupiter $venus -rasi]) && (1 == [conjunction $moon $venus -rasi]) } {
   if { $hMercury == $H1 } {
    PutTxt "Rasi: found" 
    set found 1
   }
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------69. Thrilochana Yoga --------------"

set found       0
set ntext      70

rasi_navamsa_loop {   

 if { (1 == [ trine $sun $moon $rasi_nav ]) && (1 == [ trine $moon $mars $rasi_nav ]) && (1 == [ trine $mars $sun $rasi_nav ])  } {
  PutTxt "$rasi_nav_txt: found"
  set found 1
 }

}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------70. Kulavardhana Yoga --------------"

set found       0
set ntext      71
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $rahu $ketu $uranus $neptune $pluto $fortune"


rasi_navamsa_loop {   

 set H5  5
 set op1 "+"
 set op2 "-"
  
 set found_b_h5 0
 set found_b_s5 0
 set found_b_m5 0

 foreach {i} $lp {
  
  set h  [HinduHouseOfPlanet $i $rasi_nav ]
  set hm [expr $op1 [SignOfPlanet  $i $rasi_nav $options_signs] $op2 [SignOfPlanet  $moon $rasi_nav $options_signs]  ]
  set hm [to011 $hm]
  set hs [expr $op1 [SignOfPlanet  $i $rasi_nav $options_signs] $op2 [SignOfPlanet  $sun  $rasi_nav $options_signs]  ]
  set hs [to011 $hs]
  set q_i [ GetQualityOfPlanet $i $rasi_nav_txt ]
  
  if { ($h == [expr $H5]) && ($q_i > 0) } {
     set found_b_h5 1
     PutTxt "$rasi_nav_txt: Found benefic [NameOfPlanet $i] in house 5"
  }
 
  if { ($hm == [expr $H5 -1]) && ($q_i > 0) } {
     set found_b_m5 1
     PutTxt "$rasi_nav_txt: Found benefic [NameOfPlanet $i] in house 5 from Moon"
  }
 
  if { ($hs == [expr $H5 -1]) && ($q_i > 0) } {
     set found_b_s5 1
     PutTxt "$rasi_nav_txt: Found benefic [NameOfPlanet $i] in house 5 from Sun"
  }
  
 } 

 if { ($found_b_h5==1) && ($found_b_m5==1) && ($found_b_s5==1) } {
  set found 1
 }


}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found (missing condition)"} 


PutTxt "--------------71. Yupa Yoga (Nabhasa yogas)--------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      72
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H1  1
  
 
 set s1 [SignOfHouse $H1 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $s1] != 0) && ([expr $s - $s1] != 1) && ([expr $s - $s1] != 2) && ([expr $s - $s1] != 3) } {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------72. Ishu Yoga (Nabhasa yogas) --------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      73
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H4  4
 
 set s4 [SignOfHouse $H4 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $s4] != 0) && ([expr $s - $s4] != 1) && ([expr $s - $s4] != 2) && ([expr $s - $s4] != 3) } {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------73. Sakti Yoga (Nabhasa yogas) --------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      74
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H7  7
  
 set s7 [SignOfHouse $H7 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $s7] != 0) && ([expr $s - $s7] != 1) && ([expr $s - $s7] != 2) && ([expr $s - $s7] != 3) } {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------74. Danda Yoga (Nabhasa yogas) --------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      75
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H10  10
 
 set s10 [SignOfHouse $H10 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $s10] != 0) && ([expr $s - $s10] != 1) && ([expr $s - $s10] != 2) && ([expr $s - $s10] != 3) } {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------75. Nav Yoga (Nabhasa yogas)--------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      76
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H1  1
  
 set sh [SignOfHouse $H1 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $sh] != 0) && ([expr $s - $sh] != 1) && ([expr $s - $sh] != 2) && ([expr $s - $sh] != 3) && ([expr $s - $sh] != 4) && ([expr $s - $sh] != 5) && ([expr $s - $sh] != 6)} {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------76. Kuta Yoga (Nabhasa yogas)--------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      77
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H4  4
  
 set sh [SignOfHouse $H4 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $sh] != 0) && ([expr $s - $sh] != 1) && ([expr $s - $sh] != 2) && ([expr $s - $sh] != 3) && ([expr $s - $sh] != 4) && ([expr $s - $sh] != 5) && ([expr $s - $sh] != 6)} {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------77. Chhatra Yoga (Nabhasa yogas)--------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      78
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   

 set H7  7
  
 set sh [SignOfHouse $H7 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $sh] != 0) && ([expr $s - $sh] != 1) && ([expr $s - $sh] != 2) && ([expr $s - $sh] != 3) && ([expr $s - $sh] != 4) && ([expr $s - $sh] != 5) && ([expr $s - $sh] != 6)} {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------78. Chapa Yoga (Nabhasa yogas)--------------"

set found       0
set found_rasi  1
set found_nav   1

set ntext      79
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"


rasi_navamsa_loop {   
 
 set H10  10
 
 set sh [SignOfHouse $H10 $rasi_nav -shsd $options_signs]
 
 foreach {i} $lp {
  
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  
  if { ( [expr $s - $sh] != 0) && ([expr $s - $sh] != 1) && ([expr $s - $sh] != 2) && ([expr $s - $sh] != 3) && ([expr $s - $sh] != 4) && ([expr $s - $sh] != 5) && ([expr $s - $sh] != 6)} {
   if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
  }

 }

}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------79. Ardha Chandra Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      80                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"                  

for {set j 1} { $j <= 8 } {incr j} {

   set found_rasi  1
   set found_nav   1
   
   if { $j == 1 } {
    set nmin 2
    set nmax 8
   }
   
   if { $j == 2 } {
    set nmin 3
    set nmax 9
   }
   
   if { $j == 3 } {
    set nmin 5
    set nmax 11
   }

   if { $j == 4 } {
    set nmin 6
    set nmax 12
   }

  if { $j == 5 } {
    set nmin 8
    set nmax 2
   }

  if { $j == 6 } {
    set nmin 9
    set nmax 3
   }

  if { $j == 7 } {
    set nmin 11
    set nmax 5
   }

  if { $j == 8 } {
    set nmin 12
    set nmax 6
   }
   
   rasi_navamsa_loop {   
    
    
    foreach {i} $lp {
     
     set h [HinduHouseOfPlanet  $i $rasi_nav ]
         
     
     if { 0 == [house_beetween $h $nmin $nmax ] } {
      if { $current == 0 } {set found_rasi 0}  else {set found_nav 0}
     }
   
    }
   
   }

   if { ($found_rasi == 1) || ($found_nav == 1)  } {
   set found 1
   }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------80. Chandra Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      81                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {
  
 
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
  
  if { ($h != 1) && ($h != 3) && ($h != 5) && ($h != 7) && ($h != 9) && ($h != 11) } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
  }
 
 }
}

if { $found_rasi == 1 } {PutTxt "Found rasi"}
if { $found_nav  == 1 } {PutTxt "Found nav"}

if { ($found_rasi == 1) || ($found_nav == 1)  } {
   set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------81. Gada Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      82                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            


for {set j 1} { $j <= 4 } {incr j} {

     set found_rasi 1
     set found_nav  1
    
     if { $j == 1} {
    set h1 1
    set h2 4
     }
    
     if { $j == 2} {
    set h1 4
    set h2 7
     }
    
     if { $j == 3} {
    set h1 7
    set h2 10
     }
    
     if  { $j == 4} {
    set h1 10
    set h2  1
     }
     
    
    rasi_navamsa_loop {   
     
                 
     foreach {i} $lp {
      
      set h [HinduHouseOfPlanet  $i $rasi_nav ]
      
      if { ($h != $h1) && ($h != $h2) } {
       if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
      }
     
     }
     
    }
    
    if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1 }
    
    
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------82. Sakata Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      83                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
 
        
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
  
  if { ($h != 1) && ($h != 7) } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
  }
 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------83. Vihaga Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      84                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
        
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
  
  if { ($h != 4) && ($h != 10) } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
  }
 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 84. Vajra Yoga (Nabhasa yogas) --------------"

set found       0
set ntext      85                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $rahu $ketu"            

set found_rasi_b 0
set found_nav_b  0


set found_rasi_m 0
set found_nav_m  0

set found_rasi 0
set found_nav  0


rasi_navamsa_loop {   
   
         
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
    
  if { ($h == 1) || ($h == 7) } {
   if { [GetQualityOfPlanet  $i $rasi_nav ] > 0 } {
     PutTxt "Benefic [NameOfPlanet $i] found in house $h $rasi_nav_txt"
     if {$current == 0} { 
      set found_rasi_b 1
     } else { 
      set found_nav_b 1
     } 
    }
  }
  
  if { ($h == 4) || ($h == 10) } {
   if { [GetQualityOfPlanet  $i $rasi_nav ] < 0 } {
     PutTxt "Malefic [NameOfPlanet $i] found in house $h $rasi_nav_txt"
     if {$current == 0} { 
      set found_rasi_m 1
     } else { 
      set found_nav_m 1
     } 
    }
  }
   
 }
 
}

if { ($found_rasi_b == 1) && ($found_rasi_m == 1) } { 
  	PutTxt "Found in rasi"
  	set found_rasi 1  
  }

if { ($found_nav_b == 1) && ($found_nav_m == 1)  } {
  	PutTxt "Found in nav"
  	set found_nav 1  
  }

if { ($found_rasi == 1) || ($found_nav == 1)  } { 
 PutAstroTxt $ntext $n_file
} else {
 PutTxt "Not found"
} 


PutTxt "--------------85. Yava Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      86

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $rahu $ketu"

set found_rasi_b 0
set found_nav_b  0

set found_rasi_m 0
set found_nav_m  0

set found_rasi 0
set found_nav  0

rasi_navamsa_loop {   
         
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
    
  if { ($h == 1) || ($h == 7) } {
   if { [GetQualityOfPlanet  $i $rasi_nav ] < 0 } {
     PutTxt "Malefic  [NameOfPlanet $i] found in house $h $rasi_nav_txt"
     if {$current == 0} { 
      set found_rasi_b 1
     } else { 
      set found_nav_b 1
     } 
    }
  }
  
  if { ($h == 4) || ($h == 10) } {
   if { [GetQualityOfPlanet  $i $rasi_nav ] > 0 } {
     PutTxt "Benefic [NameOfPlanet $i] found in house $h $rasi_nav_txt"
     if {$current == 0} { 
      set found_rasi_m 1
     } else { 
      set found_nav_m 1
     } 
    }
  }
 }

}

if { ($found_rasi_b == 1) && ($found_rasi_m == 1) } { 
  	PutTxt "Found in rasi"
  	set found_rasi 1  
  }

if { ($found_nav_b == 1) && ($found_nav_m == 1)  } {
  	PutTxt "Found in nav"
  	set found_nav 1  
  }

if { ($found_rasi == 1) || ($found_nav == 1)  } { 
 PutAstroTxt $ntext $n_file
} else {
 PutTxt "Not found"
} 


PutTxt "--------------86. Sringhataka Yoga (Nabhasa yogas)--------------"

set ntext      87 
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
         
 foreach {i} $lp {

     set hop [HinduHouseOfPlanet $i $rasi_nav ]
    
     if { ($hop != 1) && ($hop != 5) && ($hop != 9) } {
      
      if { $current == 0 } { set found_rasi  0 } else { set found_nav 0}
          
     }
  }

}

if { $found_rasi == 1 } { PutTxt "Found rasi"}
if { $found_nav  == 1 } { PutTxt "Found nav "}

if { ($found_rasi == 1) || ($found_nav == 1) } { 
 PutAstroTxt $ntext $n_file
} else {
 PutTxt "Not found"
} 

PutTxt "--------------87. Hala Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      88                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

for {set j 1} { $j <= 3 } {incr j} {

    set found_rasi 1
    set found_nav  1
    
    rasi_navamsa_loop {   
       
          
      switch $j {
       1 {
          set h_a 2
          set h_b 6
          set h_c 10
      }
       2 {
          set h_a 3
          set h_b 7
          set h_c 11
       }
       3 {
          set h_a 4
          set h_b 8
          set h_c 12
       }
      }
     
            
     foreach {i} $lp {
      
      set h [HinduHouseOfPlanet  $i $rasi_nav ]
      
      if { ($h != $h_a) && ($h != $h_b) && ($h != $h_c)  } {
       if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
      }
     
     }
     
    }
    
    if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------88. Kamala Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      89                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
         
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
  
  if { ($h != 1) && ($h != 4) && ($h != 7)  && ($h != 10) } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
  }
 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------89. Vapee Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      90                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

for {set j 1} {$j <= 2} {incr j} {

  set found_rasi 1
  set found_nav  1
  
  rasi_navamsa_loop {   
     
      
   
      switch $j {
       1 {
          set h_a 2
          set h_b 5
          set h_c 8
          set h_d 11
     }
       2 {
          set h_a 3
          set h_b 6
          set h_c 9
          set h_d 12
       }
      }
   
       
          
   foreach {i} $lp {
    
    set h [HinduHouseOfPlanet  $i $rasi_nav ]
    
    if { ($h != $h_a) && ($h != $h_b) && ($h != $h_c)  && ($h != $h_d) } {
     if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
    }
   
   }
   
  }
  
  if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

}
  
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------90. Samadura Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      91                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
         
 foreach {i} $lp {
  
  set h [HinduHouseOfPlanet  $i $rasi_nav ]
  
  if { ($h % 2) != 0 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
  }
 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------91. Vallaki Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      92                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
    
        
 foreach {i} $lp {
  foreach {j} $lp {
   if { $i != $j } {
    if { 1 == [ conjunction $i $j $rasi_nav ] } {
     if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
    }
   } 
  }
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------92. Damni Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      93                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
  
  set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "llength = [llength $ls]"
 # PutTxt "$ls"
 
 if { [llength $ls] != 6 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------93. Pasa Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      94                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
        
 set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
    
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "number of occupied signs=[llength $ls]"
 # PutTxt "ls=$ls" 
 
 if { [llength $ls] != 5 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { $found_rasi == 1 } { PutTxt "Found rasi"}
if { $found_nav  == 1 } { PutTxt "Found nav"}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------94. Kedara Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      95                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
 
        
 set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
    
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "number of occupied signs=[llength $ls]"
 # PutTxt "ls=$ls" 
 
 if { [llength $ls] != 4 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 




PutTxt "--------------95. Sula Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      96                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
        
 set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
    
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "number of occupied signs=[llength $ls]"
 # PutTxt "ls=$ls" 
 
 if { [llength $ls] != 3 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------96. Yuga Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      97                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
        
 set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
    
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "number of occupied signs=[llength $ls]"
 # PutTxt "ls=$ls" 
 
 if { [llength $ls] != 2 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------97. Gola Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      98                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
        
 set ls [list] 
 
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
  set f [lsearch $ls $s]
    
  if { $f == -1 } {
   lappend ls $s 
   # PutTxt "lappend $s"
  }
 
 }
 
 # PutTxt "number of occupied signs=[llength $ls]"
 # PutTxt "ls=$ls" 
 
 if { [llength $ls] != 1 } {
   if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------98. Rajju Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      99                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
  
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
   
   if {[ismovablesign $s] == 0} {
    if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
   }
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------99. Musala Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      100                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
  
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
   
   if {[isfixedsign $s] == 0} {
    if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
   }
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------100. Nala Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      101                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
  
 foreach {i} $lp {
    
  set s [SignOfPlanet $i $rasi_nav $options_signs]
   
   if {[iscommonsign $s] == 0} {
    if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
   }
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------101. Srik Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      102                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
    
  
 foreach {i} $lp {
    
  set h [ HinduHouseOfPlanet      $i $rasi_nav ]
  set q [ GetQualityOfPlanet $i $rasi_nav_txt ] 
   
   if {( [ishousekendra $h] == 0 ) || ( $q <= 0)  } {
    if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
   }
  
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------102. Sarpa Yoga (Nabhasa yogas)--------------"

set found       0
set ntext      103                                                           
set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"            

set found_rasi 1
set found_nav  1

rasi_navamsa_loop {   
   
 
  
 foreach {i} $lp {
    
  set h [ HinduHouseOfPlanet   $i $rasi_nav ]
  set q [ GetQualityOfPlanet $i $rasi_nav_txt ] 
   
   if {( [ishousekendra $h] == 0 ) || ( $q >= 0)  } {
    if {$current == 0} { set found_rasi 0} else { set found_nav 0} 
   }
  
 }
 
}

if { ($found_rasi == 1) || ($found_nav == 1)  } { set found 1  }
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------103. Duryoga --------------"

set found       0
set ntext      104                                                           

rasi_navamsa_loop {   

 
 set L10  [ HinduLordOfHouse   $H10  $rasi_nav ]
 set hL10 [ HinduHouseOfPlanet $L10  $rasi_nav ]

 if { ($hL10 == 6) || ($hL10 == 8) || ($hL10 == 12) } {
  PutTxt "Found $rasi_nav_txt"    
  set found 1   
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------104. Daridra Yoga --------------"

set found       0
set ntext      105                                                           

rasi_navamsa_loop {   

  set H11 11
  
 
 set L11  [ HinduLordOfHouse   $H11  $rasi_nav ]
 set hL11 [ HinduHouseOfPlanet $L11  $rasi_nav ]

 if { ($hL11 == 6) || ($hL11 == 8) || ($hL11 == 12) } {
  PutTxt "Found $rasi_nav_txt"    
  set found 1   
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------105. Harsha Yoga --------------"

set found       0
set ntext     106                                                           

rasi_navamsa_loop {   

 set H6 6
  
 
 set L6  [ HinduLordOfHouse   $H6  $rasi_nav ]
 set hL6 [ HinduHouseOfPlanet $L6  $rasi_nav ]

 if { ($hL6 == $H6) } {
  PutTxt "Found $rasi_nav_txt"    
  set found 1   
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------106. Sarala Yoga --------------"

set found       0
set ntext     107

rasi_navamsa_loop {

 set H8 8

 set L8  [ HinduLordOfHouse   $H8  $rasi_nav ]
 set hL8 [ HinduHouseOfPlanet $L8  $rasi_nav ]

 if { ($hL8 == $H8) } {
  PutTxt "Found $rasi_nav_txt"    
  set found 1   
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------107. Vimala Yoga --------------"

set found       0
set ntext     108

rasi_navamsa_loop {
 
 
 set H12 12

 set L12  [ HinduLordOfHouse   $H12  $rasi_nav ]
 set hL12 [ HinduHouseOfPlanet $L12  $rasi_nav ]

 if { ($hL12 == $H12) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------108. Sareera Soukhya Yoga --------------"

set found       0
set ntext     109

rasi_navamsa_loop {

 set lp "$venus $jupiter"  
 set L1 [ HinduLordOfHouse 1  $rasi_nav ]
 
 lappend lp $L1
  
 foreach {i} $lp {
  
  set h [ HinduHouseOfPlanet $i  $rasi_nav ]

  if { [ishousekendra $h] == 1 } {
   PutTxt "Found $rasi_nav_txt [NameOfPlanet $i] in kendra house $h"
   set found 1
  }

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------109. Dehapushti Yoga --------------"

set found       0
set ntext     110

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $uranus $neptune $pluto"     

rasi_navamsa_loop {   
  
 set L1  [ HinduLordOfHouse   1 $rasi_nav ]
 set sL1 [SignOfPlanet $L1 $rasi_nav $options_signs]
 
 if { [ismovablesign $sL1]==1 } {
   foreach {i} $lp {
    
    set q             [ GetQualityOfPlanet $i $rasi_nav_txt ] 
    set l1_aspected   [HAspectedBy   $L1 $i $rasi_nav]
    
    if { ( $q > 0 ) && ($l1_aspected==1) } {
      PutTxt "Found $rasi_nav_txt: [NameOfPlanet $L1] is aspected by [NameOfPlanet $i] benefic"
      set found 1
    }
   }
  }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------110. Dehkashta Yoga --------------"

set found       0
set ntext     111                                                           

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"     

rasi_navamsa_loop {   

 set H8 8

 set L1    [ HinduLordOfHouse   1    $rasi_nav ]
 set hL1   [ HinduHouseOfPlanet $L1  $rasi_nav ]
    
   foreach {i} $lp { 
    set q             [ GetQualityOfPlanet $i $rasi_nav_txt ] 
    
    if { ( $q < 0 ) && ( [conjunction $L1 $i $rasi_nav]==1) } {
      PutTxt "Found $rasi_nav_txt: [NameOfPlanet $L1] is conjunction with malefic [NameOfPlanet $i]"
      set found 1
    }
    
    
    if { $hL1 == $H8 } {
     PutTxt "Found $rasi_nav_txt: lord of Lagna is in house $H8"
     set found 1
    }

   }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------111. Rogagrastha Yoga --------------"

set found       0
set ntext     112                                                           

set lp "$sun $moon $mercury $venus $mars $jupiter $saturn $uranus $neptune $pluto"     

rasi_navamsa_loop {   

  set H1   1
  set H6   6
  set H8   8
  set H12 12


 set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L6    [ HinduLordOfHouse   $H6  $rasi_nav ]
 set L8    [ HinduLordOfHouse   $H8  $rasi_nav ]
 set L12   [ HinduLordOfHouse  $H12  $rasi_nav ]
 
 set hL1   [ HinduHouseOfPlanet $L1  $rasi_nav ]

 if { ($hL1 == $H1) && ( (1==[conjunction $L6 $L1 $rasi_nav]) || (1==[conjunction $L8 $L1 $rasi_nav]) || (1==[conjunction $L12 $L1 $rasi_nav]) ) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
 
 if { ([StrengthOfPlanet $L1] < 100) && ( ([ishousekendra $hL1]==1) || ([ishousethrikona $hL1]==1) ) } { 
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }    
  
}
  
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------112.-113. Krisanga Yoga -------------"

set found       0
set ntext     113                                                           

#dry sign according BV Raman (page 132)
set ls "$aries $taurus $gemini $leo $virgo $sagittarius"   
set ls_lord_dry "$aries $leo $capricornus $aquarius"


set L1    [ HinduLordOfHouse   1   -rasi ]
set sL1   [SignOfPlanet   $L1 -rasi $options_signs] 
set f     [lsearch $ls $sL1]
set f1    [lsearch $ls_lord_dry $sL1]  

if { ($f >= 0) || ( $f1 >=0 ) } {
 PutTxt "Found Rasi Combination 112"
 set found 1
}

# 113 
set nav_asc  [ SignOfPlanet $asc -nav  $options_signs]  
set l_nav_asc [ LordOfSign  $nav_asc ]

if { ($l_nav_asc == $mars || $l_nav_asc == $saturn  || $l_nav_asc == $sun) && ( [IsConjunctionWithBenefic $asc -rasi ] ) } {
 PutTxt "Found Rasi Combination 113"
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------114.-116. Dehasthoulya Yoga      -------------"
  
set found       0
set ntext     114

set L1       [ HinduLordOfHouse  1   -rasi ]
set sL1_rasi [ SignOfPlanet $L1 -rasi $options_signs]
set sL1_nav  [ SignOfPlanet $L1 -nav  $options_signs]  

if {  [iswaterysign $sL1_rasi] && [iswaterysign $sL1_nav] } {
 set found 1
 PutTxt "Combination 1 found."
}

if  { [HinduHouseOfPlanet $jupiter -rasi ] == 1 } { 
 set found 1
 PutTxt "Combination 2-1 found."
}

if { [ HAspectedBy $asc $jupiter -rasi ] } {
	
	set s_jup [ SignOfPlanet $jupiter -rasi $options_signs ]
  
  if { [iswaterysign $s_jup] } {
   set found 1
   PutTxt "Combination 2-2 found."
  }
		
}


if { [iswaterysign [SignOfHouse 1 -rasi -shsd $options_signs] ] } {
 
  set lp "$sun $moon $mercury $venus $mars $jupiter $saturn"
  
  foreach {i} $lp {
    set q_i    [ GetQualityOfPlanet $i   "rasi" ] 
    
    if { ($q_i > 0) && ( [ HinduHouseOfPlanet $i  -rasi ] == 1) } {
      
      set found 1
      PutTxt "Combination 3 found."
     
     }
   
   }
  
}

if { [iswaterysign [SignOfHouse 1 -rasi -shsd $options_signs] ] } {
  set found 1
  PutTxt "combination 3 found"
       
}
  
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   
  


PutTxt "--------------117. Sada Sanchara Yoga -------------"
  
set found       0
set ntext     115  


rasi_navamsa_loop {   

 set s1    [ SignOfHouse  1   $rasi_nav  $options_signs -shsd] 
 set L1    [ HinduLordOfHouse 1   $rasi_nav  ]
 set sL1   [SignOfPlanet  $L1 $rasi_nav  $options_signs]   
 
    
 if { ([ismovablesign $s1])} {
  PutTxt "Found combination 2 $rasi_nav_txt"
  set found 1
 }
  
 if { ([ismovablesign $sL1]) } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   


PutTxt "--------------115. Dhana Yoga      -------------"
  
set found       0
set ntext     116  


rasi_navamsa_loop {   

 # venus
 if { ([HinduHouseOfPlanet $venus $rasi_nav ] == 5) && ([ IsHome $venus $rasi_nav ]) && ([HinduHouseOfPlanet $saturn $rasi_nav ] == 11) } {
  PutTxt "Found combination 1 in $rasi_nav_txt"
  set found 1
 }
 
 # mercury
 if { ([HinduHouseOfPlanet $mercury $rasi_nav ] == 5) && ([ IsHome $mercury $rasi_nav ]) && ([HinduHouseOfPlanet $moon $rasi_nav ] == 11) && ([HinduHouseOfPlanet $mars $rasi_nav ] == 11)} {
  PutTxt "Found combination 2 in $rasi_nav_txt"
  set found 1
 }
 
 #saturn
 if { ([HinduHouseOfPlanet $saturn $rasi_nav ] == 5) && ([ IsHome $saturn $rasi_nav ]) && ([HinduHouseOfPlanet $mercury $rasi_nav ] == 11) && ([HinduHouseOfPlanet $mars $rasi_nav ] == 11)} {
  PutTxt "Found combination 3 in $rasi_nav_txt"
  set found 1
 }
 
 #sun
 if { ([HinduHouseOfPlanet $sun $rasi_nav ] == 5) && ([ IsHome $sun $rasi_nav ]) && ([HinduHouseOfPlanet $jupiter $rasi_nav ] == 11) && ([HinduHouseOfPlanet $moon $rasi_nav ] == 11)} {
  PutTxt "Found combination 4 in $rasi_nav_txt"
  set found 1
 }
 
 # Jupiter
 if { ([HinduHouseOfPlanet $jupiter $rasi_nav ] == 5) && ([ IsHome $jupiter $rasi_nav ]) && ([HinduHouseOfPlanet $mars $rasi_nav ] == 11) && ([HinduHouseOfPlanet $moon $rasi_nav ] == 11)} {
  PutTxt "Found combination 5 in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   

  
PutTxt "--------------116. Dhana Yoga (Contd)    -------------"
  
set found       0
set ntext     117  

rasi_navamsa_loop {   

 # Sun
 if { ([HinduHouseOfPlanet $sun $rasi_nav ] == 1)   &&  ([ IsHome $sun $rasi_nav ]) && ([ conjunctionoraspected $sun $mars  $rasi_nav]) &&  ([ conjunctionoraspected $sun $jupiter $rasi_nav]) } {
       PutTxt "Found combination 1 in $rasi_nav_txt"
       set found 1
    }
 # moon
 if { ([HinduHouseOfPlanet $moon $rasi_nav ] == 1)   &&  ([ IsHome $moon $rasi_nav ]) && ([ conjunctionoraspected $moon $jupiter  $rasi_nav]) &&  ([ conjunctionoraspected $moon $mars $rasi_nav]) } {
       PutTxt "Found combination 2 in $rasi_nav_txt"
       set found 1
    }
 
 # mars
 if { ([HinduHouseOfPlanet $mars $rasi_nav ] == 1)   &&  ([ IsHome $mars $rasi_nav ]) && ([ conjunctionoraspected $mars $moon  $rasi_nav]) &&  ([ conjunctionoraspected $mars $venus $rasi_nav]) && ([ conjunctionoraspected $mars $saturn $rasi_nav]) } {
       PutTxt "Found combination 3 in $rasi_nav_txt"
       set found 1
    }
 
 # mercury 
 if { ([HinduHouseOfPlanet $mercury $rasi_nav] == 1)   &&  ([ IsHome $mercury $rasi_nav ]) && ([ conjunctionoraspected $mercury $saturn  $rasi_nav]) &&  ([ conjunctionoraspected $mercury $venus $rasi_nav]) } {
       PutTxt "Found combination 4 in $rasi_nav_txt"
       set found 1
    }
 
 # jupiter
 if { ([HinduHouseOfPlanet $jupiter $rasi_nav ] == 1)   &&  ([ IsHome $jupiter $rasi_nav ]) && ([ conjunctionoraspected $jupiter $mercury  $rasi_nav]) &&  ([ conjunctionoraspected $jupiter $mars $rasi_nav]) } {
       PutTxt "Found combination 5 in $rasi_nav_txt"
       set found 1
    }

 # venus
 if { ([HinduHouseOfPlanet $venus $rasi_nav ] == 1)   &&  ([ IsHome $venus $rasi_nav ]) && ([ conjunctionoraspected $venus $saturn  $rasi_nav]) &&  ([ conjunctionoraspected $venus $mercury $rasi_nav]) } {
       PutTxt "Found combination 6 in $rasi_nav_txt"
       set found 1
    }
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   

  
PutTxt "--------------129. Bahudravyarjana Yoga    -------------"
  
set found       0
set ntext     118  

rasi_navamsa_loop {   

 set H1   1
 set H2   2
 set H11  11

 set L1  [ HinduLordOfHouse   $H1  $rasi_nav ]
 set hL1 [ HinduHouseOfPlanet $L1  $rasi_nav ]

 set L2  [ HinduLordOfHouse   $H2  $rasi_nav ]
 set hL2 [ HinduHouseOfPlanet $L2  $rasi_nav ]
 
 set L11  [ HinduLordOfHouse   $H11  $rasi_nav ]
 set hL11 [ HinduHouseOfPlanet $L11  $rasi_nav ]
  
 if { ($hL1 == $H2) && ($hL2 == $H11) && ($hL11 == $H1) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   

PutTxt "--------------130.-132. Swaveeryaddhana Yoga  -------------"

set found       0
set ntext     119

# combination 1

set max_strength    0
set max_strength_p -1

foreach {i} {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14} {
  set temp_strength [StrengthOfPlanet $i]
  if { $temp_strength > $max_strength } {
   set max_strength  $temp_strength
   set max_strength_p $i
  }
}

set L1 [ HinduLordOfHouse 1  -rasi ] 
if { ($L1 == $max_strength_p) } {
 set hL1 [ HinduHouseOfPlanet $L1  -rasi ]
 
 if { [ ishousekendra $hL1 ] } {
  if { [conjunction $jupiter $L1 -rasi]} {
   PutTxt "Found rasi combination 1"
   set found 1
  }
 }
}

# combination 2
set L1       [ HinduLordOfHouse   1  -rasi ] 
set sL1_nav  [SignOfPlanet  $L1 -nav $options_signs]  
set lord     [LordOfSign    $sL1_nav]
set s        [SignOfPlanet  $lord -rasi $options_signs]
set p        [LordOfSign    $s ]

#PutTxt "[NameOfPlanet $p]" 

set s1 [SignOfPlanet  $p     -rasi $options_signs]
set s2 [SignOfPlanet  $venus -rasi $options_signs]

if { [iskendra $s1 $s2] } {
 PutTxt "Found rasi combination 2"
 set found 1
}

# combination 3
set L1       [ HinduLordOfHouse   1  -rasi ] 
set L2       [ HinduLordOfHouse   2  -rasi ] 

if { [trine $L1 $L2 -rasi] || [quadrant $L1 $L2 -rasi] } {
 PutTxt "Found rasi combination 3"
 set found 1
}

# combination 4
set L2       [ HinduLordOfHouse   2  -rasi ] 
set q2       [ GetQualityOfPlanet $L2 "rasi"] 

if { ($q2 > 0) && ( [IsExalted $L2 -rasi] ) } {
 PutTxt "Found rasi combination 4"
 set found 1
}

if { ($q2 > 0) } {
 for { set p 0 } { $p < 15} { incr p } {
  if { ([IsExalted $L2 -rasi]) && ([ conjunction $p $L2 -rasi] ) } {
    PutTxt "Found rasi combination 4"
    set found 1
   }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------133. Madhya Vayasi Dhana Yoga  -------------"

set found       0
set ntext     120

rasi_navamsa_loop {   
   
 set H1   1
 set H2   2
 set H11 11

 set L1   [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L2   [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L11  [ HinduLordOfHouse   $H11 $rasi_nav ]
 set hL2  [ HinduHouseOfPlanet $L2  $rasi_nav ]
 
 #PutTxt "conjunction [NameOfPlanet $L1] [NameOfPlanet $L2]  [conjunction $L1 $L2 $rasi_nav]"
 #PutTxt "conjunction [NameOfPlanet $L2] [NameOfPlanet $L11] [conjunction $L2 $L11 $rasi_nav]"
 #PutTxt " [NameOfPlanet $L2] aspected by benefic [IsAspectedByBenefic $L2 $rasi_nav]"

 if { [conjunction $L1 $L2 $rasi_nav] && [conjunction $L2 $L11 $rasi_nav] && [ IsAspectedByBenefic $L2 $rasi_nav ] } {
  
  if { [ishousekendra $hL2] || [ishousethrikona $hL2] } {
   
   if { [HasKalabala $L2] } {
    PutTxt "Found $rasi_nav_txt"
    set found 1
   }
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------134. Anthya Vayasi Dhana Yoga  -------------"
  
set found       0
set ntext     121

rasi_navamsa_loop {   

 set H1   1
 set H2   2

 set L1    [ HinduLordOfHouse   $H1 $rasi_nav ]
 set L2    [ HinduLordOfHouse   $H2 $rasi_nav ]
 set sL1   [ SignOfPlanet  $L1 $rasi_nav  $options_signs]     
 set lsL1  [ LordOfSign    $sL1 ]
 set hlsL1 [ HinduHouseOfPlanet $lsL1  $rasi_nav ]
 
 # PutTxt "lsL1  $lsL1"
 # PutTxt "hlsL1 $hlsL1"
 
 if { [conjunction $L1 $L2 $rasi_nav] &&  [ IsConjunctionWithBenefic $L1 $rasi_nav ] } {
  
  if {[IsStrongPlanet  $lsL1] && ($hlsL1 == $H1)} {     
    PutTxt "Found $rasi_nav_txt"
    set found 1
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------135.  Balya Dhana Yoga -------------"
 
set found       0
set ntext     122

set H1   1
set H2   2
set H10 10

set L1   [ HinduLordOfHouse   $H1  -rasi ]
set L2   [ HinduLordOfHouse   $H2  -rasi ]
set L10  [ HinduLordOfHouse   $H10 -rasi ]

set hL2  [ HinduHouseOfPlanet $L2  -rasi  ]
set hL10 [ HinduHouseOfPlanet $L10 -rasi  ]

set sL1  [ SignOfPlanet $L1 -nav $options_signs]
set lsL1 [ LordOfSign  $sL1 ]

#PutTxt "Lord of nav occupied by the asc lord = [NameOfPlanet $lsL1]" 

if { [conjunction $L2 $L10 -rasi] && [ ishousekendra $hL2 ] && [ ishousekendra $hL10 ] } {
 set aspected1 [HAspectedBy $L2 $lsL1 -rasi]
 if { $aspected1 } {
  set found 1
  PutTxt "Found rasi"
 }
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------136.-137. Bhratrumooladdhanaprapti Yoga  -------------"
  
set found       0
set ntext     123

rasi_navamsa_loop {   

 set H1   1
 set H2   2
 set H3   3

 # combination 1

 set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L3    [ HinduLordOfHouse   $H3  $rasi_nav ]
 
 set hL1   [ HinduHouseOfPlanet $L1  $rasi_nav ]
 set hL2   [ HinduHouseOfPlanet $L2  $rasi_nav ]
 set hL3   [ HinduHouseOfPlanet $L3  $rasi_nav ]

 if { ($hL1 == $hL2) &&  ($hL1 == $H3) } {
  if { ( [ IsAspectedByBenefic $L1 $rasi_nav ] ) || ( [ IsAspectedByBenefic $L2 $rasi_nav ] ) } {
    PutTxt "Found combination 1 $rasi_nav_txt"
    set found 1
  }

 }

 # combination 2
 if { ($hL3 == $H2) && ( [conjunction $jupiter $L3 $rasi_nav] ) && ( [ conjunctionoraspected $L3 $L1 $rasi_nav ] ) } {
  PutTxt "Found combination 2 $rasi_nav_txt"
  set found 1 
 }
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------138. Matrumooladdhana Yoga -------------"
  
set found       0
set ntext     124

rasi_navamsa_loop {   

 set H2   2
 set H4   4

 set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L4    [ HinduLordOfHouse   $H4  $rasi_nav ]

 if { ( [ conjunctionoraspected $L2 $L4 $rasi_nav ] ) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------139. Putramooladdhana Yoga -------------"
  
set found       0
set ntext     125

rasi_navamsa_loop {

 set H1   1
 set H2   2
 set H5   5

 set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L5    [ HinduLordOfHouse   $H5  $rasi_nav ]

 if { ( [ conjunction $L2 $L5 $rasi_nav ] ) || ([ conjunction $L2 $jupiter $rasi_nav ]) } {
  
  if { [IsStrongPlanet $L2] && [IsVaiseshikamsa $L1] } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------140. Satrumooladdhana Yoga -------------"
  
set found       0
set ntext     126

rasi_navamsa_loop {   

 set H1   1
 set H2   2
 set H6   6

 set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L6    [ HinduLordOfHouse   $H6  $rasi_nav ]

 if { ( [ conjunction $L2 $L6 $rasi_nav ] ) || ([ conjunction $L2 $mars $rasi_nav ]) } {
  
  if { [IsStrongPlanet $L2] && [IsVaiseshikamsa $L1] } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------141. Kalatramooladdhana Yoga -------------"

set found       0
set ntext     127

rasi_navamsa_loop {

 set H1   1
 set H2   2
 set H7   7

 set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
 set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]
 set L7    [ HinduLordOfHouse   $H7  $rasi_nav ]

 if { ( [ conjunctionoraspected $L2 $L7 $rasi_nav ] ) && ([ conjunctionoraspected $L2 $venus $rasi_nav ]) } {
  
  if { [IsStrongPlanet $L2] && [IsStrongPlanet $L1] } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
 
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------142. Amaranantha Dhana Yoga -------------"
  
set found       0
set ntext     128

rasi_navamsa_loop {   

  set H2   2

  set L2    [ HinduLordOfHouse  $H2  $rasi_nav ]

  if { ( [ HouseOccupied $H2 $rasi_nav $options_houses ] ) && ( [ IsStrongPlanet $L2 ] ) && ( [ IsStrongPlanet $jupiter ] ) } {
   
   if { ( [ IsHome $L2 $rasi_nav ] || [ IsExalted $L2 $rasi_nav ] ) && ( [ IsHome $jupiter $rasi_nav ] || [ IsExalted $jupiter $rasi_nav ] ) } {

    PutTxt "Found $rasi_nav_txt"
    set found 1

   }
  }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  


PutTxt "--------------143. Ayatnadhanalabha Yoga -------------"
  
set found       0
set ntext     129

rasi_navamsa_loop {   
  set H1   1
  set H2   2

  set L1    [ HinduLordOfHouse   $H1  $rasi_nav ]
  set L2    [ HinduLordOfHouse   $H2  $rasi_nav ]

  if { [ interchangesign $L1 $L2 $rasi_nav ] } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
  }
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------144.-153. Daridra Yogas -------------"

set found       0
set ntext     130

rasi_navamsa_loop {
   
  set H1    1
  set H2    2
  set H5    5
  set H6    6
  set H7    7
  set H8    8
  set H9    9
  set H10  10
  set H12  12
 
  set L1    [ HinduLordOfHouse   $H1   $rasi_nav ]
  set L2    [ HinduLordOfHouse   $H2   $rasi_nav ]
  set L5    [ HinduLordOfHouse   $H5   $rasi_nav ]
  set L6    [ HinduLordOfHouse   $H6   $rasi_nav ]
  set L7    [ HinduLordOfHouse   $H7   $rasi_nav ]
  set L8    [ HinduLordOfHouse   $H8   $rasi_nav ]
  set L12   [ HinduLordOfHouse   $H12  $rasi_nav ]

  # combination 1
  if { [ interchangesign $L1 $L12 $rasi_nav ] } {
   if { ([conjunctionoraspected $L1 $L7 $rasi_nav] || [conjunctionoraspected $L12 $L7 $rasi_nav]) } {
     PutTxt "Found combination 1 $rasi_nav_txt"
     set found 1
   } 
  }
  
 # combination 2
  if { [ interchangesign $L1 $L6 $rasi_nav ] } {
   if { [HAspectedBy   $moon  $L2 $rasi_nav] || [HAspectedBy   $moon  $L7 $rasi_nav] } {
     PutTxt "Found combination 2 $rasi_nav_txt"
     set found 1
   } 
  }

 # combination 3
 if { ($H1 == [HinduHouseOfPlanet $ketu $rasi_nav ] ) && ($H1 == [HinduHouseOfPlanet $moon $rasi_nav ] ) } {
    PutTxt "Found combination 3 $rasi_nav_txt"
    set found 1
 
 }
 
 # combination 4
 if { ($H8 == [HinduHouseOfPlanet $L1 $rasi_nav ]) && ( ([conjunctionoraspected $L1 $L2 $rasi_nav]) || ([conjunctionoraspected $L1 $L7 $rasi_nav])) } {
    PutTxt "Found combination 4 $rasi_nav_txt"
    set found 1
 }

 # combination 5
 if {  ($H6  == [HinduHouseOfPlanet $L1 $rasi_nav ]) || ($H8  == [HinduHouseOfPlanet $L1 $rasi_nav ]) || ($H12 == [HinduHouseOfPlanet $L1 $rasi_nav ]) } {
   if { ( [ IsConjunctionWithMalefic $L1 $rasi_nav ] ) } {
     if { ([conjunctionoraspected $L1 $L2 $rasi_nav]) || ([conjunctionoraspected $L1 $L7 $rasi_nav]) } {     
       PutTxt "Found combination 5 $rasi_nav_txt"
       set found 1
      }
    }
 } 
 
 # combination 6
 if { ([conjunctionoraspected $L1 $L6 $rasi_nav]) || ([conjunctionoraspected $L1 $L8 $rasi_nav]) || ([conjunctionoraspected $L1 $L12 $rasi_nav])  } {
  if { [IsAspectedByMalefic $L1 $rasi_nav] } {
   PutTxt "Found combination 6 $rasi_nav_txt"
   set found 1
  }
 }

 # combination 7
 if { ([conjunction $L5 $L6 $rasi_nav]) || ([conjunction $L5 $L8 $rasi_nav]) || ([conjunction $L5 $L12 $rasi_nav])  } {     
     if { ([IsAspectedByBenefic $L5 $rasi_nav] == 0) && ([IsConjunctionWithBenefic $L5 $rasi_nav] == 0) } {
      PutTxt "Found combination 7 $rasi_nav_txt"
      set found 1
     }
 }

 # combination 8
 if {  ($H6  == [HinduHouseOfPlanet $L5 $rasi_nav ]) || ($H10  == [HinduHouseOfPlanet $L5 $rasi_nav ]) } {
  if { [HAspectedBy   $L5  $L2 $rasi_nav] || [HAspectedBy   $L5  $L6 $rasi_nav] || [HAspectedBy   $L5  $L7 $rasi_nav] || [HAspectedBy   $L5  $L8 $rasi_nav] || [HAspectedBy   $L5  $L12 $rasi_nav] } {
    PutTxt "Found combination 8 $rasi_nav_txt"
    set found 1
  }
 }

 # combination 9
 set lH9  [HinduLordOfHouse $H9  $rasi_nav ] 
 set lH10 [HinduLordOfHouse $H10 $rasi_nav ] 
 
 foreach {p} {$sun $moon $mercury $venus $mars $jupiter $saturn} {
  
  if { [IsNaturalMalefic $p] && ($p != $lH9) && ($p != $lH10) } {
   set hp [ HinduHouseOfPlanet $p $rasi_nav ]
   if { $hp == $H1 } {
    if { [IsAspectedByMaraka $p] || [ IsConjunctionWithMaraka $p] } {
     PutTxt "Found combination 9 $rasi_nav_txt"
     set found 1     
    }
   }
  }
 }

 # combination 10
 if { $current == 0} {
   
   set L1_rasi   [ HinduLordOfHouse   $H1  -rasi ]
   set L1_nav    [ HinduLordOfHouse   $H1  -nav  ]
   set hL1_rasi  [ HinduHouseOfPlanet $L1_rasi -rasi ]
   set hL1_nav   [ HinduHouseOfPlanet $L1_nav  -rasi ]
   
   if { ( ($hL1_rasi == $H6) || ($hL1_rasi == $H8) || ($hL1_rasi == $H12) ) && ( ($hL1_rasi == $H6) || ($hL1_rasi == $H8) || ($hL1_rasi == $H12) ) } {
    if { ( ([conjunctionoraspected $L1_rasi $L2 -rasi]) || ([conjunctionoraspected $L1_rasi $L7 -rasi]) ) && ( ([conjunctionoraspected $L1_nav  $L2 -rasi]) || ([conjunctionoraspected $L1_nav  $L7 -rasi]) ) } {    
     PutTxt "Found combination 10 rasi"
     set found 1

    }
  } 
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  


PutTxt "--------------154.-155. Yukthi Samanwithavagmi Yogas -------------"
  
set found       0
set ntext     131

rasi_navamsa_loop {   

 set H1   1
 set H2   2

 set L2    [ HinduLordOfHouse   $H2   $rasi_nav ] 
 set hL2   [ HinduHouseOfPlanet $L2   $rasi_nav ] 
 
 # combination 1
 if { [IsConjunctionWithBenefic $L2 $rasi_nav] } {
  if { ([ishousekendra $hL2]) || ([ishousethrikona $hL2]) } {
   PutTxt "Found combination 1 $rasi_nav_txt"
   set found 1
  }
 }
 
 if { [ IsExalted $L2 $rasi_nav ] && [combined $L2 $jupiter $rasi_nav]  } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }
 
 # combination 2
  if { ([ishousekendra $hL2]) && ([IsParvatamsa $L2]) &&(([IsSimhasanamsa $jupiter])||([IsSimhasanamsa $venus])) } {
   PutTxt "Found combination 2 $rasi_nav_txt"
   set found 1
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------156. Parihasaka Yoga -------------"
  
set found       0
set ntext     132

 set s   [SignOfPlanet $sun -nav $options_signs]
 set ls  [LordOfSign $s]
 set hls [HinduHouseOfPlanet $ls -rasi ]
 set H2 2

 # PutTxt "Lord of Navamsa occupied by sun is [NameOfPlanet $ls] in house $hls"

 if { [IsVaiseshikamsa $ls] } {
  if { ($hls == $H2) } {
   PutTxt "Found rasi"
   set found 1
  }
 }
  
 if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 
  
 
PutTxt "--------------157. Asatyavadi Yoga -------------"
  
set found       0
set ntext     133

rasi_navamsa_loop {   

  set H2   2

  set L2    [ HinduLordOfHouse  $H2 $rasi_nav ] 
  set sL2   [ SignOfPlanet $L2 $rasi_nav $options_signs]
  set lsL2  [ LordOfSign $sL2]

  if { ($lsL2 == $saturn) || ($lsL2 == $mars) } {
   if { [KendraHouseOccupiedByMalefic $rasi_nav $options_houses] && [ThrikonaHouseOccupiedByMalefic $rasi_nav $options_houses] } {
    PutTxt "Found $rasi_nav_txt"
    set found 1
   }
  }
}  

 
 if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   
 
 
 
PutTxt "--------------158. Jada Yoga -------------"
  
set found       0
set ntext     134

rasi_navamsa_loop {
   
  set H2   2
  set H10 10
   
  set L2    [ HinduLordOfHouse   $H2 $rasi_nav ]   
  set hL2   [ HinduHouseOfPlanet $L2 $rasi_nav ] 
  
  set h_sun   [HinduHouseOfPlanet $sun     $rasi_nav ]
  set h_mandi [HinduHouseOfPlanet $mandi   $rasi_nav ]
  
  # combination 1
  if { ( $hL2 == $H10 ) && [ HouseOccupiedByMalefic $H10 $rasi_nav $options_houses ] } {
   PutTxt "Found combination 1 $rasi_nav_txt"
   set found 1
  }

  # combination 2
  if { ($h_sun == $H2) && ($h_mandi == $H2) } {
   PutTxt "Found combination 2 $rasi_nav_txt"
   set found 1
  }

}  
 
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   
 


PutTxt "--------------159. Bhaskara Yoga -------------"
  
set found       0
set ntext     135

rasi_navamsa_loop {   
   
 set s_sun     [SignOfPlanet $sun      $rasi_nav $options_signs]
 set s_moon    [SignOfPlanet $moon     $rasi_nav $options_signs]
 set s_mercury [SignOfPlanet $mercury  $rasi_nav $options_signs]
 set s_jupiter [SignOfPlanet $jupiter  $rasi_nav $options_signs]
 
 # PutTxt "Mercury in house $s_mercury - $s_sun= [to011 [expr $s_mercury - $s_sun ]] from sun"
 
 if { [to011   [expr $s_mercury - $s_sun]] == 1 } {
  if { [to011  [expr $s_moon    - $s_mercury]] == 10 } {
   if { ([to011 [expr $s_jupiter - $s_moon]] == 4) || ([to011 [expr $s_jupiter - $s_moon]] == 8)  } {
      PutTxt "Found $rasi_nav_txt"
      set found 1  
   } 
  }
 }
 

}  
 
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}   

 
PutTxt "--------------160. Marud Yoga -------------"
  
set found       0
set ntext     136

rasi_navamsa_loop {   
   
 set s_sun     [SignOfPlanet $sun      $rasi_nav $options_signs]
 set s_moon    [SignOfPlanet $moon     $rasi_nav $options_signs]
 set s_venus   [SignOfPlanet $venus    $rasi_nav $options_signs]
 set s_jupiter [SignOfPlanet $jupiter  $rasi_nav $options_signs]
   
 
 if { [iskendra $s_moon $s_sun] } {
  if { [to011  [expr $s_moon    - $s_jupiter]] == 4 } {
   if { ([to011 [expr $s_jupiter - $s_venus]] == 4) || ([to011 [expr $s_jupiter - $s_venus]] == 8)  } {
      PutTxt "Found $rasi_nav_txt"
      set found 1  
   } 
  }
 }
 

}  
 
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    


PutTxt "--------------161. Saraswathi Yoga -------------"
  
set found       0
set ntext     137

rasi_navamsa_loop { 

   set H1 1
   set H2 2
   set H4 4
   set H5 5
   set H7 7
   set H9 9
   set H10 10

 set h_jupiter [HinduHouseOfPlanet $jupiter $rasi_nav ]
 set h_venus   [HinduHouseOfPlanet $venus   $rasi_nav ]
 set h_mercury [HinduHouseOfPlanet $mercury $rasi_nav ]
 
 if { [IsHome $jupiter $rasi_nav] || [ IsExalted $jupiter $rasi_nav ] ||  [ IsInFriendlySign $jupiter $rasi_nav ] } {
 
  if { ($h_jupiter == $H1) || ($h_jupiter == $H2) || ($h_jupiter == $H4) || ($h_jupiter == $H5) || ($h_jupiter == $H7) || ($h_jupiter == $H9) || ($h_jupiter == $H10) } {
   if { ($h_venus == $H1) || ($h_venus == $H2) || ($h_venus == $H4) || ($h_venus == $H5) || ($h_venus == $H7) || ($h_venus == $H9) || ($h_venus == $H10) } {
    if { ($h_mercury == $H1) || ($h_mercury == $H2) || ($h_mercury == $H4) || ($h_mercury == $H5) || ($h_mercury == $H7) || ($h_mercury == $H9) || ($h_mercury == $H10) } {
     PutTxt "Found $rasi_nav_txt"
     set found 1
    }
   }
  }

 }

}
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    

PutTxt "--------------162. Budha Yoga -------------"
  
set found       0
set ntext     138

rasi_navamsa_loop {

  
  set h_jupiter [HinduHouseOfPlanet $jupiter $rasi_nav ]
  set h_moon    [HinduHouseOfPlanet $moon    $rasi_nav ]
 
  set rahu_minus_moon [ expr [SignOfPlanet $rahu $rasi_nav $options_signs] - [SignOfPlanet $moon $rasi_nav $options_signs] ]
  set rahu_minus_moon [to011 $rahu_minus_moon ]
  #PutTxt "Rahu-Moon=$rahu_minus_moon"  
      
  set sun_minus_rahu [ expr [SignOfPlanet $sun $rasi_nav $options_signs] - [SignOfPlanet $rahu $rasi_nav $options_signs] ]
  set sun_minus_rahu [to011 $sun_minus_rahu ]
  #PutTxt "Sun-Rahu=$sun_minus_rahu"  

  set mars_minus_rahu [ expr [SignOfPlanet $mars $rasi_nav $options_signs] - [SignOfPlanet $rahu $rasi_nav $options_signs] ]
  set mars_minus_rahu [to011 $mars_minus_rahu ]
  #PutTxt "Mars-Rahu=$mars_minus_rahu"  
  
  if { ($h_jupiter == 1) && ([ishousekendra $h_moon]) && ($rahu_minus_moon == 1) && ($sun_minus_rahu == 2) &&  ($mars_minus_rahu == 2) } {
   PutTxt "Found rasi_nav_txt" 
   set found 1
  }
}   

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    



PutTxt "--------------163. Mooka Yoga -------------"
  
set found       0
set ntext     139

rasi_navamsa_loop {

 set H2 2
 set H8 8

 set L2  [ HinduLordOfHouse   $H2 $rasi_nav  ]   
 set hL2 [ HinduHouseOfPlanet $L2 $rasi_nav  ]  
 set sH8 [SignOfHouse    $H8 $options_signs $rasi_nav -shsd]
  
 if { ($hL2 == $H8) && [conjunction $jupiter $L2 $rasi_nav] && (![IsOwnSignOrExaltation $jupiter $sH8]) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

} 


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    


PutTxt "--------------164. Netranasa Yoga -------------"
  
set found       0
set ntext     140

rasi_navamsa_loop {

 set H1  1
 set H2  2
 set H6  6
 set H10 10
 
 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   
 set hL2 [ HinduHouseOfPlanet $L2 $rasi_nav ]  

 set L6  [ HinduLordOfHouse   $H6 $rasi_nav ]   
 set hL6 [ HinduHouseOfPlanet $L6 $rasi_nav ]  

 set L10  [ HinduLordOfHouse   $H10 $rasi_nav  ]   
 set hL10 [ HinduHouseOfPlanet $L10 $rasi_nav  ]  

 if { ($hL2 == $H1) && ($hL6 == $H1) && ($hL10 == $H1) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
 
 if  { [IsDebilitated $L2 $rasi_nav] && [IsDebilitated $L6 $rasi_nav] && [IsDebilitated $L10 $rasi_nav] } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

} 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    


PutTxt "--------------165. Andha Yoga -------------"
  
set found       0
set ntext     141

rasi_navamsa_loop {

 set H1  1
 set H2  2
 
 set h_sun     [HinduHouseOfPlanet $sun     $rasi_nav ]
 set h_moon    [HinduHouseOfPlanet $moon    $rasi_nav ]
 set h_mercury [HinduHouseOfPlanet $mercury $rasi_nav ]
  
 if { ($h_moon == $H2) && ($h_mercury == $H2) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
 
 set L1  [ HinduLordOfHouse   $H1 $rasi_nav  ]   
 set hL1 [ HinduHouseOfPlanet $L1 $rasi_nav  ]  
 
 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   
 set hL2 [ HinduHouseOfPlanet $L2 $rasi_nav ]  

 
 if { ($hL1 == $H2) && ($hL2 == $H2) &&  ($h_sun == $H2) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
} 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    

PutTxt "--------------166.-167. Sumukha Yogas -------------"
  
set found       0
set ntext     142

rasi_navamsa_loop {
 
 set H2  2

 # combination 1
 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   
 set hL2 [ HinduHouseOfPlanet $L2 $rasi_nav ]  
 set sL2 [SignOfPlanet   $L2 $options_signs $rasi_nav]
 set lhL2 [ HinduLordOfHouse   $hL2 $rasi_nav ]   
 
 if { [ishousekendra $hL2] && ([IsAspectedByBenefic $L2 $rasi_nav]) } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }
 
 # combination 2
 if {  [HouseOccupiedByBenefic $H2 $rasi_nav $options_houses]} {
  PutTxt "Found combination 2 $rasi_nav_txt"
  set found 1
 } 

 # combination 3
 if { ([ishousekendra $hL2]) && ([IsOwnSignOrExaltation $L2 $sL2] || [ IsInFriendlySign $L2 $rasi_nav ]) } {
  if { [IsGopuramsa $lhL2] } {
   PutTxt "Found combination 3 $rasi_nav_txt"
   set found 1
  }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}    

PutTxt "--------------168.-169. Durmukha Yogas -------------"
  
set found       0
set ntext     143

rasi_navamsa_loop {

 set H2  2

 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   

 # combination 1
 if {  ( [HouseOccupiedByMalefic $H2 $rasi_nav $options_houses] ) && ( [ IsConjunctionWithMalefic $L2 $rasi_nav ] || [ IsDebilitated $L2 $rasi_nav ]) } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 } 
 
 # combination 2
 if { ( [GetQualityOfPlanet $L2 $rasi_nav] < 0 ) && ( [conjunction $L2 $gulika $rasi_nav] || [IsInUnFriendlySign $L2 -nav] || [ IsDebilitated $L2 -nav] )  &&   ( [IsConjunctionWithMalefic $L2 $rasi_nav]) } {
  PutTxt "Found combination 2 $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------170. Bhojana Soukhya Yoga -------------"
  
set found       0
set ntext     144

rasi_navamsa_loop {

 set H2  2
 
 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   
 
 if { [IsStrongPlanet $L2] && [IsVaishnavamsa $L2] && ( [HAspectedBy $L2 $jupiter] || [HAspectedBy $L2 $venus] ) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------171. Annadana Yoga -------------"
  
set found       0
set ntext     145

rasi_navamsa_loop {

 set H2  2

 set L2  [ HinduLordOfHouse   $H2 $rasi_nav ]   
 
 if { [IsVaishnavamsa $L2] && ( [ conjunctionoraspected $L2 $jupiter $rasi_nav] || [ conjunctionoraspected $L2 $mercury $rasi_nav ] ) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------172. Parannabhojana Yoga -------------"
  
set found       0
set ntext     146

rasi_navamsa_loop {

 set H2  2

 set L2  [ HinduLordOfHouse  $H2 $rasi_nav ]   


if {  ( [ IsDebilitated $L2 -nav] || [IsInUnFriendlySign $L2 -nav] ) } {
  
  for {set i 0 } {$i < [GetPlanetCount] } { incr i} {
   if  { [HAspectedBy $L2 $i $rasi_nav] && [IsDebilitated $i $rasi_nav] } {
     PutTxt "Found $rasi_nav_txt"
     set found 1
    }
  }
}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------173. Sraddhannabhuktha Yoga -------------"
  
set found       0
set ntext     147

rasi_navamsa_loop {

 set H2  2

 set L2  [ HinduLordOfHouse  $H2 $rasi_nav ]   
  
 if { ($L2 == $saturn) || ([conjunction $L2 $saturn $rasi_nav]) || ([ HouseAspectedByPlanet $H2 $saturn $rasi_nav -shsd ] && [IsDebilitated $saturn $rasi_nav]) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1 
 }  
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

# test
#for {set s 0} { $s < 12} {incr s} {
# for {set p 0} { $p < [GetPlanetCount] } {incr p} {
#  if { [SignAspectedByPlanet $s $p -rasi] } {
#   PutTxt "[NameOfSign $s] is aspected by [NameOfPlanet $p]"
#  }
# }
#}
#set house_dir "-shsd"
#set rasi_nav  "-nav"
#
#for {set h 1} { $h <= 12} {incr h} {
# for {set p 0} { $p < [GetPlanetCount] } {incr p} { 
#  if { [ HouseAspectedByPlanet $h $p $rasi_nav $house_dir ] } {
#  PutTxt "House $h is aspected by [NameOfPlanet $p]" 
#  }
# }
#}

PutTxt "--------------174. Sarpaganda Yoga -------------"
  
set found       0
set ntext     148

rasi_navamsa_loop {

 set H2  2
 
 set h_rahu  [ HinduHouseOfPlanet $rahu  $rasi_nav ]
 set h_mandi [ HinduHouseOfPlanet $mandi $rasi_nav ]
   
 if { ($h_mandi == $H2) && ($h_rahu == $H2)} {
  PutTxt "Found $rasi_nav_txt"
  set found 1 
 }  
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------175. Vakchalana Yoga -------------"
  
set found       0
set ntext     149

rasi_navamsa_loop {

 # not applicable in navamsa
 if {$current == 0 } {

 set H2  2

 set L2 [ HinduLordOfHouse $H2 $rasi_nav ]   
  
 if { ( [GetQualityOfPlanet $L2 $rasi_nav] < 0) && ( [IsInUnFriendlySign $L2 -nav] ) && ( ![HouseOccupiedByBenefic $L2 $rasi_nav $options_houses ] ) } {

  set ba 0
  # found if a benefic aspect the 2nd
  for {set p 0} { $p < [GetPlanetCount] } {incr p} { 
   if { [ HouseAspectedByPlanet $H2 $p $rasi_nav -shsd ] } {
    if { [GetQualityOfPlanet $p $rasi_nav] > 0 } {
     set ba 1 
    }
   }
  }
  
  if { $ba == 0 } { 
   PutTxt "Found $rasi_nav_txt"
   set found 1 
  }
   
 }

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------176. Vishaprayoga Yoga -------------"
  
set found       0
set ntext     150

rasi_navamsa_loop {

 set H2  2

 set L2 [ HinduLordOfHouse $H2 $rasi_nav ]   
  
 if { [ HouseOccupiedByMalefic $H2 $rasi_nav $options_houses ] && [ HouseAspectedByMalefic $H2 $rasi_nav -shsd ] &&  [ IsInUnFriendlySign $L2 -nav] &&  [ IsAspectedByMalefic $L2 $rasi_nav ] } {
  PutTxt "Found $rasi_nav_txt"
  set found 1 
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------177. Bhratruvriddhi  Yoga -------------"
  
set found       0
set ntext     151

rasi_navamsa_loop {

 set H3  3
 
 set L3 [ HinduLordOfHouse $H3 $rasi_nav ]   
  
 if { [ IsConjunctionWithBenefic $L3 $rasi_nav ] || [ IsAspectedByBenefic $L3 $rasi_nav ] } {
  if  { [IsStrongPlanet $L3] } {
   PutTxt "Found combination 1 $rasi_nav_txt with [NameOfPlanet $L3]"
   set found 1
  }
 }
  
 if { [ IsConjunctionWithBenefic $mars $rasi_nav ] || [ IsAspectedByBenefic $mars $rasi_nav ] } {
  if  { [IsStrongPlanet $mars] } {
   PutTxt "Found combination 2 $rasi_nav_txt with Mars"
   set found 1
  }
 } 
 
 if { [ HouseOccupiedByBenefic $H3 $rasi_nav $options_houses ] || [ HouseAspectedByBenefic $H3 $rasi_nav -shsd ] } {
  if  { [IsStrongPlanet $L3] } { 
   PutTxt "Found combination 3 $rasi_nav_txt with house 3 "
   set found 1 
  }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------178. Sodaranasa Yoga -------------"
  
set found       0
set ntext     152

rasi_navamsa_loop {

  set H3  3
  set H5  5
  set H7  7
  set H8  8
 
  set L3  [ HinduLordOfHouse   $H3 $rasi_nav ]   
  set hL3 [ HinduHouseOfPlanet $L3 $rasi_nav ]  

  set h_mars [ HinduHouseOfPlanet $mars  $rasi_nav ]  

  if { ( ($h_mars == $H8) && ($hL3 == $H8) ) || ( ($h_mars == $H5) && ($hL3 == $H5) ) || ( ($h_mars == $H7) && ($hL3 == $H7) ) } {
   PutTxt "Found $rasi_nav_txt"     
   set found 1
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------179. Ekabhagini Yoga -------------"
  
set found       0
set ntext     153

rasi_navamsa_loop {

  set H3  3
 
  set h_mercury [ HinduHouseOfPlanet $mercury $rasi_nav ]  
  set L3        [ HinduLordOfHouse   $H3 $rasi_nav]   
    
  if { ($h_mercury == $H3)&& ([conjunction $L3 $moon $rasi_nav]) && ([conjunction $moon $saturn $rasi_nav])} {
   PutTxt "Found $rasi_nav_txt"     
   set found 1
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------180. Dwadasa Sahodara Yoga -------------"
  
set found       0
set ntext     154

rasi_navamsa_loop {

 set H3  3

 set L3  [ HinduLordOfHouse   $H3 $rasi_nav  ]
 set hL3 [ HinduHouseOfPlanet $L3 $rasi_nav  ]
 
 if { [ IsExalted $mars $rasi_nav ] } {
  if { [ conjunction $mars $jupiter $rasi_nav ] } {
   if { [ ishousekendra $hL3 ] } {
    if { [trine $jupiter $L3 $rasi_nav] } {
     PutTxt "Found $ras_nav_txt"
    }
   }
  }
 }
 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------181. Sapthasankya Sahodara Yoga -------------"
  
set found       0
set ntext     155

rasi_navamsa_loop {

  set H3    3
  set H12  12
 

 set L12         [ HinduLordOfHouse   $H12     $rasi_nav ]   
 set h_moon      [ HinduHouseOfPlanet $moon    $rasi_nav ]
 set h_jupiter   [ HinduHouseOfPlanet $jupiter $rasi_nav ]  
  
 if { [conjunction $L12 $mars $rasi_nav] && ($h_moon == 3) && [conjunction $jupiter $moon $rasi_nav] } {
  if { (![ conjunction $moon $venus $rasi_nav ]) && (![HAspectedBy $moon $venus $rasi_nav]) } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
  } 
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------182. Parakrama Yoga -------------"
  
set found       0
set ntext     156

rasi_navamsa_loop {

  set H3    3
  set H12  12

 set L3 [ HinduLordOfHouse   $H3     $rasi_nav ]   
 
 if { ([IsInFriendlySign $L3 -nav]) && ( [IsAspectedByBenefic $L3 $rasi_nav] || [IsConjunctionWithBenefic $L3 $rasi_nav] ) && ([IsInFriendlySign $mars $rasi_nav]) } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }
 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------183. Yuddha Praveena Yoga -------------"
  
set found       0
set ntext     157

 set H3 3

 set L3     [ HinduLordOfHouse  $H3 -rasi ]   
 set navL3  [ SignOfPlanet  $L3 -nav $options_signs]
 set lnavL3 [LordOfSign $navL3]
 
 set nav_lnavL3  [ SignOfPlanet  $lnavL3 -nav $options_signs]
 set lnav_lnavL3 [LordOfSign $nav_lnavL3]
 
 #PutTxt "lnav_lnavL3 = [NameOfPlanet $lnav_lnavL3]"
 
 if { [IsDevalokamsa $lnav_lnavL3] } {
  PutTxt "Found rasi"
  set found 1
 }
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------184. Yuddhatpoorvadridhachitta Yoga -------------"
  
set found       0
set ntext     158

 set H3 3
 set rasi_nav "-rasi"

 set L3     [ HinduLordOfHouse  $H3 -rasi ]   
 set sL3    [ SignOfPlanet $L3 -rasi $options_signs]
 set nL3    [ SignOfPlanet $L3 -nav  $options_signs]
 
 if { [IsExalted $L3 -rasi] && [IsConjunctionWithMalefic $L3 -rasi] } {
  if { [ismovablesign $sL3] || [ismovablesign $nL3] } {
   PutTxt "Found rasi"
   set found 1
  }
 }
  
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  

PutTxt "--------------185. Yuddhatpaschaddrudha Yoga -------------"
  
set found       0
set ntext     159

 set H3 3
 set rasi_nav "-rasi"

 set L3          [ HinduLordOfHouse  $H3 -rasi ]   
 set sL3         [ SignOfPlanet $L3 -rasi $options_signs]
 set lsL3        [ LordOfSign $sL3 ]
 set nL3         [ SignOfPlanet $L3 -nav  $options_signs]
 set s_1_60_L3   [ FixSubOfPlanet 12 $L3 ]
 set l_s_1_60_L3 [ LordOfSign $s_1_60_L3 ]
 set fs          [GetFriendShip $L3 $l_s_1_60_L3 $rasi_nav]

 if { [isfixedsign $sL3] && [isfixedsign $nL3] && ( ($fs < 0) && ($fs >=-3) ) } {
  if { [IsDebilitated $lsL3 -rasi] } {
   PutTxt "Found rasi"
   set found 1 
  } 
 
 }
 
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"}  



PutTxt "--------------186. Satkathadisravana Yoga -------------"
  
set found       0
set ntext     160

rasi_navamsa_loop {

 set H3    3

 set L3  [ HinduLordOfHouse  $H3 $rasi_nav ]
 
 if { ( [GetQualityOfPlanet $L3 $rasi_nav] > 0 ) && ( [ HouseAspectedByBenefic $H3 $rasi_nav -shsd ] ) } {
 
 # find if the lord of 3 join a benefic amsa  
 for {set subdiv 0} {$subdiv < 13} {incr subdiv} {
   set sign_subdiv [ FixSubOfPlanet $subdiv $L3 ]
   set lord_sign_subdiv [LordOfSign $sign_subdiv]
   set q [GetQualityOfPlanet $lord_sign_subdiv $rasi_nav]
   
   if { $q > 0 } {
    set found 1
    PutTxt "Found $rasi_nav_txt"  
    break
   }
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------187 Uttama Griha Yoga -------------"
  
set found       0
set ntext     161

rasi_navamsa_loop {

 set H4    4
 
 set L4   [ HinduLordOfHouse   $H4 $rasi_nav ]  
 set hL4  [ HinduHouseOfPlanet $L4 $rasi_nav ] 
   
 if {  [IsConjunctionWithBenefic $L4 $rasi_nav] && [ishousethrikona $hL4] || [ ishousekendra $hL4 ] } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------188. Vichitra Saudha Prakara Yoga -------------"
  
set found       0
set ntext     162

rasi_navamsa_loop {

 set H4    4
 set H10  10
 
 set L4   [ HinduLordOfHouse   $H4  $rasi_nav ]  
 set L10  [ HinduLordOfHouse   $H10 $rasi_nav ]  
    
 if {   [conjunction $L4 $L10 $rasi_nav] } {
  if {  [conjunction $mars $saturn $rasi_nav] } {
   if {  [conjunction $L4 $saturn $rasi_nav] } {
    PutTxt "Found $rasi_nav_txt"
    set found 1
   }
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------189.-190. Ayatna Griha Prapta Yoga -------------"
  
set found       0
set ntext     163

rasi_navamsa_loop {

 set H1   1
 set H4   4
 set H7   7
 set H9   9
 
 set L1   [ HinduLordOfHouse   $H1 $rasi_nav ]  
 set hL1  [ HinduHouseOfPlanet $L1 $rasi_nav ] 
 
 set L4   [ HinduLordOfHouse   $H4  $rasi_nav ]  
 set sL4  [ SignOfPlanet  $L4  $rasi_nav $options_signs]
 
 set L7   [ HinduLordOfHouse   $H7 $rasi_nav ]  
 set hL7  [ HinduHouseOfPlanet $L7 $rasi_nav ] 

 set L9   [ HinduLordOfHouse   $H9 $rasi_nav ]  
 set hL9  [ HinduHouseOfPlanet $L9 $rasi_nav ] 
 
 # combination 1
 if { ( ($hL1 == $H1) && ($hL7 == $H1) ) } {
  if { ([IsAspectedByBenefic $L1 $rasi_nav]) || ([IsAspectedByBenefic $L7 $rasi_nav]) } {
   PutTxt "Found combination 1 house 1"
   set found 1
  }
 }
 
 if { ( ($hL1 == $H4) && ($hL7 == $H4) ) } {
  if { ([IsAspectedByBenefic $L1 $rasi_nav]) || ([IsAspectedByBenefic $L7 $rasi_nav]) } {
   PutTxt "Found combination 1 house 4"
   set found 1
  }
 }
 
 # combination 2
 if { [ishousekendra $hL9] && ( [IsOwnSignOrExaltation $L4 $sL4]  || [IsMoolathrikona $L4] ) } {
   PutTxt "Found combination 2"
   set found 1
 }
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------191.-192. Grihanasa Yogas -------------"
  
set found       0
set ntext     164

rasi_navamsa_loop {

 set H4    4
 set H12  12


 set L4   [ HinduLordOfHouse   $H4  $rasi_nav ]  
 set hL4  [ HinduHouseOfPlanet $L4  $rasi_nav ] 
 
 set nav_L4      [ SignOfPlanet $L4 -nav -fix ]
 set l_nav_L4    [ LordOfSign $nav_L4 ] 
 set h_l_nav_L4  [ HinduHouseOfPlanet $l_nav_L4  $rasi_nav ] 
 
 # PutTxt "l_nav_L4 = [NameOfPlanet $l_nav_L4] in house $h_l_nav_L4"
      
 # combination 1
 if { ($hL4 == $H12) } {
  if { [IsAspectedByMalefic $L4 $rasi_nav] } {
   PutTxt "Found $rasi_nav"
   set found 1
  }
 }
 
 # combination 2
 if {$current == 0} {
  if  { $h_l_nav_L4 == $H12} {
   PutTxt "Found $rasi_nav"
   set found 1
  }
  
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------193.-194. Bandhu Pujya Yogas -------------"
  
set found       0
set ntext     165

rasi_navamsa_loop {

 set H1    1
 set H4    4
 
 set L4   [ HinduLordOfHouse   $H4  $rasi_nav ]  
 set hL4  [ HinduHouseOfPlanet $L4  $rasi_nav ] 
 set h_mercury [ HinduHouseOfPlanet $mercury $rasi_nav ] 
 set h_jupiter [ HinduHouseOfPlanet $jupiter $rasi_nav ] 
     
 # combination 1
 if { ( [GetQualityOfPlanet $L4 $rasi_nav] > 0) && ([IsAspectedByBenefic $L4 $rasi_nav]) && ($h_mercury == $H1) } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }
 
 # combination 2
 if { ( [HouseAspectedByPlanet $H4 $jupiter $rasi_nav -shsd] || ($h_jupiter == $H4) ) } {
  PutTxt "Found combination 2 house $rasi_nav_txt"
  set found 1
 }
 
 if { [conjunctionoraspected $L4 $jupiter $rasi_nav] } {
  PutTxt "Found combination 2 lord $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

#test 
#for {set p 0} { $p < [GetPlanetCount] } {incr p} {
# PutTxt " [NameOfPlanet $p] Q = [GetQualityOfPlanet $p -rasi]"
# PutTxt " [NameOfPlanet $p] IsInShashtiamsaBene=[IsInShashtiamsaBene $p] IsInShashtiamsaMale=[IsInShashtiamsaMale $p] IsInShashtiamsaAmical=[IsInShashtiamsaAmical $p] IsInShashtiamsaInimical=[IsInShashtiamsaInimical $p] " 
#}

PutTxt "--------------195. Bandhubhisthyaktha Yoga -------------"
  
set found       0
set ntext     166

rasi_navamsa_loop {

 set H4    4
   
 
 set L4   [ HinduLordOfHouse  $H4  $rasi_nav ]  
 
 if { [IsConjunctionWithMalefic $L4 $rasi_nav] || [ IsInShashtiamsaMale $L4] || [IsInUnFriendlySign $L4 $rasi_nav] || [IsDebilitated $L4 $rasi_nav] } {
  PutTxt "Found $rasi_nav_txt"
  set found 1 
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------196.-197. Matrudeerghayur Yogas -------------"
  
set found       0
set ntext     167

rasi_navamsa_loop {

 set H4    4
 
 set L4   [ HinduLordOfHouse   $H4   $rasi_nav ]  
 set s1   [SignOfPlanet   $asc  $rasi_nav $options_signs]
  
 # combination 1
 if { [ HouseOccupiedByBenefic $H4 $rasi_nav $options_houses ] && [ IsExalted $L4 $rasi_nav ] && [ IsStrongPlanet $moon ] } {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }
 
 # combination 2
 set nav_L4      [ SignOfPlanet $L4 -nav -fix ]
 set l_nav_L4    [ LordOfSign $nav_L4 ] 
 set h_l_nav_L4  [ HinduHouseOfPlanet $l_nav_L4  $rasi_nav ]  
 
 if { [ishousekendra $h_l_nav_L4] && [ IsStrongPlanet $l_nav_L4 ] && ( $s1 == $cancer) } {
  PutTxt "Found combination 2 $rasi_nav_txt" 
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


# test
#for {set p 0} { $p < [GetPlanetCount] } { incr p} {
# set p_before [ NearestBeforePlanet $p ]
# set p_after [ NearestAfterPlanet  $p ]
# 
# PutTxt "Planet [NameOfPlanet $p] is after [NameOfPlanet $p_before] and before [NameOfPlanet $p_after]"
#}


PutTxt "--------------198.-199. Matrunasa Yogas -------------"
  
set found       0
set ntext     168

rasi_navamsa_loop {

  set H4 4
  set H6   6
  set H8   8
  set H12 12

  
 if { ($current == 0)} {
  
  # combination 1
  set p_before [ NearestBeforePlanet $moon ]
  set p_after [ NearestAfterPlanet  $moon ]
  set L4   [ HinduLordOfHouse   $H4   $rasi_nav ]  
 
  if { ([GetQualityOfPlanet $p_before $rasi_nav] < 0) && ([GetQualityOfPlanet $p_after $rasi_nav] < 0)  } {
   if { [IsConjunctionWithMalefic $moon $rasi_nav] || [IsAspectedByMalefic $moon $rasi_nav] } {
    PutTxt "Combination 1 Moon is hemmed in between malefics [NameOfPlanet $p_before] and [NameOfPlanet $p_after] and conjunction or aspected by malefics"  
    set found 1
   } 
  }
  
  # combination 2
  set nav_L4       [ SignOfPlanet $L4 -nav -fix ]
  set l_nav_L4     [ LordOfSign $nav_L4 ] 
  set nav_l_nav_L4 [ SignOfPlanet $l_nav_L4 -nav -fix ]
  set l_nav_l_nav_L4 [ LordOfSign $nav_l_nav_L4 ] 
 
  set h_l_nav_l_nav_L4 [ HinduHouseOfPlanet $l_nav_l_nav_L4  $rasi_nav ]  

  # PutTxt "lord=[NameOfPlanet $l_nav_l_nav_L4] in house $h_l_nav_l_nav_L4"

  if { ($h_l_nav_l_nav_L4 == $H6) || ($h_l_nav_l_nav_L4 == $H8) || ($h_l_nav_l_nav_L4 == $H12) } {
   PutTxt "Found combination 2 $rasi_nav_txt"
   set found 1
  }

 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------200. Matrugami Yoga -------------"
  
set found       0
set ntext     169

rasi_navamsa_loop {

  set H4 4
 
 set h_moon  [ HinduHouseOfPlanet $moon    $rasi_nav ]
 set h_venus [ HinduHouseOfPlanet $venus   $rasi_nav ]
 
 if { [ishousekendra $h_moon] || [ishousekendra $h_venus] } {
  if { ( ( [ IsAspectedByMalefic $moon $rasi_nav ] || [ IsConjunctionWithMalefic $moon $rasi_nav]) ) } {
   if { ( ( [ IsAspectedByMalefic $venus $rasi_nav ] || [ IsConjunctionWithMalefic $venus $rasi_nav]) ) } { 
    if { [HouseOccupiedByMalefic $H4 $rasi_nav $options_houses ] } {
     PutTxt "Found $rasi_nav_txt"
     set found 1
    }
   }
  }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 



PutTxt "--------------201. Sahodareesangama Yoga -------------"
  
set found       0
set ntext     170

rasi_navamsa_loop {

  set H4 4
  set H7 7
 
 set L7      [ HinduLordOfHouse   $H7      $rasi_nav ]  
 set hL7     [ HinduHouseOfPlanet $L7      $rasi_nav ]
 set h_venus [ HinduHouseOfPlanet $venus   $rasi_nav ]
 
 if { [conjunction $L7 $venus $rasi_nav] && ($hL7 == $H4) } {
  if { ( ([IsConjunctionWithMalefic  $L7 $rasi_nav] || [IsAspectedByMalefic $L7 $rasi_nav] || [IsInShashtiamsaMale $L7]  ) && ([IsConjunctionWithMalefic  $venus $rasi_nav] || [IsAspectedByMalefic $venus $rasi_nav] || [IsInShashtiamsaMale $venus]) )} {
    PutTxt "Found $rasi_nav_txt"
    set found 1  
   }   
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------202.-204. Kapata Yogas -------------"
  
set found       0
set ntext     171

rasi_navamsa_loop {

  set H4   4
  set H10 10
 
  set L4  [ HinduLordOfHouse   $H4  $rasi_nav  ] 
  set L10 [ HinduLordOfHouse   $H10 $rasi_nav  ] 
  
  set h_saturn [ HinduHouseOfPlanet $saturn  $rasi_nav ]
  set h_mars   [ HinduHouseOfPlanet $mars    $rasi_nav ]
  set h_rahu   [ HinduHouseOfPlanet $rahu    $rasi_nav ]
  set hL10     [ HinduHouseOfPlanet $L10     $rasi_nav ]

  # combination 1
  if { [HouseOccupiedByMalefic $H4 $rasi_nav $options_houses] && ([IsConjunctionWithMalefic $L4 $rasi_nav] || [IsAspectedByMalefic $L4 $rasi_nav] || [HemmedInBetweenMalefics $L4] ) } {
   PutTxt "Found combination 1 $rasi_nav_txt"
   set found 1
  }

 # combination 2
 if { ($h_saturn == $H4) &&  ($h_mars == $H4) && ($h_rahu == $H4)  && ($hL10 == $H4)} {
  if { ([GetQualityOfPlanet $L10 $rasi_nav] < 0) && [IsAspectedByMalefic $L10 $rasi_nav] } {
   PutTxt "Found combination 2 $rasi_nav_txt"
   set found 1 
  } 
 }

 # combination 3
 if { [conjunction $L4 $saturn $rasi_nav ] && [conjunction $L4 $mandi $rasi_nav ] && [conjunction $L4 $rahu $rasi_nav ] } {
  if { [IsAspectedByMalefic $L4 $rasi_nav]} {
   PutTxt "Found combination 3 $rasi_nav_txt"
   set found 1
  }
 }
 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------205.-206. Nishkapata Yogas -------------"
  
set found       0
set ntext     172

rasi_navamsa_loop {

 set H1   1
 set H4   4

 set L4   [ HinduLordOfHouse   $H4 $rasi_nav   ]
 set L1   [ HinduLordOfHouse   $H1 $rasi_nav   ]
 set hL1  [ HinduHouseOfPlanet  $L1 $rasi_nav  ]
 
 # combination 1 
 if { [HouseOccupiedByBenefic $H4 $rasi_nav $options_houses ] || [HouseOccupiedByExalted $H4 $rasi_nav $options_houses ] || [HouseOccupiedByOwn $H4 $rasi_nav $options_houses] || ([GetQualityOfPlanet $L10 $rasi_nav] > 0)} {
  PutTxt "Found combination 1 $rasi_nav_txt"
  set found 1
 }

 # combination 2
 if { ($hL1 == $H4) && ([IsAspectedByBenefic $L1 $rasi_nav] || [IsConjunctionWithBenefic $L1 $rasi_nav] || [IsParvatamsa $L1] || [IsUttamamsa $L1]  ) } {
  PutTxt "Found combination 2 $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------207. Matru Satrutwa Yoga -------------"
  
set found       0
set ntext     173

rasi_navamsa_loop {

 set H1   1
 set H4   4
 
 
 set L1   [ HinduLordOfHouse  $H1 $rasi_nav ]  
 set L4   [ HinduLordOfHouse  $H4 $rasi_nav ]  
  
 
 if { ($L1==$L4) && ($L1 == $mercury) } {
  if { [IsConjunctionWithMalefic $mercury $rasi_nav] || [IsAspectedByMalefic $mercury $rasi_nav] } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
  }
 }
  

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------208. Matru Sneha Yoga -------------"
  
set found       0
set ntext     174

rasi_navamsa_loop {

  set H1   1
  set H4   4
 
 
 set L1   [ HinduLordOfHouse   $H1 $rasi_nav  ]  
 set L4   [ HinduLordOfHouse   $H4 $rasi_nav  ]  
 set fs_L1_L4   [GetFriendShip    $L1 $L4 $rasi_nav]
 set fs_L4_L1   [GetFriendShip    $L4 $L1 $rasi_nav]  
 
 if { ($L1==$L4)  || ( ($fs_L1_L4 > 0) && ($fs_L4_L1  > 0) ) || ( ([IsAspectedByBenefic $L1 $rasi_nav]) && ([IsAspectedByBenefic $L4 $rasi_nav]) ) } {
   PutTxt "Found $rasi_nav_txt"
   set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------209.-210. Vahana Yogas -------------"
  
set found       0
set ntext     175

rasi_navamsa_loop {

  set H1   1
  set H4   4
  set H9   9
  set h11 11 

 
 set L1    [ HinduLordOfHouse     $H1 $rasi_nav ]  
 set hL1   [ HinduHouseOfPlanet   $L1 $rasi_nav ] 
 set L4    [ HinduLordOfHouse     $H4 $rasi_nav ]  
 set sL4   [SignOfPlanet $L4  $rasi_nav $options_signs]
 set lsL4  [ LordOfSign $sL4]
 set hlsL4 [HinduHouseOfPlanet $lsL4 $rasi_nav] 
   
 # combination 1
 if { ($hL1 == $H4) || ($hL1 == $H9) || ($hL1 == $H11) } {
   PutTxt "Found combination 1 $rasi_nav_txt"
   set found 1
 }

 # combination 2
 if { ([IsExalted $L4 $rasi_nav]) && ( ([ishousethrikona $hlsL4]) || ([ishousekendra $hlsL4]) ) } {
  PutTxt "Found combination 2 $rasi_nav_txt" 
  set found 1
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------211. Anapathya Yoga -------------"
  
set found       0
set ntext     176

rasi_navamsa_loop {

 set H1   1
 set H5   5
 set H7   7
 
 set L1    [ HinduLordOfHouse  $H1 $rasi_nav ] 
 set L5    [ HinduLordOfHouse  $H5 $rasi_nav ]   
 set L7    [ HinduLordOfHouse  $H7 $rasi_nav ]  
 
 if { [IsWeakPlanet $L1] && [IsWeakPlanet $L5] && [IsWeakPlanet $L7] && [IsWeakPlanet $jupiter] } {
  PutTxt "Found $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 212-215. Sarpasapa Yogas -------------"

set found       0
set ntext     177

rasi_navamsa_loop {

  set H5   5
  set H1   1
 
  # 212.
  set L5  [ HinduLordOfHouse  $H5 $rasi_nav ]    
  if { $L5 == $mars } {
  	if { $H5 == [HinduHouseOfPlanet $rahu $rasi_nav] } {
  	 	if { [HAspectedBy $rahu $mars $rasi_nav] } {
  	 	
  	 	 PutTxt "Found 212."
  	 	 set found 1
  	 	}
  	 }
  }

  # 213.
  if { $H5 == [HinduHouseOfPlanet $saturn $rasi_nav] } {
   if { [ conjunctionoraspected $saturn $moon $rasi_nav ] } {
    if { [ conjunction $L5 $rahu $rasi_nav ] } {
  	 	
  	 	 PutTxt "Found 213."
  	 	 set found 1
     
    }
   }
  }

  # 214.
  if { [ combined $jupiter $mars $rasi_nav ] } {
   if { $H1 == [HinduHouseOfPlanet $rahu $rasi_nav] } {
  	
  	set h_l5  [HinduHouseOfPlanet $L5 $rasi_nav]
  	
  	if {$h_l5 == 6 || $h_l5 == 8 || $h_l5 == 12 } {
  	  PutTxt "Found 214."
  	  set found 1
     }
   }
  }

 # 215 
  if { $L5 == $mars } {
   if { $H5 == [HinduHouseOfPlanet $rahu $rasi_nav] } {
    if { [ combined $rahu $mercury $rasi_nav ] } {
     PutTxt "Found 215."              
    }
   }
  }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 216. Pitrusapa Sutakshaya Yoga -------------"

set found       0
set ntext     178
set H5         5

rasi_navamsa_loop {
	
	 if { $H5 == [HinduHouseOfPlanet $sun $rasi_nav] } {
	  
	  set sSun [SignOfPlanet $sun $rasi_nav $options_signs] 
	  if { $sSun == $libra || $sSun == $capricornus || $sSun == $aquarius  || [HemmedInBetweenMalefics $sun] } {
	   PutTxt "Found in $rasi_nav_txt"	
	   set found 1
	  	
	  }
	 }
	
}	

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------217. Matrusapa Sutakshaya Yoga -------------"

set found       0
set ntext     179
set H8         8
set H5         5
set H4         4
set H6         6

rasi_navamsa_loop {
	
set L8  [ HinduLordOfHouse  $H8 $rasi_nav ]   
set L5  [ HinduLordOfHouse  $H5 $rasi_nav ] 
set L4  [ HinduLordOfHouse  $H4 $rasi_nav ] 	
	
set h_L8 	 [HinduHouseOfPlanet $L8 $rasi_nav]
set h_L5 	 [HinduHouseOfPlanet $L5 $rasi_nav]
set h_L4   [HinduHouseOfPlanet $L4 $rasi_nav]

 if {$h_L8 == $H5 && $h_L5 == $H8} {

  if { [conjunction $moon $L4 $rasi_nav] && $h_L4 == $H6 } {
   PutTxt "Found $rasi_nav_txt"
   set found 1  
  }
 }
}	

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------218. Bhratrusapa Sutakshaya Yoga -------------"

set found       0
set ntext     180

set H1         1
set H3         3
set H5         5
set H8         8

rasi_navamsa_loop {
	
set L1  [ HinduLordOfHouse  $H1 $rasi_nav  ]   
set L3  [ HinduLordOfHouse  $H3 $rasi_nav  ]   
set L5  [ HinduLordOfHouse  $H5 $rasi_nav  ] 

set h_L1 	 [HinduHouseOfPlanet $L1 $rasi_nav]
set h_L5 	 [HinduHouseOfPlanet $L5 $rasi_nav]
set h_mars	 [HinduHouseOfPlanet $mars $rasi_nav]

 if {$h_L1 == $H8 && $h_L5 == $H8} {

  if { [conjunction $mars $rahu $rasi_nav] && [conjunction $L3 $mars $rasi_nav] && $h_mars == $H5 } {
   PutTxt "Found $rasi_nav_txt"
   set found 1  
  }
 }
}	

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------219. Pretasapa Yoga -------------"

set found       0
set ntext     181

rasi_navamsa_loop {

 set h_sun	   [HinduHouseOfPlanet $sun $rasi_nav]
 set h_saturn  [HinduHouseOfPlanet $saturn $rasi_nav]
 set h_moon    [HinduHouseOfPlanet $saturn $rasi_nav]
 set h_rahu    [HinduHouseOfPlanet $rahu $rasi_nav]
 set h_jupiter [HinduHouseOfPlanet $jupiter $rasi_nav]

if { $h_sun == 5 && $h_saturn == 5 && $h_moon == 7 && $h_rahu == 1 && $h_jupiter == 12 && [ IsWeakPlanet $moon ] } {
	
	 PutTxt "Found $rasi_nav_txt"
	}

}	

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------220-221. Bahuputras Yogas -------------"

set found       0
set ntext     182

#220
set h_rahu     [HinduHouseOfPlanet $rahu -rasi]
set nav_rahu   [SignOfPlanet $rahu -nav -fix]
set l_nav_rahu [LordOfSign $nav_rahu]

if { $h_rahu == 5 && $l_nav_rahu != $saturn } {
	 PutTxt "Found 220 rasi"
   set found 1

 }

#221 rasi nav loop
rasi_navamsa_loop {
 
 set L7  [ HinduLordOfHouse  7 $rasi_nav  ]  
 set L5  [ HinduLordOfHouse  5 $rasi_nav  ]  
 set h_L7 	 [HinduHouseOfPlanet $L7 $rasi_nav]
 set h_mars  [HinduHouseOfPlanet $mars $rasi_nav]
 set h_saturn [HinduHouseOfPlanet $saturn $rasi_nav]

 if {  $h_L7 == 11 &&  [IsConjunctionWithBenefic $L5 $rasi_nav] && ( $h_mars == 5 || $h_saturn == 5 ) }  { 
	 PutTxt "Found 221 rasi"
   set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------222-223.  Dattaputra  Yogas -------------"

set found       0
set ntext     183

rasi_navamsa_loop {

 set L1       [ HinduLordOfHouse  1 $rasi_nav  ]  
 set L5       [ HinduLordOfHouse  5 $rasi_nav  ]  
 set L7       [ HinduLordOfHouse  7 $rasi_nav  ] 
 set h_mars   [ HinduHouseOfPlanet $mars $rasi_nav ]
 set h_saturn [ HinduHouseOfPlanet $saturn $rasi_nav ]
 set s_L1     [ SignOfPlanet $L1 $rasi_nav $options_signs ]
 set h_L7     [ HinduHouseOfPlanet $L7 $rasi_nav ]

 #222
 if { $h_mars == 5 && $h_saturn == 5 && ($s_L1 == $gemini || $s_L1 == $virgo) && [combined $mercury $L1 $rasi_nav ]  } { 
	 PutTxt "Found 222 $rasi_nav_txt"
	 set found 1
 } 

 #223
 if { $h_L7 == 11 && [IsConjunctionWithBenefic $L5 $rasi_nav] && ($h_mars == 5 || $h_saturn == 5 )} {
   PutTxt "Found 223 $rasi_nav_txt"
	 set found 1
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------224. Aputra Yoga -------------"

set found       0
set ntext     184

rasi_navamsa_loop {
 
  set L5       [ HinduLordOfHouse  5 $rasi_nav  ] 
  set h_L5     [ HinduHouseOfPlanet $L5 $rasi_nav ]

 if { $h_L5 == 6 || $h_L5 == 8 || $h_L5 == 12 } {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------225. Ekaputra Yoga -------------"

set found       0
set ntext     185

rasi_navamsa_loop {
 
  set L5       [ HinduLordOfHouse  5 $rasi_nav  ] 
  set h_L5     [ HinduHouseOfPlanet $L5 $rasi_nav ]

 if { $h_L5 == 1 || $h_L5 == 4 || $h_L5 == 7 || $h_L5 == 10 || $h_L5 == 5 || $h_L5 == 9  } {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------226. Suputra Yoga -------------"

set found       0
set ntext     186

rasi_navamsa_loop {
 
  set L5       [ HinduLordOfHouse  5 $rasi_nav  ] 
  set s_sun    [ SignOfPlanet  $sun $rasi_nav $options_signs]
  
    
  if { $L5 == $jupiter && ( $s_sun == $aries || $s_sun == $leo || [IsAspectedByBenefic $sun $rasi_nav] ) } {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------227-228. Kalanirdesat Putra Yogas -------------"

set found       0
set ntext     187

rasi_navamsa_loop {
 
 #227
 set h_jupiter [ HinduHouseOfPlanet $jupiter $rasi_nav ]
 set h_venus   [ HinduHouseOfPlanet $venus $rasi_nav ]
 set L5        [ HinduLordOfHouse  5 $rasi_nav  ]  
 set L1        [ HinduLordOfHouse  1 $rasi_nav  ] 
 
 if { $h_jupiter == 5 && [conjunction $L5 $venus $rasi_nav] } {
  PutTxt "Found 227 $rasi_nav_txt"
  set found 1
 }
  
 #228 
 if { $h_jupiter == 9 && $h_venus == 5 && [conjunction $L1 $venus $rasi_nav ] } { 
  PutTxt "Found 228 $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------229-230. Kalanirdesat Putranasa Yogas -------------"

set found       0
set ntext     188

set found_male_5_j 0
set found_male_5_a 0


rasi_navamsa_loop {
 
 set h_rahu  [ HinduHouseOfPlanet $rahu $rasi_nav ] 
 set L5        [ HinduLordOfHouse  5 $rasi_nav  ]  

 set s_5_j   [SignOfPlanet $jupiter $rasi_nav $options_signs]
 set s_5_j   [expr $s_5_j + 4 ]
 set s_5_j   [to011 $s_5_j]
 
 set s_5_a   [SignOfPlanet $asc $rasi_nav $options_signs]
 set s_5_a   [expr $s_5_a + 4 ]
 set s_5_a   [to011 $s_5_a]
 

 #229
 if {$h_rahu == 5 &&  [IsConjunctionWithMalefic $L5 $rasi_nav] && [IsDebilitated $jupiter $rasi_nav]} {
   PutTxt "Found 229 $rasi_nav_txt"
   set found 1
 }

 #230 
 foreach  {p} {0 1 2 3 4 5 6 9 10 } {  
  set q [GetQualityOfPlanet $p $rasi_nav]
  set h_p  [ HinduHouseOfPlanet $p $rasi_nav ] 
  if {$h_p == $s_5_j && $q < 0 } { set found_male_5_j 1}
  if {$h_p == $s_5_a && $q < 0 } { set found_male_5_a 1}
 } 

 if {$found_male_5_j == 1 && $found_male_5_a == 1 } {
 	 PutTxt "Found 230 $rasi_nav_txt" 
 	 set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 231. Buddhimaturya Yoga -------------"

set found       0
set ntext     189


rasi_navamsa_loop {
	
	set L5    [ HinduLordOfHouse  5 $rasi_nav  ]  
  set q     [ GetQualityOfPlanet $L5 $rasi_nav ]
  set s_L5  [ SignOfPlanet $L5 $rasi_nav $options_signs ]
  set l_s_L5 [LordOfSign $s_L5]
  set q_l_s_L5 [ GetQualityOfPlanet $l_s_L5 $rasi_nav ]
	
	if {$q > 0 &&  ( [IsAspectedByBenefic $L5 $rasi_nav ] || $q_l_s_L5 >  0) } { 
   PutTxt "Found $rasi_nav_txt"
   set found 1
  }
	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 232. Theevrabuddhi Yoga -------------"

set found       0
set ntext     190

set L5    [ HinduLordOfHouse  5 -rasi  ]
set q     [ GetQualityOfPlanet $L5 -rasi ]
set n_L5  [ SignOfPlanet $L5 -nav $options_signs ]
set l_n_L5 [LordOfSign $n_L5]

if { [IsAspectedByBenefic $l_n_L5 -rasi] && $q > 0 } {
 PutTxt "Found rasi"
 set found 1	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 233. Buddhi Jada Yoga -------------"

set found       0
set ntext     191


rasi_navamsa_loop {
	
	set L1       [ HinduLordOfHouse  1 $rasi_nav  ]  
  set h_saturn [ HinduHouseOfPlanet $saturn $rasi_nav ]     

  if { [IsAspectedByMalefic $L1 $rasi_nav] || [IsConjunctionWithMalefic $L1 $rasi_nav] } {
   if {$h_saturn == 5} {
  	if { [HAspectedBy $L1 $saturn $rasi_nav] } {
  	 PutTxt "Found $rasi_nav_txt"
  	 set found 1
  	}
   }
  }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 234. Thrikalagnana Yoga -------------"

set found       0
set ntext     192

set L [LongOfPlanet $jupiter -fix]

if { ($L >= 69.0 && $L <= 69.5 ) || ($L >= 189.0 && $L <= 189.5 ) || ($L >= 309.0 && $L <= 309.5 )  } {
 set found 1
}

if { [IsGopuramsa $jupiter] } {
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 235. Putra Sukha Yoga -------------"

set found       0
set ntext     193

rasi_navamsa_loop {

 set h_jupiter [ HinduHouseOfPlanet $jupiter $rasi_nav ]   
 set h_venus   [ HinduHouseOfPlanet $venus   $rasi_nav ]   
 set h_mercury [ HinduHouseOfPlanet $mercury $rasi_nav ] 
 
 set SH5       [ SignOfHouse 5 -shsd  -fix $rasi_nav ]
 set L_SH5     [ LordOfSign $SH5]
 set q         [ GetQualityOfPlanet $L_SH5 $rasi_nav ]

 if { [HouseOccupiedByBenefic 5 $rasi_nav -shsd ] || $q > 0 || ($h_jupiter == 5 && $h_venus == 5) || $h_mercury == 5  } {

  PutTxt "Found $rasi_nav_txt"
  set found 1 

 }
 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 236. Jara Yoga -------------"

set found       0
set ntext     194

rasi_navamsa_loop {

  set L2       [ HinduLordOfHouse  2 $rasi_nav  ]  
  set L7       [ HinduLordOfHouse  7 $rasi_nav  ]  
  set L10      [ HinduLordOfHouse  10 $rasi_nav ]  
 
  set h_L2  [ HinduHouseOfPlanet $L2  $rasi_nav ] 
  set h_L7  [ HinduHouseOfPlanet $L7  $rasi_nav ] 
  set h_L10 [ HinduHouseOfPlanet $L10 $rasi_nav ] 
 
  if {$h_L2 ==10 && $h_L7 == 10 && $h_L10 == 10} {
  	PutTxt "Found $rasi_nav_txt"
    set found 1
  } 
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 237. Jarajaputra Yoga -------------"

set found       0
set ntext     195

rasi_navamsa_loop {

 set L5       [ HinduLordOfHouse  5 $rasi_nav  ]  
 set L7       [ HinduLordOfHouse  7 $rasi_nav  ]  
 set L6       [ HinduLordOfHouse  6 $rasi_nav  ]  

 if { [IsStrongPlanet $L5] && [IsStrongPlanet $L7] } {
  if { [conjunction $L5 $L6 $rasi_nav] && [conjunction $L5 $L7 $rasi_nav] } {
   if {[IsAspectedByBenefic $L6 $rasi_nav]} {
     PutTxt "Found $rasi_nav_txt"
     set found 1
   }	
  }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 238. Bahu Stree Yoga -------------"

set found       0
set ntext     196

rasi_navamsa_loop {

   set L1       [ HinduLordOfHouse  1 $rasi_nav  ]   
   set L7       [ HinduLordOfHouse  7 $rasi_nav  ]  

   if { [ conjunction $L1 $L7 $rasi_nav ] || ( [HAspectedBy $L1 $L7 $rasi_nav] && [HAspectedBy $L7 $L1 $rasi_nav] ) } {
    PutTxt "Found $rasi_nav_txt"
    set found 1
   }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 239. Satkalatra Yoga  -------------"

set found       0
set ntext     197

rasi_navamsa_loop {
 
 set L7       [ HinduLordOfHouse  7 $rasi_nav  ]  

 if { [HAspectedBy $L7 $jupiter $rasi_nav] || [HAspectedBy $L7 $mercury $rasi_nav] } {
 	 PutTxt "Found Lord 7 aspected by jupiter or mercury $rasi_nav_txt"
 	 set found 1
 	}

 if { [conjunction $L7 $jupiter $rasi_nav] || [conjunction $L7 $mercury $rasi_nav] } {
 	PutTxt "Found Lord 7 conjunction jupiter or mercury $rasi_nav_txt"
 	 set found 1
 	}

 if { [HAspectedBy $venus $jupiter $rasi_nav] || [HAspectedBy $venus $mercury $rasi_nav] } {
 	 PutTxt "Found venus aspected by jupiter or mercury $rasi_nav_txt"
 	 set found 1
 	}

 if { [conjunction $venus $jupiter $rasi_nav] || [conjunction $venus $mercury $rasi_nav] } {
 	 PutTxt "Found venus conjunction jupiter or mercury $rasi_nav_txt"
 	 set found 1
 	}


}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 240. Bhaga Chumbana  Yoga  -------------"

set found       0
set ntext     198

rasi_navamsa_loop {

  set L7       [ HinduLordOfHouse  7 $rasi_nav  ]
  set h_L7     [ HinduHouseOfPlanet $L7 $rasi_nav ]  

  if { $h_L7 == 4 && [conjunction $L7 $venus $rasi_nav]} {
   PutTxt "Found $rasi_nav_txt"
   set found   1	
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 241. Bhagya Yoga -------------"

set found       0
set ntext     199

rasi_navamsa_loop {

 foreach  {p} {0 1 2 3 4 5 6 9 10 } {  
  set q [GetQualityOfPlanet $p $rasi_nav]
  set h_p  [ HinduHouseOfPlanet $p $rasi_nav ] 
  
  if { ($h_p == 1  || $h_p == 3 || $h_p == 5) && $q > 0 && [IsStrongPlanet $p]  } {
  	
     set S1 [SignOfHouse 1 -shsd -fix $rasi_nav]
     set S9 [expr $S1 + 8]
     set S9  [to011 $S9]
    
     if { [SignAspectedByPlanet $S9 $p $rasi_nav] } {
     	
      PutTxt "Planet [NameOfPlanet $p] in house $h_p benefic strong aspecting house 9 th from Lagna in $rasi_nav_txt"
      set found 1
     }
  
  	}
  
 } 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 242. Jananatpurvam Pitru Marana Yoga -------------"

set found       0
set ntext     200

rasi_navamsa_loop {

 set h_sun  [ HinduHouseOfPlanet $sun $rasi_nav ] 
 
 set L8       [ HinduLordOfHouse  8 $rasi_nav  ]
 set h_L8     [ HinduHouseOfPlanet $L8 $rasi_nav ]  

 set L12      [ HinduLordOfHouse  12 $rasi_nav  ]
 set h_L12     [ HinduHouseOfPlanet $L12 $rasi_nav ] 

 set L6      [ HinduLordOfHouse  6 $rasi_nav  ]
 set h_L6    [ HinduHouseOfPlanet $L6 $rasi_nav ] 

if { ($h_sun == 6 || $h_sun == 8 || $h_sun == 12) && ($h_L8 == 9) && ($h_L12 == 1) && ($h_L6 == 5) } {
   PutTxt "Found in $rasi_nav_txt"
   set found 1
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 243. Dhatrutwa Yoga -------------"

set found       0
set ntext     201

rasi_navamsa_loop {

 set L9  [ HinduLordOfHouse  9 $rasi_nav  ]

 if { [IsExalted $L9 $rasi_nav] && [IsAspectedByBenefic $L9 $rasi_nav] } {
 
  foreach  {p} {0 1 2 3 4 5 6 9 10 } { 
   
   set h_p [ HinduHouseOfPlanet $p $rasi_nav ]
   if { $h_p == 9} {
   	 PutTxt "Found $rasi_nav_txt"
   	 set found 1
   	}
  }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 244. Apakeerti Yoga -------------"

set found       0
set ntext     202

rasi_navamsa_loop {

 set h_sun     [ HinduHouseOfPlanet $sun    $rasi_nav ] 
 set h_saturn  [ HinduHouseOfPlanet $saturn $rasi_nav ] 

 set L_h_sun       [ HinduLordOfHouse   $h_sun      $rasi_nav  ]
 set q_L_h_sun     [ GetQualityOfPlanet $L_h_sun    $rasi_nav  ]
 
 set L_h_saturn    [ HinduLordOfHouse   $h_saturn   $rasi_nav  ]
 set q_L_h_saturn  [ GetQualityOfPlanet $L_h_saturn $rasi_nav  ]

 if { $h_sun == 10 && $h_saturn == 10  } {
 	 
 	 if { ( $q_L_h_sun < 0  && $q_L_h_saturn < 0 ) || ( [IsAspectedByMalefic $sun $rasi_nav] && [IsAspectedByMalefic $saturn $rasi_nav]  ) } {
  	
  	PutTxt "Found $rasi_nav_txt"
  	set found 1
   
   }	
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 245. Raja Yogas -------------"

set found       0
set ntext     203

rasi_navamsa_loop {

  set cpt 0
 
  foreach  {p} {0 1 2 3 4 5 6 9 10 } { 
   
    if { [IsHome $p $rasi_nav] || [IsExalted $p $rasi_nav] } {
   
     set nh [ HinduHouseOfPlanet $p $rasi_nav ] 
   
      if { [ishousekendra $nh] } {
      	
      	incr cpt
      	
      }
   
    }
  
  }
 
 if {$cpt >= 3} {
 	 PutTxt "Found in $rasi_nav_txt"
 	 set found 1
 	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 246. Raja Yogas -------------"

set found       0
set ntext     204

rasi_navamsa_loop {

   
  foreach  {p} { 1 2 3 4 5 6 9 10 } { 
   
    if { [IsDebilitated $p $rasi_nav] } {
   
     set lon_sun [LongOfPlanet $sun -fix]  
     set lon_p   [LongOfPlanet   $p -fix]
    
     set diff     [expr $lon_sun - $lon_p]
     set diff    [ ToZ360 $diff ] 
    
     set h_p     [ HinduHouseOfPlanet $p    $rasi_nav ] 
    
     if { ($diff > 10 || $diff < 350) || [PlanetIsRetro $p] || ($h_p != 6 && $h_p !=8 && $h_p != 12 ) } {
      
       PutTxt "Found $rasi_nav_txt"
       set found 1
    
     }
    
    }
  
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 247. Raja Yogas -------------"

set found       0
set ntext     205

rasi_navamsa_loop {

  set cpt 0
  
  set h_mercury  [ HinduHouseOfPlanet $mercury  $rasi_nav ]  
  set h_jupiter  [ HinduHouseOfPlanet $jupiter  $rasi_nav ]  

  set h_mars     [ HinduHouseOfPlanet $mars     $rasi_nav ]  
  set h_sun      [ HinduHouseOfPlanet $sun      $rasi_nav ]  

  set h_saturn   [ HinduHouseOfPlanet $saturn    $rasi_nav ]  
  
  set h_moon     [ HinduHouseOfPlanet $moon      $rasi_nav ]  
  set h_venus    [ HinduHouseOfPlanet $venus     $rasi_nav ]  

 if {$h_mercury == 1} {incr cpt}
 if {$h_jupiter == 1} {incr cpt}
 
 if {$h_mars == 10} {incr cpt}
 if {$h_sun  == 10} {incr cpt}
 
 if {$h_saturn == 7} {incr cpt}
 
 if {$h_moon  == 4} {incr cpt}
 if {$h_venus == 4} {incr cpt}
 
 
 if {$cpt >=2} {
 	
 	 PutTxt "Found $cpt times in $rasi_nav_txt"
 	 set found 1
 	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 248.-250. Raja Yogas -------------"

set found       0
set ntext     206

#248
rasi_navamsa_loop {

   set cpt 0
   set S1 [SignOfPlanet $asc $rasi_nav -fix]
   set s_venus [SignOfPlanet $venus $rasi_nav -fix]

   if {$S1 == $aquarius && $s_venus == $aquarius } {

    foreach  {p} { 0 1 2 3 4 5 6 9 10 } { 
   
      if { [IsExalted $p $rasi_nav] && ![IsInNavamsaMale $p] && ![IsInShashtiamsaMale $p] } {
        incr cpt
      }
    
    }

    if {$cpt >=4} {
     PutTxt "Found combination 1 $rasi_nav_txt"
     set found 1	
    }

   }
}

#249

rasi_navamsa_loop {

   set h_moon    [ HinduHouseOfPlanet $moon    $rasi_nav ]  
   set h_jupiter [ HinduHouseOfPlanet $jupiter $rasi_nav ]  
   set h_venus   [ HinduHouseOfPlanet $venus  $rasi_nav ]  
   set s_saturn  [ SignOfPlanet $saturn $rasi_nav -fix ]
      
   if {$h_moon == 1 && $h_jupiter == 4 && $h_venus == 10 && [IsOwnSignOrExaltation $saturn $s_saturn ] } {
   	 PutTxt "Found combination 2 $rasi_nav_txt"
   	 set found 1
 	
   	}

}

#250

rasi_navamsa_loop {

   foreach  {p} { 0 1 2 3 4 5 6 9 10 } { 
  
    set s_p  [ SignOfPlanet $p $rasi_nav -fix ]
  
     if { [IsDebilitated $p $rasi_nav] } {
  
      set e [ ExaltedPlanet $s_p ]
      if {$e >=0} { 
        set s_e [ SignOfPlanet $e $rasi_nav -fix ]
      } else {
        set s_e -1
      }
            
      set l [ LordOfSign $s_p]
      set s_l [ SignOfPlanet $l $rasi_nav -fix ]
      
      set s_moon [ SignOfPlanet $moon $rasi_nav -fix ]
      set s_asc  [ SignOfPlanet $asc  $rasi_nav -fix ]
      
      if {$s_e >=0} {
      	if { [iskendra $s_asc $s_e] || [iskendra $s_moon $s_e]  } {
         PutTxt "Found combination 3 in $rasi_nav_txt"
          set found 1
         }
      	}
      
      if { [iskendra $s_asc $s_l] || [iskendra $s_moon $s_l]  } {
       PutTxt "Found combination 3 in $rasi_nav_txt"
       set found 1
      }
   
    }
   }  

}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "-------------- 251.-253. Raja Yogas -------------"

set found       0
set ntext     207

#251
rasi_navamsa_loop {

  set h_moon    [ HinduHouseOfPlanet $moon  $rasi_nav ]  

  if {($h_moon == 4 || $h_moon == 7 || $h_moon == 10) && [HAspectedBy $moon $jupiter $rasi_nav] && [IsStrongPlanet $moon] } {
  
   PutTxt "Found combination 1 in $rasi_nav_txt"
   set found 1
  
  }

}

#252

 set found_bis 0
 foreach  {p} { 0 1 2 3 4 5 6 9 10 } { 
  
   set s_p  [ SignOfPlanet $p -rasi -fix ]
   set n_p  [ SignOfPlanet $p -nav -fix ]
  
   if { [IsDebilitated $p -rasi] } {
   	
   	if {	 [IsExalted $p -nav] } {
   		
   	  	set found_bis 1
   		
   	} else {
   		  set found_bis 0
   		}
   }


}

if {$found_bis == 1} {
 PutTxt "Fond combination 2"
 set found 1
}

#253
rasi_navamsa_loop {

  set h_jupiter [ HinduHouseOfPlanet $jupiter  $rasi_nav ]  
  set h_mercury [ HinduHouseOfPlanet $mercury  $rasi_nav ]  
  
  set L9   [ HinduLordOfHouse    9 $rasi_nav  ]
  set L11  [ HinduLordOfHouse   11 $rasi_nav  ]

  if {$h_jupiter == 1 && [ishousekendra $h_mercury] } {
  
   if { [HAspectedBy $jupiter $L9 $rasi_nav] && [HAspectedBy $mercury $L11 $rasi_nav] } {
   	
   	  PutTxt "Fond combination 3 in $rasi_nav_txt"
   	  set found 1
   	}
  
  }


}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "-------------- 254.-258. Raja Yogas -------------"

set found       0
set ntext     208

#254

rasi_navamsa_loop {

   set h_saturn [ HinduHouseOfPlanet $saturn  $rasi_nav ]  
   set L10      [ HinduLordOfHouse   10 $rasi_nav  ]

   if { $current == 0 } {

      if { ([IsMoolathrikona $saturn] || [IsExalted $saturn -rasi]) && ( [ishousethrikona $h_saturn] || [ishousekendra $h_saturn]  ) && [HAspectedBy $saturn $L10 $rasi_nav] } {
      PutTxt "Found combination 1 in $rasi_nav_txt"
      set  found 1

   } else {
     if { [IsExalted $saturn -nav] && ( [ishousethrikona $h_saturn] || [ishousekendra $h_saturn]  ) && [HAspectedBy $saturn $L10 $rasi_nav] } {
      PutTxt "Found combination 1 in $rasi_nav_txt"
      set  found 1
     }
    }
   }
}

#255

rasi_navamsa_loop {

   set h_mars [ HinduHouseOfPlanet $mars  $rasi_nav ]  
   set h_moon [ HinduHouseOfPlanet $moon  $rasi_nav ]  
   set h_rahu [ HinduHouseOfPlanet $moon  $rasi_nav ]  
   
   if {($h_mars == $h_moon) && ( $h_moon == 2 || $h_moon == 3) && $h_rahu == 5} {
    PutTxt "Found combination 2 in $rasi_nav_txt"
    set found 1
   }

}

#256
 set L10      [ HinduLordOfHouse   10   -rasi ]
 set h_L10    [ HinduHouseOfPlanet $L10 -rasi ]  
 set n_L10    [ SignOfPlanet $L10 -nav -fix ]
 
 if { ( $h_L10 == 9 ) && ( [IsInNavamsaAmical $L10] || [IsExalted $L10 -nav] ) &&  [IsUttamamsa $L10]  } {
 
  PutTxt "Found combination 3 in rasi"
  set found 1
 
 }

#257
rasi_navamsa_loop {
 
 set h_jupiter [ HinduHouseOfPlanet $jupiter  $rasi_nav ]  
 set h_moon    [ HinduHouseOfPlanet $moon     $rasi_nav ]  
 set S1        [ SignOfHouse 1 -shsd -fix      $rasi_nav]        

 set L1        [ HinduLordOfHouse   1         $rasi_nav ]
 set h_L1      [ HinduHouseOfPlanet $L1      $rasi_nav ]  
 
 set s_jupiter [ SignOfPlanet $jupiter -fix  $rasi_nav]  
 set s_moon    [ SignOfPlanet $moon    -fix  $rasi_nav]  
 
 if { ($h_jupiter == 5) && [iskendra $s_jupiter $s_moon] && $h_L1 == 10 && [isfixedsign $S1] } {
  PutTxt "Found combination 4 in $rasi_nav_txt"
  set found 1
 }

}

#258
set n_moon    [ SignOfPlanet $moon -fix -nav]  
set l_n_moon  [ LordOfSign $n_moon ]


if { [trine $asc $l_n_moon -rasi ] || [trine $mercury $l_n_moon -rasi ] || [quadrant $asc $l_n_moon -rasi ] || [quadrant $mercury $l_n_moon -rasi ]  } {
  PutTxt "Found combination 5 in rasi"
  set found 1
}


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 

PutTxt "--------------259. Raja Yogas -------------"

set found       0
set ntext     209

rasi_navamsa_loop {

 set s_asc    [ SignOfPlanet $asc  -fix  $rasi_nav]
 set s_moon   [ SignOfPlanet $moon -fix  $rasi_nav]
 
 set h_saturn  [ HinduHouseOfPlanet $saturn   $rasi_nav ] 
 set h_jupiter [ HinduHouseOfPlanet $jupiter  $rasi_nav ] 
 set h_sun     [ HinduHouseOfPlanet $sun      $rasi_nav ] 
 
 if { $s_asc == $taurus && $s_asc == $s_moon && $h_saturn == 10 && $h_sun == 4 && $h_jupiter == 7  } {
 
  PutTxt "Found in $rasi_nav_txt"
  set found 1

 } 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 


PutTxt "--------------260.-261. Raja Yogas -------------"

set found       0
set ntext     210

#260

foreach  {p} { 0 1 2 3 4 5 6 9 10 } { 
  
   if { [IsDebilitated $p -rasi] } {
   	
     set n_p    [SignOfPlanet $p -fix  -nav ]
     set l_n_p  [LordOfSign $n_p]
     set s_asc  [ SignOfPlanet $asc  -fix  -rasi]
   
     if { [trine $asc $l_n_p -rasi] || [quadrant $asc $l_n_p -rasi]  } {
        if { [ismovablesign $n_p] && [ismovablesign $s_asc]} {
         PutTxt  "Found combination 1 in rasi"
         set found 1
        
        }
     }
   }
}
	
#261

rasi_navamsa_loop {

  set L1       [ HinduLordOfHouse          1 $rasi_nav ]
  set L9       [ HinduLordOfHouse          9 $rasi_nav ]
  set h_rahu   [ HinduHouseOfPlanet $rahu   $rasi_nav ] 
  set h_saturn [ HinduHouseOfPlanet $saturn $rasi_nav ] 
  
  foreach  {p} { 0 1 2 3 4 5 6 9 10 } { 
  
  if { [IsDebilitated $p $rasi_nav] } {
    if { [ conjunction $L1 $p $rasi_nav] && $h_rahu == 10 && $h_saturn == 10 && [HAspectedBy $rahu $L9 $rasi_nav] } {
      PutTxt "Found combination 2 in $rasi_nav_txt"
      set found 1   
    }
  }
  }
} 

	
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "--------------262.-263. Raja Yogas -------------"

set found       0
set ntext     211

#262
rasi_navamsa_loop {

 set L11       [ HinduLordOfHouse          11 $rasi_nav ]
 set L9        [ HinduLordOfHouse           9 $rasi_nav ]
 set L2        [ HinduLordOfHouse           2 $rasi_nav ]
 set L5        [ HinduLordOfHouse           5 $rasi_nav ]
 
 if { [quadrant $L11 $moon $rasi_nav ] || [quadrant $L9 $moon $rasi_nav ] || [quadrant $L2 $moon $rasi_nav ] } {
 	 if { $jupiter == $L2 || $jupiter == $L5 || $jupiter == $L11 } {
      PutTxt "Found combination 1 in $rasi_nav_txt"
      set found 1
 	   
 	 	}
 	}
}


#263
rasi_navamsa_loop {

   set h_jupiter [ HinduHouseOfPlanet $jupiter $rasi_nav ] 
   set h_mercury [ HinduHouseOfPlanet $mercury $rasi_nav ] 
   set h_venus   [ HinduHouseOfPlanet $venus   $rasi_nav ] 

  if {$h_jupiter == 9 && $h_mercury == 9 && $h_venus == 9 && [isCombustion $jupiter] == 0 && [isCombustion $mercury] == 0 && [isCombustion $venus] == 0} {
 
 	if { [conjunctionoraspectedbyfriend $jupiter $rasi_nav] || [conjunctionoraspectedbyfriend $mercury $rasi_nav] || [conjunctionoraspectedbyfriend $venus $rasi_nav]} { 
 	 PutTxt "Found combination 2 in $rasi_nav_txt"
   set found 1 	
 	}
 }

}

	
if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	



PutTxt "-------------- 264. Galakarna Yoga  -------------"

set found       0
set ntext     212

rasi_navamsa_loop {

  set lon   [LongOfPlanet $mars -fix]
  set nSS   [SignOfPlanet $mars -fix  -rasi] 
  
  set lSS   [expr $lon -$nSS*30.0]  
	set n60   [expr floor(60.0/30.0*$lSS)]
	
  set h_mandi [ HinduHouseOfPlanet $mandi $rasi_nav ] 
  set h_rahu  [ HinduHouseOfPlanet $rahu  $rasi_nav ] 

  if { [expr $nSS % 2] == 0 } {set n_petra_puriha 48} else {set n_petra_puriha 11}

  if { ($h_mandi == 3 && $h_rahu == 3) || $n_petra_puriha == $n60} {
  	
    PutTxt "Found in $rasi_nav_txt"
    set found 1	
  
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 265. Vrana Yoga  -------------"

set found       0
set ntext     213

rasi_navamsa_loop {

   set L6       [ HinduLordOfHouse   6   $rasi_nav ]
   set h_L6     [ HinduHouseOfPlanet $L6 $rasi_nav ]  
   set q6        [ GetQualityOfPlanet $L6 $rasi_nav ] 
    
  if { $q6 < 0 && ($h_L6 == 1  || $h_L6 == 8 || $h_L6 == 10  ) } {
  	 PutTxt "Found in $rasi_nav_txt"
  	 set found 1
  	} 

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 266. Sisnavyadhi Yoga -------------"

set found       0
set ntext     214

rasi_navamsa_loop {

   set h_mercury    [ HinduHouseOfPlanet $mercury $rasi_nav ]  
   
   set L6       [ HinduLordOfHouse   6   $rasi_nav ]
   set h_L6     [ HinduHouseOfPlanet $L6 $rasi_nav ]  
 
   set L8       [ HinduLordOfHouse   8   $rasi_nav ]
   set h_L8     [ HinduHouseOfPlanet $L8 $rasi_nav ]  

  if { $h_mercury == 1 && $h_L6 == 1 && $h_L8 == 1} {
   PutTxt "Found in $rasi_nav_txt"
   set found 1
    	
  }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 267. Kalatrashanda Yoga -------------"

set found       0
set ntext     215

rasi_navamsa_loop {

   set L6       [ HinduLordOfHouse   6   $rasi_nav ]
   set h_L6     [ HinduHouseOfPlanet $L6 $rasi_nav ]  
   
   set L7       [ HinduLordOfHouse   7   $rasi_nav ]
   set h_L7     [ HinduHouseOfPlanet $L7 $rasi_nav ]  

   set h_venus  [ HinduHouseOfPlanet $venus $rasi_nav ]  

  if {$h_venus == $h_L6 && $h_venus == $h_L7 && $h_L7 == 6 } {
  	 PutTxt "Found in $rasi_nav_txt"
  	 set found 1
  	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 268.-269. Kushtaroga Yogas -------------"

set found       0
set ntext     216

#268
rasi_navamsa_loop {

  set L1       [ HinduLordOfHouse   1   $rasi_nav ]
  set h_L1     [ HinduHouseOfPlanet $L1 $rasi_nav ]  
  set h_mars   [ HinduHouseOfPlanet $mars $rasi_nav ]  
  set h_mercury  [ HinduHouseOfPlanet $mercury $rasi_nav ]  

 if { ($h_L1 == 4 || $h_L1 == 12) && ($h_mars == $h_mercury && $h_L1 == $h_mars) } {

  PutTxt "Found combination 1 in $rasi_nav_txt"
  set found 1

 }

}

#269
rasi_navamsa_loop {

  set h_jupiter  [ HinduHouseOfPlanet $jupiter $rasi_nav ]  
  set h_saturn   [ HinduHouseOfPlanet $saturn $rasi_nav  ]  
  set h_moon     [ HinduHouseOfPlanet $moon $rasi_nav ]  
  

 if { $h_jupiter == 6 && $h_jupiter == $h_saturn && $h_saturn == $h_moon } {

  PutTxt "Found combination 2 in $rasi_nav_txt"
  set found 1

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 270. Kshayaroga Yoga -------------"

set found       0
set ntext     217

rasi_navamsa_loop {

  set h_rahu     [ HinduHouseOfPlanet $rahu $rasi_nav ]  
  set h_mandi    [ HinduHouseOfPlanet $mandi  $rasi_nav  ]  
  
  set L1         [ HinduLordOfHouse   1   $rasi_nav ]
  set h_L1       [ HinduHouseOfPlanet $L1 $rasi_nav ]  
  

 if { $h_rahu == 6 && [ ishousekendra $h_mandi ]  && $h_L1 == 8 } {

  PutTxt "Found in $rasi_nav_txt"
  set found 1

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 271. Bandhana Yoga -------------"

set found       0
set ntext     218

rasi_navamsa_loop {

  set L1         [ HinduLordOfHouse   1   $rasi_nav ]
  set h_L1       [ HinduHouseOfPlanet $L1 $rasi_nav ]  

  set L6         [ HinduLordOfHouse   6   $rasi_nav ]
  set h_L6       [ HinduHouseOfPlanet $L6 $rasi_nav ]   

  set h_saturn   [ HinduHouseOfPlanet $saturn $rasi_nav ]    
  set h_rahu     [ HinduHouseOfPlanet $rahu   $rasi_nav ]   
  set h_ketu     [ HinduHouseOfPlanet $ketu   $rasi_nav ]   

 if {$h_L1 == $h_L6 && $h_L1 == $h_saturn && ( $h_L1 == $h_rahu || $h_L1 == $h_ketu ) && ( [ishousekendra $h_L1] || [ishousethrikona $h_L1] ) } {
  PutTxt "Found  in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 272. Karascheda Yoga -------------"

set found       0
set ntext     219

rasi_navamsa_loop {

  
  set h_saturn   [ HinduHouseOfPlanet $saturn  $rasi_nav ]    
  set h_jupiter  [ HinduHouseOfPlanet $jupiter $rasi_nav ]   
  
 if {$h_saturn == 9 && $h_jupiter == 3  } {
  PutTxt "Found  in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 273. Karascheda Yoga -------------"

set found       0
set ntext     220

rasi_navamsa_loop {

  set L6         [ HinduLordOfHouse   6   $rasi_nav ]
  set h_L6       [ HinduHouseOfPlanet $L6 $rasi_nav ]
    
  set h_venus   [ HinduHouseOfPlanet $venus  $rasi_nav ]    
  set h_sun     [ HinduHouseOfPlanet $sun    $rasi_nav ]    
  set h_saturn  [ HinduHouseOfPlanet $saturn $rasi_nav ]    
  set h_rahu    [ HinduHouseOfPlanet $rahu   $rasi_nav ]    
  
 if { $h_venus == $h_L6 &&( ($h_sun == $h_rahu && [IsInShashtiamsaMale $h_sun]) || ($h_saturn == $h_rahu && [IsInShashtiamsaMale $h_saturn] ) ) } {
  PutTxt "Found  in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 274. Durmarana Yoga  -------------"

set found       0
set ntext     221

rasi_navamsa_loop {

  set L1         [ HinduLordOfHouse   1   $rasi_nav ]
      
  set h_moon    [ HinduHouseOfPlanet $moon  $rasi_nav ]    
  
  set h_saturn  [ HinduHouseOfPlanet $saturn $rasi_nav ]    
  set h_rahu    [ HinduHouseOfPlanet $rahu   $rasi_nav ]    
  set h_mandi   [ HinduHouseOfPlanet $mandi  $rasi_nav ]    
  
 if { [HAspectedBy $moon $L1 $rasi_nav] && ($h_moon == 6 || $h_moon == 8 || $h_moon == 12 ) &&  ( $h_moon == $h_saturn || $h_moon == $h_mandi || $h_moon == $h_rahu) } {
  PutTxt "Found  in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 275. Yuddhe Marana Yoga -------------"

set found       0
set ntext     222

rasi_navamsa_loop {

set h_mars   [ HinduHouseOfPlanet $mars  $rasi_nav ] 
set L3       [ HinduLordOfHouse   3      $rasi_nav ]
set h_L3     [ HinduHouseOfPlanet $L3    $rasi_nav ] 

 if { ($h_mars == 6 || $h_mars == 8) && ($h_L3 == $h_mars) } {
  if { [IsInNavamsaMale $rahu] || [IsInNavamsaMale $saturn] || [IsInNavamsaMale $mandi] } {
    PutTxt "Found in $rasi_nav_txt"
    set found 1

   }
 }
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 276-277. Sanghataka Marana Yogas -------------"

set found       0
set ntext     223

#276
set cpt 0

 foreach  {p} {0 1 2 3 4 5 6 9 10 } {
  
  if { [ HinduHouseOfPlanet $p  -rasi ] == 8 && [GetQualityOfPlanet $p -rasi] < 0  } {
 
      set nav_p       [ SignOfPlanet $p -nav -fix ]
      set l_nav_p     [ LordOfSign $nav_p ]
      
      set rasi_p      [ SignOfPlanet $p -rasi -fix ]
      set l_rasi_p    [ LordOfSign $rasi_p ]
      
      if {($l_nav_p == $mars || $l_rasi_p == $mars) && [IsInNavamsaMale $p]} {
      	incr cpt
      }
  }
  if { $cpt >= 5 } {
  	  PutTxt "Found combination 1 in rasi" 
  	  set found 1
  	}
 }

#277
set L8       [ HinduLordOfHouse   8      $rasi_nav ]

if { [HAspectedBy $sun $L8 $rasi_nav] && [HAspectedBy $rahu $L8 $rasi_nav] && [HAspectedBy $saturn $L8 $rasi_nav]  } {
  if { [IsInNavamsaMale $sun] && [IsInNavamsaMale $rahu] && [IsInNavamsaMale $saturn] } {
    PutTxt "Found combination 2 in rasi"
    set found 1
  }

 }
 

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 278. Peenasaroga Yoga -------------"

set found       0
set ntext     224

set L1         [ HinduLordOfHouse   1       -rasi ]
set h_moon     [ HinduHouseOfPlanet $moon   -rasi ] 
set h_saturn   [ HinduHouseOfPlanet $saturn -rasi ] 

if { [HouseOccupiedByMalefic 12 -rasi -shsd] && $h_moon == 6  && $h_saturn == 8  } {

 if { [IsInNavamsaMale $L1] } {
   PutTxt "Found rasi"
   set found 1 	
 	}
  
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 279. Pittaroga Yoga -------------"

set found       0
set ntext     225

rasi_navamsa_loop {

set h_sun [ HinduHouseOfPlanet $sun  $rasi_nav ] 

 if {$h_sun == 6 } {
	  foreach  {p} {1 2 3 4 5 6 9 10 } {
      set h_p [ HinduHouseOfPlanet $p  $rasi_nav ] 
      set q_p [GetQualityOfPlanet $p $rasi_nav]
      if {$h_p == 6 && $q_p < 0 && [IsAspectedByMalefic $sun $rasi_nav] } {
        PutTxt "Found in $rasi_nav_txt"
        set found 1
      }
  }

 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 280. Vikalangapatnia Yoga -------------"

set found       0
set ntext     226

rasi_navamsa_loop {

set h_venus [ HinduHouseOfPlanet $venus  $rasi_nav ] 
set h_sun   [ HinduHouseOfPlanet $sun    $rasi_nav ] 

if {$h_venus == $h_sun && ( $h_sun==5 || $h_sun==7 || $h_sun==9 ) } {
	 PutTxt "Found in $rasi_nav_txt"
	 set found 1
	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 281. Putrakalatraheena Yoga -------------"

set found       0
set ntext     227

set lon_sun  [LongOfPlanet $sun  -fix]
set lon_moon [LongOfPlanet $moon -fix]

set diff [expr $lon_moon - $lon_sun]
set diff [to0360 $diff]
if {$diff > 180.0} { set waning 1 } else { set waning 0 }

rasi_navamsa_loop {
 
 set h_moon [ HinduHouseOfPlanet $moon  $rasi_nav ] 

 if {$h_moon == 5 &&  $waning &&  [HouseOccupiedByMalefic 12 $rasi_nav -shsd ] &&  [HouseOccupiedByMalefic 7 $rasi_nav -shsd ] && [HouseOccupiedByMalefic 1 $rasi_nav -shsd ] } {
 	 PutTxt "Found in $rasi_nav_txt"
 	 set found 1
 	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 282. Bharyasahavyabhichara  -------------"

set found       0
set ntext     228

rasi_navamsa_loop {
 
 set h_moon   [ HinduHouseOfPlanet $moon    $rasi_nav ] 
 set h_venus  [ HinduHouseOfPlanet $venus   $rasi_nav ] 
 set h_saturn [ HinduHouseOfPlanet $saturn  $rasi_nav ] 
 set h_mars   [ HinduHouseOfPlanet $mars    $rasi_nav ] 
 

 if {$h_moon == 7 && $h_venus == 7 && $h_saturn == 7 && $h_mars == 7 } {
 	 PutTxt "Found in $rasi_nav_txt"
 	 set found 1
 	}

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 283. Vamsacheda Yoga -------------"

set found       0
set ntext     229

rasi_navamsa_loop {

 set h_moon   [ HinduHouseOfPlanet $moon    $rasi_nav ] 
 set h_venus  [ HinduHouseOfPlanet $venus   $rasi_nav ] 

 if { $h_moon == 10 && $h_venus == 7 && [HouseOccupiedByMalefic 4 $rasi_nav -shsd] } {

  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 284. Guhyaroga Yoga -------------"

set found       0
set ntext     230

set nav_moon [ SignOfPlanet $moon -nav -fix ]

if { ($nav_moon == $cancer || $nav_moon == $scorpio) &&  [IsConjunctionWithMalefic $moon -nav] } {
 PutTxt "Found nav"
 set found 1
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 285. Angaheena Yoga -------------"

set found       0
set ntext     231

rasi_navamsa_loop {

set sun_sign    [ SignOfPlanet $sun    $rasi_nav -fix ]
set moon_sign   [ SignOfPlanet $moon   $rasi_nav -fix ]
set mars_sign   [ SignOfPlanet $mars   $rasi_nav -fix ]
set saturn_sign [ SignOfPlanet $saturn $rasi_nav -fix ]

set diff1 [expr $moon_sign - $sun_sign]
set diff1 [to011 $diff1]

set diff2 [expr $mars_sign - $sun_sign]
set diff2 [to011 $diff2]

set diff3 [expr $saturn_sign - $sun_sign]
set diff3 [to011 $diff3]

 if {$diff1 == 9 && $diff2 == 6 && $diff3 == 1} {
	
	PutTxt "Found in $rasi_nav_txt"
	set found 1
	
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 286. Swetakushta Yoga -------------"

set found       0
set ntext     232

rasi_navamsa_loop {

set h_mars     [ HinduHouseOfPlanet $mars      $rasi_nav ] 
set h_saturn   [ HinduHouseOfPlanet $saturn    $rasi_nav ] 
set h_moon     [ HinduHouseOfPlanet $moon      $rasi_nav ] 
set h_sun      [ HinduHouseOfPlanet $sun       $rasi_nav ] 

 if {$h_mars == 2 && $h_saturn == 12 && $h_moon == 1 && $h_sun == 7 } {
	 PutTxt "Found in $rasi_nav_txt"
	 set found 1
 }
	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 287. Pisacha Grastha Yoga-------------"

set found       0
set ntext     233

rasi_navamsa_loop {

set h_rahu     [ HinduHouseOfPlanet $rahu      $rasi_nav ] 
set h_moon     [ HinduHouseOfPlanet $moon      $rasi_nav ] 

set m_1        [HouseOccupiedByMalefic 1 $rasi_nav -shsd]
set m_5        [HouseOccupiedByMalefic 5 $rasi_nav -shsd]
set m_9        [HouseOccupiedByMalefic 9 $rasi_nav -shsd]

 if {$h_rahu == 1 && $h_moon == 1 && ( $m_1 || $m_5 || $m_9 )} {
	 PutTxt "Found in $rasi_nav_txt"
	 set found 1
 }
	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 288-289. Andha Yogas-------------"

set found       0
set ntext     234

#288
set h_sun     [ HinduHouseOfPlanet $sun      $rasi_nav ] 
set h_rahu    [ HinduHouseOfPlanet $rahu     $rasi_nav ] 

set l_sun [ LongOfPlanet $sun -fix]
set l_asc [ LongOfPlanet $asc -fix]
set diff  [expr $l_asc - $l_sun]
set diff  [to0360 $diff]

set m_1        [HouseOccupiedByMalefic 1 -rasi -shsd]
set m_5        [HouseOccupiedByMalefic 5 -rasi -shsd]
set m_9        [HouseOccupiedByMalefic 9 -rasi -shsd]

if {$h_sun == 1 && $h_rahu == 1 && $diff < 30.0 && ( $m_1 || $m_5 || $m_9 ) } {
 PutTxt "Found combination 1 in rasi"
 set found 1 	
}


#289
rasi_navamsa_loop {

set h_mars     [ HinduHouseOfPlanet $mars      $rasi_nav ] 
set h_moon     [ HinduHouseOfPlanet $moon      $rasi_nav ] 
set h_saturn   [ HinduHouseOfPlanet $saturn    $rasi_nav ] 
set h_sun      [ HinduHouseOfPlanet $sun       $rasi_nav ] 

 if {$h_mars == 2 && $h_moon == 6 && $h_saturn == 12 && $h_sun == 8 } {
	 PutTxt "Found combination 2 $rasi_nav_txt"
	 set found 1
 }
	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "-------------- 290. Vatharoga Yoga -------------"

set found       0
set ntext     235

rasi_navamsa_loop {

set h_jupiter  [ HinduHouseOfPlanet $jupiter      $rasi_nav ] 
set h_saturn   [ HinduHouseOfPlanet $saturn    $rasi_nav ] 


 if {$h_jupiter == 1 && $h_saturn == 7 } {
	 PutTxt "Found in $rasi_nav_txt"
	 set found 1
 }
	
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "-------------- 291.-294. Matibhramana Yoga -------------"

set found       0
set ntext     236

#291
rasi_navamsa_loop {

set h_jupiter  [ HinduHouseOfPlanet $jupiter $rasi_nav ] 
set h_mars     [ HinduHouseOfPlanet $mars    $rasi_nav ] 


 if {$h_jupiter == 1 && $h_mars == 7 } {
	 PutTxt "Found combination 1 in $rasi_nav_txt"
	 set found 1
 }
	
}

#292
rasi_navamsa_loop {

set h_saturn  [ HinduHouseOfPlanet $saturn $rasi_nav ] 
set h_mars    [ HinduHouseOfPlanet $mars    $rasi_nav ] 


 if {$h_saturn == 1 && ($h_mars == 9 || $h_mars == 5 || $h_mars == 7 )} {
	 PutTxt "Found combination 2 in $rasi_nav_txt"
	 set found 1
 }
	
}

#293
rasi_navamsa_loop {

set h_saturn  [ HinduHouseOfPlanet $saturn $rasi_nav ] 

 if {$h_saturn == 12 && $waning == 1 } {
	 PutTxt "Found combination 3 in $rasi_nav_txt"
	 set found 1
 }
	
}

#294
rasi_navamsa_loop {

set h_moon    [ HinduHouseOfPlanet $moon    $rasi_nav ] 
set h_mercury [ HinduHouseOfPlanet $mercury $rasi_nav ] 

 if { [ishousekendra $h_moon] && [ishousekendra $h_mercury] && $h_moon == $h_mercury } {
	 
	  foreach  {p} {0 3 4 5 6 9 10 } {
	  
	    if { [conjunctionoraspected $moon $p $rasi_nav] } {
       	 PutTxt "Found combination 4 in $rasi_nav_txt"
	       set found 1

	  	}
	   }
	  }
 }


if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "--------------295. Khalwata Yoga-------------"

set found       0
set ntext     237

rasi_navamsa_loop {

set s_asc  [  SignOfPlanet $asc $rasi_nav -fix ] 
set l_s_asc [LordOfSign $s_asc]

set q_asc  [ GetQualityOfPlanet $l_s_asc $rasi_nav]

 if {( $q_asc < 0 || $s_asc == $sagittarius || $s_asc == $taurus ) && [IsAspectedByMalefic $asc $rasi_nav ] } {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "--------------296. Nishturabhashi Yoga-------------"

set found       0
set ntext     238

rasi_navamsa_loop {

set s_moon    [  SignOfPlanet $moon   $rasi_nav -fix ] 
set s_saturn  [  SignOfPlanet $saturn $rasi_nav -fix ] 

 if { $s_moon == $s_saturn} {
  PutTxt "Found in $rasi_nav_txt"
  set found 1
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "--------------297. Rajabhrashta Yoga-------------"

set found       0
set ntext     239

rasi_navamsa_loop {

 set s_asc    [  SignOfPlanet $asc   $rasi_nav -fix ] 
 set l_asc    [  LordOfSign $s_asc ]
 set s_l_asc  [  SignOfPlanet $l_asc  $rasi_nav -fix ] 
 
 set aroodha_lagna [expr $s_l_asc + $s_l_asc - $s_asc ]
 set aroodha_lagna [to011 $aroodha_lagna]
 set l_aroodha_lagna  [  LordOfSign $aroodha_lagna ]
 
 set s_asc    [  SignOfPlanet $asc   $rasi_nav -fix ] 
 set s_12     [expr $s_asc -1]
 set s_12     [to011 $s_12]
 set l_12    [  LordOfSign $s_12 ]
 set s_l_12  [  SignOfPlanet $l_12  $rasi_nav -fix ]

 set aroodha_dwadasa [expr $s_l_12 + $s_l_12 - $s_12 ]
 set aroodha_dwadasa [to011 $aroodha_dwadasa]
 set l_aroodha_dwadasa  [  LordOfSign $aroodha_dwadasa ]

PutTxt "Aroodha Lagna is [NameOfPlanet $l_aroodha_lagna] and Aroodha Dwadasa is [NameOfPlanet $l_aroodha_dwadasa] in $rasi_nav_txt"

 if { [conjunction $l_aroodha_lagna $l_aroodha_dwadasa $rasi_nav] } {
 
  PutTxt "Found [NameOfPlanet $l_aroodha_lagna] and [NameOfPlanet $l_aroodha_dwadasa] in $rasi_nav_txt"
  set found 1
  	
 }
 
}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	


PutTxt "--------------298-299. Raja Yoga Bhangas-------------"

set found       0
set ntext     240

#298
set s_asc     [  SignOfPlanet $asc    -rasi -fix ]
set s_saturn  [  SignOfPlanet $saturn -rasi -fix ]
set n_saturn  [  SignOfPlanet $saturn -nav  -fix ]
set saturn_aspected_by_bene [IsAspectedByBenefic $saturn -rasi] 

if { $s_asc == $leo && $s_saturn == $libra && ( $n_saturn == $aries || $saturn_aspected_by_bene) } {
 PutTxt "Found combination 1 in rasi"
 set found 1
}

#299
set lon_sun [LongOfPlanet $sun -fix]
if {$lon_sun >= 189.0 && $lon_sun <= 190.0 } {
   PutTxt "Found combination 2 in rasi"
   set found 1
	}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

PutTxt "--------------300. Gohanta Yoga-------------"

set found       0
set ntext     241

rasi_navamsa_loop {

set h_jupiter  [ HinduHouseOfPlanet $jupiter $rasi_nav ] 

if {$h_jupiter == 8} {
	
   foreach  {p} {0 1 2 3 4 5 6 9 10 }  {
    
    set h_p  [ HinduHouseOfPlanet $p $rasi_nav ] 
    set q_p  [GetQualityOfPlanet $p $rasi_nav]
    if { $q_p < 0 && [ishousekendra $h_p] && [ IsAspectedByBenefic $p $rasi_nav ] == 0 } {
    	PutTxt "Found in $rasi_nav_txt"
    	set found 1
    } 
   }
 }

}

if { $found == 1 } { PutAstroTxt $ntext $n_file} else {PutTxt "Not found"} 	

